Úvod

 Nahoru Následující

IrfanView je malý a jednoduchý prohlížeč obrázků. Přímo v IrfanView můžete obrázky i upravovat s použitím mnoha efektů. IrfanView vytvořil Irfan Skiljan.

IrfanView otevřete kliknutím na jeho zástupce v nabídce Start nebo poklepáním na ikonu na ploše.

Pro otevření souboru zvolte menu Soubor, Otevřít. Zobrazí se dialog pro otevření souboru. Pro zobrazení náhledů obrázků před jejich otevřením zaškrtněte políčko Náhled aktivní v dialogu Otevřít.

Se zobrazeným obrázkem nyní můžete pracovat. Většinu funkcí naleznete v menu Úpravy a Obrázek.

Po dokončení si obrázek uložte na disk, zobrazte další obrázek nebo ukončete IrfanView.

Autorem české lokalizace je společnost © Adaptech s.r.o., 2020. Všechna práva vyhrazena.
Snažíme se podporovat a pomáhat těžce zrakově postiženým a nevidomým. Naším cílem je hledat a nacházet řešení pro všechny, kteří chtějí žít naplno. Více informací o našich aktivitách naleznete na adrese www.adaptech.cz.


Často kladené dotazy

 Nahoru Předchozí Následující

Nejnovější (a často aktualizovaná) anglická verze této stránky je k dispozici na webových stránkách IrfanView:

http://www.irfanview.com/faq.htm

Zde je několik dotazů k IrfanView, hlášení problémů atd.

Ot.: Chci si vytvořit CD-ROM s fotkami a chtěl bych si k tomu zkopírovat i IrfanView. Jak spustit IrfanView prezentaci po vložení CD do mechaniky?
Od.: Můžete si buďto vytvořit spouštěcí EXE soubor s prezentací (v dialogu Prezentace), nebo si zkopírovat všechny soubory na CD a použít textový soubor. Více najdete zde.

Ot.: Problém: Když chci přehrát nějaký AVI soubor, objeví se chybová zpráva "Video není k dispozici, nelze najít MJPG decompressor"!
Od.: Metoda 1: Zvolte nabídku Vlastnosti->Video a aktivujte možnost "Pro přehrávání používat DirectShow ".

Metoda 2: Nainstalujte si MJPG (Motion JPEG) video kodek např. z těchto stránek:

http://www.free-codecs.com/Motion_JPEG_Codec_download.htm

http://www.mainconcept.com/downloads.shtml

http://www.morgan-multimedia.com

http://www.fourcc.org/indexcod.htm

Ot.: Obecný problém s přehráváním video souborů: Když se pokouším přehrát nějaký AVI soubor, objeví se chybová zpráva "Video není k dispozici, nelze najít XXX decompressor"!
Od.: Není nainstalován správný video kodek, informace o jeho názvu naleznete v nabídce Obrázek->Informace , kodeky pak zde:

http://www.fourcc.org/indexcod.htm

http://www.codec-download.com

http://codecs.necromancers.ru

http://www.free-codecs.com

http://www.microsoft.com/downloads/results.aspx?productID=&freetext=media+8&DisplayLang=en

http://www.videohelp.com

Dobrý balíček kodeků je K-Lite Codec Pack. Obsahuje nejpopulárnější video/audio kodeky.

Ot.: Jak zredukovat velikost uloženého souboru z XX na YY kB?
Od.: Na to neexistuje jednoduché řešení.
1. Otevřete obrázek.
2. Zvolte nabídku Obrázek->Změna velikosti / Převzorkování a změňte rozměry obrázku v pixelech.
3. zvolte nabídku Soubor->Uložit jako, zvolte JPG a uložte jej jako nový soubor (podívejte se na možnosti ukládání JPG, jako je např. snížení kvality JPG, odškrtněte EXIF, atd.).
4. Zkontrolujte velikost nového souboru. Je-li stále příliš velký, zopakujte předchozí postup s menší velikostí pixelů nebo nižší kvalitou atd.
X. Pro změnu více obrázků zvolte nabídku Soubor->Dávkový převod, Pokročilé možnosti.

Pozn.: Od verze 4.20 byla přidána nová možnost ukládání JPG: Zvolit velikost souboru.

Ot.: Nahlášení problému: Od včerejška mi IrfanView zobrazuje všechny obrázky černobíle. Proč?
Od.: Máte aktivní volbu "Načíst jako stupně šedé" v nabídce Vlastnosti->JPG/PCD/GIF, odškrtněte ji!

Pozn.: V dialogu pro ukládání Možnosti ukládání JPG nesmí být aktivní volba "Ukládat ve stupních šedé".

Ot.: Jak používat bezztrátové operace JPG (otočení, IPTC, komentáře) v dávkovém režimu?
Od.: Otevřete okno Miniatury, otevřete složku s obrázky JPG, zvolte více souborů a v nabídce Soubor zvolte Bezztrátové operace JPG à Bezztrátové otočení se zvolenými miniaturami. Pozn.: Bezztrátové otočení funguje jen tehdy, je-li orientace EXIF správně uložena (ne doleva nahoru).

Ot.: Existuje přenosná verze IrfanView na USB, CD atd.)?
Od.: Ano, každá verze IrfanView je přenosná. Stačí
1. zkopírovat vaši existující složku IrfanView na USB (doporučeno), nebo
2. použít klasický instalátor a nainstalovat IrfanView do složky na USB, nebo
3. použít ZIP verzi a tu rozbalit do složky na USB.

(Pozn.: ZIP verze IrfanView je vždy k dispozici na stránce "Other download sites", ve spodní části stránky.

Ot.: Proč jsou některé možnosti úprav nebo nabídka redukce červených očí zašedlé?
Od.: Mnoho možností úprav nebo funkce redukce červených očí pracují pouze s výběrem. Nejprve si označte část obrázku pomocí levého tlačítka myši.

Ot.: Jak mohu nastavit IrfanView jako můj výchozí prohlížeč obrázků?
Od.: Spusťte IrfanView, zvolte nabídku Vlastnosti->Přípony a přiřaďte si požadované typy souborů.

Ot.:Proč je načítání RAW pomalé (formáty RAW fotoaparátů, např. CR2)?

Od.: Toto závisí na aktivních volbách RAW doplňku v nabídce Vlastnosti->Doplňky . Nejrychlejší možnost je Náhled, Poloviční velikost je rychlá, a když není ani jedna aktivní, načítá se celý RAW obrázek, což je velmi pomalé.

Ot.: Jak řadit obrázky podle data pořízení?
Od.: Otevřete okno Miniatury a načtěte složku. V nabídce Možnosti, Řazení miniatur zvolte Řadit podle data pořízení EXIF.

Ot.: Jak mohu dávkově přejmenovat "JPG" soubory na "jpg" (přípona malými písmeny)?
Od.: V dialogu Dávkový převod použijte pro přejmenování parametr: $N.jpg.

Ot.: Jak mohu do automatické prezentace přidat zvuk?
Od.: V dialogu Prezentace přidejte MP3 soubory do seznamu souborů prezentace, obvykle na začátek nebo před obrázek. MP3 bude přehrána do konce nebo do načtení další. Měly by být nainstalovány rovněž doplňky do IrfanView, alespoň doplněk pro MP3.

Ot.: Dávkový převod: Jak mohu uložit výsledný soubor do zdrojové složky, i když jsou při převodu použity soubory z různých podsložek?
Od.: Použijte rozšířené možnosti dávkového převodu, aktivujte možnost Vytvořit podsložky v cílové složce. Jako cílovou složku pak (v hlavním okně převodu) zvolte kořenovou složku vašich zdrojových souborů, např. C:\, jsou-li všechny soubory umístěny na disku C.

Ot.: Proč nemohu skrolovat zvětšený obrázek (větší než velikost obrazovky) v režimu na celou obrazovku použitím kurzorových šipek nebo kláves Page up/down?
Od.: Buď obrázek není větší než velikost obrazovky, nebo je aktivní volba Vlastnosti->Procházení/Úpravy->Přejít na další obrázek. Odškrtněte ji.

Ot.: Proč je nově uložený JPG soubor mnohem větší než původní JPG soubor?
Od.: Velikost JPG souborů závisí hlavně na kvalitě zvolené při ukládání v dialogu Uložit. Běžná kvalita je 75 nebo 80, vyšší hodnoty znamenají i větší velikost výsledného souboru.

Ot.: Stáhl jsem si IrfanView nebo doplňky, ale když spustím prohlížeč, objeví se chybová zpráva "Toto není platná aplikace typu win32".
Od.: Tato chyba se objevuje, jestliže je soubor poškozený, např. chybně stažený. Stáhněte jej znovu, zkuste z jiného umístění.

Ot.: Jak mohu přidat zvuk na pozadí na VCD (Video CD)?
Od.: Toto bohužel není dle specifikací VCD možné.

Ot.: Je IrfanView kompatibilní sWindows 7/8/10/Vista/XP 64 bit?
Od.: Ano, stejně jako asi 95 % všech 32bitových programů.

Ot.: Při spouštění IrfanView na Windows 7 (a novějších) jej systém chce spouštět jako správce. Proč?
Od.: Někdo, nikoliv IrfanView, nastavil vlastnosti programu na "Spouštět jako správce". Odškrtněte tuto volbu (pravým tlačítkem myši klikněte na soubor IrfanView EXE, zvolte Vlastnosti, kartu Kompatibilita) a spusťte IrfanView klasickým způsobem. Žádná z možností režimů kompatibility by pro IrfanView neměla být zaškrtnuta.

Ot.: Jak mohu změnit přiřazení některých ikon s IrfanView?
Od.: V nabídce Vlastnosti->Přípony zaškrtněte políčko Různé. Zde můžete vyplnit požadované přípony souborů pro přiřazení.

Ot.: Nahlášení problému: Od včerejška mi IrfanView zobrazuje všechny obrázky zkreslené/roztažené! Proč?
Od.: V nabídce Zobrazení odškrtněte položku "Přizpůsobit obrázky ploše".

Ot.: Jak rozbalit obrázky z prezentace v EXE souboru?
Od.: Spusťte EXE soubor a stiskněte klávesu F1 pro nápovědu. Pro rozbalení stiskněte E.

Ot.: Jak změnit data/ komentář IPTC pro více JPG souborů (dávkový režim)?
Od.: V okně Miniatury zvolte více obrázků a zvolte nabídku Bezztrátové operace JPG à Nastavit data IPTC komentáře na zvolené miniatury. Data z prvního obrázku se použijí na všechny označené soubory. Dialog pro IPTC obsahuje i další možnosti.

Ot.: Jsou úpravy dat IPTC/komentářů bezztrátové?
Od.: Ano, obrázek jako takový není překódován.

Ot.: Jak mohu během procházení načíst pouze vybrané typy souborů?
Ot.: Jak vyjmout některé přípony (např. TXT) z procházení složkou?
Ot.: IrfanView načte např. CR2 soubory, ale ty se nezobrazují v okně miniatur. Proč?
Od.: V nabídce Vlastnosti->Přípony upravte přípony souborů v poli Načíst vlastní typy souborů; odstraňte nechtěné nebo přidejte další (ale podporované!) přípony.

Ot.: Nahlášení problému: Když snížím barevnou hloubku na 8 nebo méně BPP, uložený JPG soubor je vždy 24 BPP, proč?
Od.: Mějte na paměti, že soubory JPG mohou být ukládány pouze jako 24 BPP nebo 8 BPP ve stupních šedi. JPG neumožňuje jiné hodnoty BPP. Pokud požadujete jiné hodnoty BPP, použijte jiný formát, např. PNG, TIF, BMP, atd.

Ot.: Jak mohu změnit ikonu IrfanView?
Od.: Toto je standardní funkce Windows. Klikněte na ikonu pravým tlačítkem myši, zvolte "Vlastnosti" a zde můžete zvolit jinou ikonu (Změnit ikonu) nebo odstranit/změnit klávesovou zkratku pro spuštění programu.

Ot.: Jak mohu při procházení načíst soubory bez přípony?
Od.: V nabídce Vlastnosti->Přípony upravte přípony souborů v poli Načíst vlastní typy souborů; pro přidání záznamu o prázdné příponě přidejte na konec |. Případně v nabídce Vlastnosti->Zacházení se soubory odškrtněte možnost Zeptat se na přejmenování v případě nesprávné přípony.

Ot.: Jak vytisknout jen část obrázku?
Od.: Pomocí levého tlačítka myši označte požadovanou část obrázku, poté zvolte nabídku Tisk. Případně Úpravy->Oříznutí a pak Tisk.

Ot.: Jak vytisknout více souborů najednou (dávkový tisk)?
Od.: V okně Miniatury vyberte více obrázků a zvolte nabídku Vytisknout vybrané soubory jako samostatné obrázky.

Ot.: Jak načíst soubory PDF v IrfanView?
Od.: Nainstalujte IrfanView a doplňky. Nainstalujte Ghostscript např. z https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/.

Ot.: Jak vytisknout více obrázků na jednu stránku?
Od.: V okně Miniatury zvolte nabídku Vytvořit stránku kontaktů z vybraných souborů. Výsledný obrázek můžete vytisknout nebo uložit.

Ot.: Je IrfanView kompatibilní s Windows 95 nebo 98?
Od.: IrfanView (4.44 a starší) je kompatibilní se všemi verzemi Windows 9x a novějšími. Windows 9x znamená: Windows 95, 98, 98 SE a Windows ME.

Pozn.: Poslední verze IrfanView kompatibilní s Windows 9x je 4.44. Verze 4.50 a novější již na Windows 9x nespustíte, pouze na Windows XP a novějších.

Ot.: Existuje možnost dávkového skenování bez nutnosti vlastnit ADF skener?
Od.: Ano, v nabídce Soubor à Pořizování / Dávkové skenování odškrtněte možnost Zavřít dialog TWAIN po pořízení obrázku.

Ot.: Jak použít text ve formátu Unicode (např. čínštinu) v dialogu Vložit text?
Od.: V nabídce Ovládací panely Windows zvolte Místní a jazyková nastavení (Pokročilá nastavení), zvolte "čínštinu" jako "Jazyk pro programy nepodporující kód Unicode".

Ot.: Jak mohu v IrfanView přehrávat soubory QuickTime (MOV)?
Od.: Pro přehrávání všech souborů QuickTime nainstalujte Apple QuickTime a doplňky IrfanView. Aktivujte doplněk QuickTime pro IrfanView v nabídce Vlastnosti->Video/zvuk.

Ot.: Nahlášení problému: IrfanView neukládá nastavení. Proč?
Od.: Může to mít dvě příčiny. Tou první je, že váš INI soubor (i_view32.ini) nebo celá složka IrfanView je nastavena jen pro čtení, změňte toto nastavení. Tou druhou je, že nějaký "chytrý" nástroj na čištění systému tento soubor odstranil, prosím zahrňte soubory a složky IrfanView do výjimek tohoto programu. Soubor INI můžete také přesněrovat do jiného umístění; lze i během instalace.

Ot.: Nahlášení problému: Tlačítko Přidat v dialogu prezentace nepřidá soubory do seznamu.
Od.: V možnostech složky Průzkumníka Windows je "funkce": Skrýt příponu souborů známých typů. Prosím, deaktivujte tuto výchozí a přitom hloupou možnost pro zobrazení souborů s jejich názvy i příponami.

Ot.: Nahlášení problému: Okno miniatur spadne, když mám ve složce hodně souborů.
Od.: Toto je chyba Windows 9x/XP (nyní i Windows 7 64 bit => Modrá obrazovka, chyba Windows), maximální počet souborů ve složce závisí na systému. Ve WinNT/Win2K to funguje normálně. Pokuste se rozdělit soubory do několika složek.

Ot.: Nahlášení problému: Když pořídím video, proč je obrazovka černá?
Od.: Zkuste deaktivovat akceleraci grafiky v Nastavení à Ovládací panely à Zobrazení à Problémy se snímky obrazovky. Nebo spusťte přehrávač ještě jednou a zkuste snímek zachytit znovu.

Ot.: Problém: Když zkouším otevřít soubor asociovaný s IrfanView, objeví se chybová zpráva "Nelze najít soubor [cestu] nebo některé části". Kde je problém?
Od.: Spusťte IrfanView, zvolte nabídku Vlastnosti->Přípony a přidružte typy souborů znovu.

Ot.: Nahlášení problému: IrfanView se na mém systému spouští a běží velmi pomalu! Proč?
Od.: Pravděpodobně máte spuštěn starý antivirus nebo jiný program běžící na pozadí, který tyto problémy způsobuje. Zkontrolujte váš systém.

Ot.: Nahlášení problému: Spořič obrazovky vytvořený v IrfanView zobrazí jen pár obrázků a pak se ukončí. Proč?
Od.: Tento problém způsobuje nějaký jiný program, který spořič vypíná. Zkontrolujte váš systém.

Ot.: Aktualizace: Je nutné odinstalovat předchozí verzi před aktualizací?
Od.: Ne. Novou verzi můžete nainstalovat přes jakoukoliv starší. Po instalaci pouze obnovte přidružení souborů v nabídce Vlastnosti->Přípony.

Ot.: Mohu používat IrfanView v Linuxu?
Od.: Ano. Neexistuje sice žádná nativní verze IrfanView pro Linux, ale můžete jej používat ve spolupráci s Linuxovými programy jako WINE, emulátory Windows pro Linux a virtuálními stroji založenými na Linuxu. Instrukce najdete např. zde:

http://www.wine-reviews.net/applications/irfanview-410-on-linux-with-wine.html

Použijte ZIP verzi IrfanView a rozbalte ji nebo zkopírujte vaši existující složku IrfanView do Linuxu. Toto je jednodušší varianta, protože instalátor by ke svému chodu mohl potřebovat další Windows knihovny DLL.

Ot.: Mohu používat IrfanView na Macu?
Od.: Pravděpodobně ano. Neexistuje sice žádná nativní verze IrfanView pro Mac, ale můžete jej používat ve spolupráci s Mac programy jako WineBottler/DARWINE.

Použijte ZIP verzi IrfanView a rozbalte ji nebo zkopírujte vaši existující složku IrfanView do Macu. Toto je jednodušší varianta, protože instalátor by ke svému chodu mohl potřebovat další Windows knihovny DLL.

Ot.: Základní: Jak mohu převézt např. obrázek BMP na JPG?
Od.: Otevřete soubor BMP z nabídky Soubor->Otevřít. Zvolte nabídku Soubor->Uložit jako, jako výstupní formát zvolte JPG, zadejte název nového souboru a uložte jej. Chcete-li převézt více souborů, použijte Dávkový převod.

Také se podívejte na toto video: http://www.youtube.com/watch?v=cj-rDx1hH4A

Ot.: Základní: Potřebuji doplňky IrfanView?
Od.: Pravděpodobně ne. Všechny základní možnosti jsou zahrnuty ve standardní instalaci IrfanView. Doplňky obvykle obsahují speciální formáty souborů. Když bude doplněk požadován, IrfanView zobrazí chybovou zprávu a vy můžete zkusit nainstalovat ostatní doplňky.

Ot.: Neobsahuje IrfanView spyware, viry atd.?
Od.: Ne. Jestliže váš antivirus ohlašuje v IrfanView staženém z oficiálních stránek virus nebo spyware, měli byste si buďto aktualizovat antivirový program, nebo používat lepší.

Ot.: Pokročilé: Existuje způsob, jak permanentně skrýt panel nabídek a titulek programu stejným způsobem, jako lze skrýt panel nástrojů a stavový řádek?
Od.: Ano. Do INI souboru v sekci [Menu] zapište Active=0 pro skrytí panelu nabídek a v sekci [Caption] zapište Active=0 pro skrytí titulku programu.

Ot.: Jsem administrátor. Jak mohu nainstalovat IrfanView na server se stejným nastavením pro všechny uživatele?
Od.: 1) Nainstalujte IrfanView na server.

2) Nakonfigurujte možnosti IrfanView (vlastnosti atd.). Nyní nastavte atribut souboru INI "i_view32.ini" na pouze pro čtení.

Uživatelé již nebudou moci měnit nastavení IrfanView.

3) Abyste zabránili změnám přidružení typů souborů v registru, můžete skrýt dialog Vlastnosti->Přípony. Do INI souboru zapište:

ShowExtensionsDlg=0 in section [Extensions].

Ot.: Jsem administrátor. Jak mohu nainstalovat IrfanView na server, ale každému uživateli umožnit ukládat nastavení?
Od.: 1) Nainstalujte IrfanView na server.

2) Do INI souboru (i_view32.ini) na serveru zapište:

INI_Folder=folder v sekci [Others].

Příklady:

INI_Folder=C:\TEMP, nebo

INI_Folder=%TEMP%, nebo

INI_Folder=%APPDATA%\IrfanView, nebo

INI_Folder=C:\TEMP\%YOUR_ENVIRONMENT_VARIABLE%, nebo

INI_Folder=%YOUR_ENVIRONMENT_VARIABLE%\folder

Ot.: Jsem administrátor, IrfanView je nainstalován na serveru, každý uživatel používá svůj INI soubor. Jak nastavit výchozí jazyk programu např. na Czech/Čeština?
Od.: Metoda 1: Připravte si speciální INI soubor s vlastním výchozím nastavením a přepište jím místní/uživatelský INI soubor.

Metoda 2: Do globálního INI souboru (i_view32.ini na serveru) zapište:

DefaultLang=dll-name in section [Language].

Příklad pro češtinu:

DefaultLang=czech.dll v sekci [Language].

Ot.: Jsem administrátor. Jak mohu bezobslužně nainstalovat/odinstalovat IrfanView?
Od.: Obvykle můžete použít ZIP verzi IrfanView a doplňků. Instalační verze obsahují speciální parametry pro bezobslužnou instalaci (např. verze 4.20).

1) IrfanView:

iview420_setup.exe /silent /folder="c:\test folder\irfanview"

iview420_setup.exe /silent /folder="c:\test folder\irfanview" /desktop=1 /thumbs=1 /group=1 /allusers=0 /assoc=1 /ini="%APPDATA%\irfanview"

iview420_setup.exe /silent /folder="c:\test folder\irfanview" /ini="c:\temp"

Možnosti:

folder: cílová složka; pokud není zvolena, použije se původní složka IrfanView, jestliže neexistuje, použije se složka "Program Files"
desktop: vytvořit zástupce na ploše; 0 = ne, 1 = ano (výchozí: 0)
thumbs: vytvořit na ploše zástupce pro miniatury; 0 = ne, 1 = ano (výchozí: 0)
group: vytvořit skupinu v nabídce Start; 0 = ne, 1 = ano (výchozí: 0)
allusers: zástupci na ploše a v nabídce Start platí pro všechny uživatele; 0 = aktuální uživatel, 1 = všichni uživatelé
assoc: použije se pro nastavení přidružení typů souborů; 0 = žádné, 1 = pouze obrázky, 2 = zvolit všechny (výchozí: 0)
assocallusers: použije se pro nastavení přidružení pro všechny uživatele (jen na Windows XP)
ini: použije se pro nastavení vlastních složek pro INI soubor (proměnné prostředí systému jsou povoleny)

2) Doplňky:

irfanview_plugins_420_setup.exe /silent

3) Odinstalace:

iv_uninstall.exe /silent

Ot.: Jakou má IrfanView ikonu? Je to medvěd, ďábel nebo něco jiného?
Od.: Je to červená kočka. Pozn.: Mám rád kočky, tohle je vtip. ;-)

Různé: Někteří uživatelé IrfanView vytvořili návody pro specifické funkce nebo operace. Děkuji vám!

- Instalace: http://www.downloadtube.com/IrfanView-4-20-demo-installation-windows.html
- Obecné: http://www.downloadroute.com/IrfanView-Irfan-Skiljan/tutorials.html
- Obecné: http://www.sticksite.com/irfanview/
- Obecné: http://www.indeavors.com/resources/tutorials.htm
- Obecné: http://www.cam-web.co.uk/IrfanviewTutorials
- Obecné: http://www.pc-tinkering.de/search.php?search=Irfanview&language=1
- Obecné: http://www.fotowelt-online.de/software/irfanview/index.php (german)
- Obecné: http://www.lehrerfortbildung-bw.de/werkstatt/bild/irv/ (german)
- Obecné: http://www.henner.info/irfan.htm (german)
- Obecné: http://www.infografik.ch/bro11_irfan.pdf (german, PDF)
- Obecné: http://home.casema.nl/sve/irfanview/irfanview.htm (dutch)
- Dávková změna velikosti: http://www.lancelotgroup.com/tutorials/HowToResize-IrFanView-Start.asp
- Dávková změna velikosti: http://www.coffeedrunk.com/2008/10/08/how-to-do-a-batch-resize-using-irfanviewtutorial/
- Možnosti z příkazového řádku: http://www.netikka.net/tsneti/info/tscmd137.htm
- Dávkový převod: http://www.photosapiens.com/article.php?id_article=1224 (french)
- Dávkový převod: http://www.youtube.com/watch?v=dWvlvu_4NQc (spanish)
- Stránka kontaktů: http://www.photosapiens.com/article.php?id_article=1694 (french)
- Ořezávání: http://www.peterkjohnson.com/helpSheet/demoCroppingIrfanview/croppingIrfanview.html
- Prezentace: http://www.zisman.ca/Irfanview/
- Instalace atd.: http://www.kulak.ac.be/renwv/nazorg/wegwijsweb/ (dutch)
- Soubory JPG: http://netzreport.googlepages.com/hidden_data_in_jpeg_files.html
- Fraktály: http://benscheele.com/ag/fractal_art.htm

Různé: Odkazy na informace o různých problémech Windows:

- Špatné miniatury v Průzkumníku: http://www2.whidbey.net/djdenham/Tweekz.htm
- Nástroje/převody videa: http://www.videohelp.com


Instalace

Instalace a nastavení IrfanView pro první použití.

Pro pokročilé uživatele:

Stáhněte si IrfanView a rozbalte jej do zvolené složky. Vytvořte si zástupce programu v Nabídce Start Windows nebo na ploše.

Pro méně zkušené uživatele:

Stáhněte si instalační soubor programu IrfanView a spusťte jej.

Několik informací:

Po rozbalení se zobrazí několik souborů. "i_about.txt" popisuje program a podává informace o autorovi. "i_changes.txt" obsahuje historii verzí programu. "i_options.txt" popisuje některé rozšířené možnosti programu. "i_view32.exe" nebo ("i_view64.exe") je spouštěcí soubor vlastního programu IrfanView. Soubor "i_view32.chm" je soubor nápovědy programu.

Zástupci jsou soubory, kterými spouštíte program z Nabídky Start, nebo ikony na ploše. Pro pohodlné spouštění IrfanView je třeba zástupce vytvořit. Pro jeho vytvoření v Nabídce Start klikněte na tlačítko Start. Posuňte ukazatel myši na Nastavení. V podnabídce, která se objeví, klikněte na Úlohovou lištu. Zobrazí se dialog se dvěma kartami. Klikněte na tu s názvem Programy. V horní části klikněte na tlačítko Přidat. Objeví se dialog Vytvořit zástupce pro zadání názvu programu. Klikněte na tlačítko Procházet a objeví se další dialog, zde vyberte spouštěcí soubor programu IrfanView. Klikněte na něj a poté klikněte na tlačítko Otevřít. Okno se zavře a IrfanView je nyní vybrán. Klikněte na tlačítko Další. Objeví se dialog Zvolte složku programu. Zvolte složku v Nabídce Start, kam chcete zástupce uložit. Klikněte na název složky a poté klikněte na tlačítko Další. Nakonec se zobrazí dialog Zvolte název programu. Klikněte na tlačítko Dokončit. Nyní naleznete IrfanView ve vámi zvolené složce v Nabídce Start.

Nejjednodušší možností, jak vytvořit zástupce programu na ploše, je udělat to přímo v možnostech prohlížeče. Spusťte IrfanView. Zvolte nabídku Možnosti, pak Vlastnosti. Zobrazí se dialogové okno. Zvolte kartu Různé. Téměř v dolní části okna se nachází tlačítko Vytvořit zástupce IrfanView na ploše. Klikněte na toto tlačítko a zástupce se vytvoří. Klikněte na tlačítko OK. Od této chvíle můžete program spouštět, stačí poklepat na jeho ikonu na ploše nebo použít klávesovou zkratku Ctrl+Shift+I.

Pozn.: Aktualizovat na novou verzi můžete bez nutnosti odinstalování té stávající. Po instalaci jen obnovte přidružení souborů v nabídce Vlastnosti->Přípony, jestliže se tak nestalo během instalace.


Odinstalace IrfanView

Jak odinstalovat IrfanView?

Zvolte "Nabídku Start Windows -> Programy -> IrfanView" a zde zvolte "Odinstalovat IrfanView" nebo se podívejte do "Nabídky Start -> Nastavení -> Ovládací panely -> Přidat nebo odebrat programy" nebo "Aplikace" (jestliže jste IrfanView nainstalovali klasickým způsobem).


Podporované typy souborů

Toto je seznam typů souborů/přípon podporovaných v aktuální verzi IrfanView:

AIF¹, ANI, AU¹, AVI, AWD, B3D, BMP, CAM, CLP, CPT, CRW/CR2, CUR, DAT¹, DCM/ACR, DCX, DDS, DIB, DJVU, DLL/EXE, DPX/CIN, DXF/DWG/HPGL/CGM/SVG, ECW, EMF, EPS/PS/PDF/AI, EXR, FITS, FLI/FLC², FLIF, FPX, G3, GIF, GLCD, HDP/WDP, HDR, HEIC, ICL, ICO, IFF/LBM, IMG, JLS, JP2, JPG/JPEG, JPM, KDC, Mac PICT², MAG, MED, MID, MNG/JNG, MOV¹², MP3, MPG/MPEG¹, MPO, MrSID, OGG, PBM, PCX, PDF, PDN, PGM, PhotoCD, PNG, PPM, PSD, PSP, PVR, QTIF², RAS/SUN, RealAudio, RAW, RLE, RMI, SFF, SFW, SGI/RGB, MrSID, SWF/FLV, SND¹, TGA, TIF/TIFF, TTF, TXT, WAD, WAL, WAV, WBMP, WMF, WMA, WMV, WBC/WBZ, WEBP, WSQ, XBM, XCF, XPM, (DNG, EEF, NEF, ORF, RAF, MRW, DCR, PEF, SRF, X3F, RW2, NRW)

Mnoho starých formátů (Amiga, Atari, C64, ZX Spectrum szf) je rovněž podporováno pomocí knihovny RECOIL.

Pozn.: Mnoho z těchto formátů je podporováno díky doplňkům. Více informací naleznete v tabulce níže a v souboru "i_plugins.txt".

Doplňky ke stažení: http://www.irfanview.com/plugins.htm

Přehled formátů souborů IrfanView:

Přípona | Název formátu | Otevřít | Uložit
AIF | Zvukový formát, Audio Interchange | ANO¹ ³ |
ANI | Formát animovaných kurzorů pro Microsoft Windows | ANO³ |
AU, SND | Formát kódovaného zvuku používaný v přístrojích Sun a NeXT | ANO¹ ³ |
AVI, WMV, ASF | Audio Video Interleaved: Formát videa od Microsoftu | ANO |
B3D | Formát BodyPaint 3D | ANO³ |
BMP, DIB | Bitmapa Windows | ANO | ANO
CAM | Soubor digitálních fotoaparátů Casio | ANO³ (JPG verze) |
CLP | Formát schránky Windows | ANO |
CPT | CorelDraw Photopaint obrázek | ANO (CPT verze 6) |
CRW, CR2 | RAW obrázek Canon | ANO³ |
CUR | Zdrojový formát pro kurzory Microsoft Windows | ANO |
DCM, ACR, IMA | Dicom/ACR formát pro zdravotnické obrázky | ANO³ |
DCX | Formát vícestránkových souborů PCX | ANO |
DDS | Direct Draw Surface | ANO³ |
DJVU, IW44 | Formát souborů DjVu | ANO³ |
DPX, CIN | Digital Picture Exchange/Cineon | ANO³ |
DXF, DWG, HPGL, CGM, SVG | Formáty CAD | ANO³ |
ECW | Rozšířený komprimovaný Wavelet | ANO³ | ANO³
EMF | Formát rozšířených metadat | ANO | ANO
EPS, PS, PDF, AI | Formáty PostScript | ANO³ |
EXR | Formát OpenEXR | ANO³ |
FITS | Flexible Image Transport System | ANO³ |
FLI, FLC | Formát animací Autodesk | ANO² ³ |
FLIF | Volně šiřitelný bezztrátový formát obrázků | ANO³ |
FPX | Formát FlashPix | ANO³ |
G3 | Formát pro přístroje Group 3 Facsimile | ANO³ |
GIF | Graphics Interchange Format | ANO | ANO
HDP, WDP | Formát HD fotografií od Microsoftu | ANO³ |
HDR | High Dynamic Range | ANO³ |
HEIC | Vysoce efektivní obrazový soubor | ANO³ |
ICL, EXE, DLL | Formáty knihoven ikon | ANO (icons) |
ICO | Ikony Windows | ANO | ANO
IFF, LBM | Formát souborů Interchange | ANO |
IMG | Rastrový obrázek GEM | ANO³ |
JLS | JPEG-LS, bezztrátový JPEG | ANO³ |
JP2, JPC, J2K | JPEG 2000 formát | ANO³ | ANO³
JPG, JPEG | Joint Photographic Experts Group | ANO | ANO
JPM | JPEG2000/Part6, LuraDocument.jpm | ANO³ | ANO³
KDC | Formát digitálních fotoaparátů Kodak | ANO³ |
Mac PICT, QTIF | Formát PICT pro Macintosh | ANO² ³ |
MED | Zvukový formát MED/OctaMED | ANO³ |
MID, RMI | Musical Instrument Digital Interface (MIDI) | ANO³ |
MNG, JNG | Multiple Network Graphics | ANO³ |
MOV, MP4 | Formát QuickTime Movie | ANO³ |
MP3 | MPEG audio layer 3 formát | ANO³ |
MPG, MPEG | Formát Moving Pictures Experts Group | ANO¹ ³ |
MrSID, SID | Formát SID Wavelet od LizardTech | ANO³ |
DNG, EFF, NEF, MRW, ORF, RAF, DCR, SRF, ARW PEF, X3F, RW2, NRW | RAW formáty digitálních fotoaparátů (Adobe, Epson, Nikon, Minolta, Olympus, Fuji, Kodak, Sony, Pentax, Sigma) | ANO³ |
OGG | Zvukový formát OGG Vorbis | ANO³ |
PBM | Formát souborů Portable Bitmap | ANO | ANO
PCX | Formát PC Paintbrush od ZSoft Corporation | ANO | ANO
PCD | Kodak Photo CD | ANO |
PDN | Formát souborů Paint.NET | ANO³ |
PGM | Formát souborů Portable Greymap | ANO | ANO
PNG | Portable Network Graphics | ANO | ANO
PPM | Formát Portable Pixelmap | ANO | ANO
PSD | Formát Adobe PhotoShop | ANO |
PSP | Formát souborů Paint Shop Pro | ANO³ |
RAS, SUN | Rastrový formát Sun | ANO³ |
RA | Zvukový formát RealAudio | ANO³ |
RAW | Raw (binární) data | ANO³ |
RLE | Utah RLE formát | ANO³ |
SFF | Structured Fax File | ANO³ |
SFW | Formát Seattle Film Works | ANO³ |
SGI, RGB, RGBA | Silicon Graphics formát | ANO³ |
SWF, FLV | Formát Flash/Shockwave od Macromedia | ANO³ |
TGA | Truevision Advanced Raster Graphics Adapter (TARGA) | ANO | ANO
TIF, TIFF | Formát souborů Tagged Image file | ANO | ANO
TTF | True Type Font | ANO³ |
TXT | Textový soubor (ASCII) | ANO |
WAD | Formát her WAD3 | ANO³ |
WAL | Textury Quake 2 | ANO³ |
WAV, WMA | Zvukový soubor Windows | ANO³ |
WBC/WBZ | Formáty WebShots | ANO³ |
WBMP | Formát WAP Bitmap | ANO³ |
WEBP | Formát souborů Weppy | ANO³ | ANO³
WMF | Formát metasouborů Windows | ANO |
WSQ | Wavelet Scaler Quantization | ANO³ |
XBM | X11 Bitmap | ANO³ |
XCF | Formát souborů GIMP | ANO³ |
XPM | X11 Pixmap | ANO³ |

¹ Tyto formáty vyžadují program Microsoft Active Movie.

² tyto formáty vyžadují program Apple QuickTime.

³ Tyto formáty vyžadují doplněk, který je ke stažení výše.


Doplňky

Vždy, prosím, používejte aktuální verzi programu IrfanView a jeho doplňků.

Jak nainstalovat doplňky programu IrfanView?

1. Navštivte domovskou stránku programu IrfanView: http://www.irfanview.com (případně stránku s odkazy ke stažení).
2. Přejděte do sekce "Doplňky".
3. Stáhněte doplňky.
4. Spusťte stažený soubor s doplňky.
5. Doplňky budou nainstalovány do složky doplňků programu IrfanView.

Stažení:

Všechny doplňky můžete stáhnout z následující stránky:

http://www.irfanview.com/plugins.htm

Další informace o doplňcích se dočtete v souboru "i_plugins.txt", který se nachází ve složce programu IrfanView.

Dostupné doplňky:

- ALTALUX: umožňuje programu IrfanView používat obrazový efekt AltaLux.

- AWD: umožňuje programu IrfanView číst soubory Artweaver.

- B3D: umožňuje programu IrfanView číst soubory BodyPaint 3D.

- BABACAD4IMAGE: umožňuje programu IrfanView číst soubory DXF a DWG CAD.

- BURNING: umožňuje programu IrfanView vypalování prezentace na CD.

Vyžadována verze Windows XP a vyšší, Nero podporuje vypalování datových DVD a VCD.

- CRW: umožňuje programu IrfanView číst soubory Canon CRW/CR2 (verze pro vysoké rozlišení obrázků).

Poznámka: Tento doplněk vyžaduje rozšiřující knihovny DLL společnosti Canon (více informací v souboru "i_plugins.txt").

- CADIMAGE: umožňuje programu IrfanView číst soubory CAD (DXF, DWG, HPGL, CGM, SVG). Shareware, doplněk třetích stran.
Poznámka: Více informací a odkaz na aktuální verzi tohoto doplňku viz soubor "i_plugins.txt".

- DICOM: umožňuje programu IrfanView číst soubory Dicom Medical (DCM, ACR, IMA).

- DJVU: umožňuje programu IrfanView číst soubory AT&T DJVU.

- DPX: umožňuje programu IrfanView číst soubory DPX/CIN (Digital Picture Exchange/Cineon).

- ECW: umožňuje programu IrfanView číst a zapisovat soubory ECW.

- EFFECTS: obsahuje obrazové efekty a může načítat filtry Adobe Photoshop 8BF.

Poznámka: Některé pěkné doplňky a efekty Adobe 8BF lze stáhnout a instalovat z těchto stránek:

http://www.irfanview.net/plugins/irfanview_adobe_8bf_plugins.exe

nebo

http://www.irfanview.net/plugins/irfanview_adobe_8bf_plugins.zip

Poznámka: Některé starší či speciální filtry 8BFs mohou vyžadovat doplňující systémové knihovny DLL (více informací v souboru "i_plugins.txt").

- EMAIL: umožňuje programu IrfanView odesílat obrázky jako e-maily.

- EXR: umožňuje programu IrfanView číst soubory EXR.

- FACEDETECT: umožňuje programu IrfanView používat funkci rozpoznávání obličeje v okně Miniatur.

- Film Simulation: umožňuje programu IrfanView měnit barvy obrázku s použitím filmového vzhledu CLUT (Color-Lookup-Table).

- Filter Factory: umožňuje programu IrfanView používat soubory Filter Factory 8BF (doplňky Photoshopu pro Filter Factory).

- FLASH: umožňuje programu IrfanView číst soubory Macromedia Flash/Shockwave.

- FLIF: umožňuje programu IrfanView číst soubory FLIF (Free Lossless Image Format).

- FORMATS: umožňuje programu IrfanView číst některé zastaralé formáty obrázků.

Aktuální formáty: PSP, IFF/LBM, G3, RAS/SUN, RAW, Bio-RAD, Mosaic, XBM, XPM, GEM-IMG, WBMP, SGI, RLE, TTF, ARW, CR2, CRW, DCR, DNG, ERF, KDC, MRW, NEF, NRW, ORF, PEF, RAF, RAW, RW2, RWL, SRF, SRW, X3F, DDS, CAM, SFW, WAD, WAL, FITS, HDR, PVR, SIF, ANI

Mnoho starých formátů z Amiga, Atari, C64, ZX Spectrum atp.

- FPX: umožňuje programu IrfanView číst soubory FlashPix.

- Filters Unlimited: umožňuje programu IrfanView (32-bit) používat soubory Filters Unlimited (doplňky Photoshop).

Více informací naleznete v souboru "FUnlimited_Readme.txt".

- FTP: umožňuje programu IrfanView přenášet soubory z okna Miniatur pomocí protokolu FTP.

- HDP: umožňuje programu IrfanView číst soubory HDP/WDP (Microsoft HD Photo).

- ICONS: rozšiřující ikony pro přidružení souborů programu IrfanView.

- ICS: umožňuje programu IrfanView číst soubory ICS/IDS.

- IMPDF: umožňuje programu IrfanView (32-bit) ukládat soubory PDF.

- IMPDN: umožňuje programu IrfanView číst soubory PDN.

- IMXCF: umožňuje programu IrfanView číst soubory XCF.

- IrfanView Sandbox: umožňuje programu IrfanView používat efekty JewelScript.

- IV_Player: umožňuje programu IrfanView přehrávat soubory videa, zvuku a zvuková CD.

Aktuální formáty: AVI, MPG, WAV, MIDI, CDA, WMA, ASF, AIF, SND, WMA/WMV, atp.

- JPEG2000: umožňuje programu IrfanView číst a zapisovat soubory JPEG 2000.

- JPEG_LS: umožňuje programu IrfanView číst a zapisovat soubory JLS (JPEG-LS, JPEG Lossless).

- JPG Transformation: umožňuje programu IrfanView podporu převodu bezztrátového JPG.

- JPM: umožňuje programu IrfanView číst a zapisovat soubory JPM.

- KDC: umožňuje programu IrfanView číst soubory Kodak Digital Camera.

- LCMS: umožňuje programu IrfanView používat vestavěné barevné profily v souborech JPG/TIF.

- MED: umožňuje programu IrfanView (32-bit) přehrávat zvukové soubory MED/OctaMED.

- METADATA: umožňuje programu IrfanView zpracovávat EXIF/IPTC/Komentáře z podporovaných souborů.

- MNG: umožňuje programu IrfanView číst a přehrávat soubory MNG/JNG.

- MP3: umožňuje programu IrfanView přehrávat soubory MP3/MP2/MP1.

- MRC: umožňuje programu IrfanView (32-bit) číst soubory MRC.

- MrSID: umožňuje programu IrfanView číst soubory LizardTech SID.

Poznámka: Tento doplněk vyžaduje přídavné knihovny DLL, které lze stáhnout z těchto stránek:

http://www.irfanview.net/plugins/irfanview_mrsid_plugin.exe

nebo

http://www.irfanview.net/plugins/irfanview_mrsid_plugin.zip

- NERO: umožňuje programu IrfanView (32-bit) vypalovat prezentace na datová či video CD s použitím softwaru Nero Burning ROM.

Pro stažení navštivte stránku http://www.nero.com.

- OCR_KADMOS: přidává do programu IrfanView funkce OCR.

Pro stažení navštivte http://www.irfanview.info/plugins/kadmos/.

-PAINT: umožňuje programu IrfanView kreslení čar, kruhů, šipek, rovnoběžek atp.

-PDF: umožňuje programu IrfanView číst a ukládat soubory PDF.

-PhotoCD: umožňuje programu IrfanView číst soubory Kodak Photo CD.

- PNGOUT: umožňuje optimalizované ukládání souborů PNG.

- POSTSCRIPT: umožňuje programu IrfanView číst soubory PS/EPS/PDF/AI.

Pozn.: Je požadován Ghostscript: https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/

- QuickTime: umožňuje programu IrfanView přehrávat filmy Apple QuickTime (MOV, FLI/FLC).

- RA_Player: umožňuje programu IrfanView (32-bit) přehrávat soubory RealAudio RA.

- REGIONCAPTURE: umožňuje programu IrfanView zachytávání obdélníkové oblasti obrazovky.

- RIOT: umožňuje programu IrfanView ukládat optimalizované soubory JPG/GIF/PNG.

- SFF: umožňuje programu IrfanView číst soubory SFF (Structured Fax).

- Slideshow: umožňuje programu IrfanView vytvářet prezentace ve formátu EXE či SCR (stand-alone executable/screen saver).

- SoundPlayer: umožňuje programu IrfanView přehrávat zvukové soubory OGG (Ogg Vorbis).

- TOOLS: obsahuje některé přídavné funkce pro program IrfanView.

- VIDEO: umožňuje programu IrfanView přehrávat mnoho formátů videa či zvuku a extrahovat videosnímky.

- VTF: umožňuje programu IrfanView (32-bit) číst soubory VTF (Valve Texture).

- WBZ: umožňuje programu IrfanView číst soubory WebShots (WBZ/WBC/WB1).

- WEBP: umožňuje programu IrfanView číst a ukládat soubory Weppy (WEBP).

- WSQ: umožňuje programu IrfanView číst soubory WSQ (Wavelet Scaler Quantization).


IrfanView Shell Extension

IrfanView Shell Extension je rozšíření, které přidává položky Irfanview do kontextové nabídky, což můžete použít v jakémkoliv správci souborů, jako je Průzkumník Windows, Total Commander atd.

Rozšíření IrfanView Shell Extension je ke stažení na stránce s doplňky:

http://www.irfanview.com/plugins.htm

Po nainstalování se v kontextové nabídce objeví nová položka "IrfanView operations" umožňující zobrazit zvolené soubory v IrfanView a provádět různé úlohy.

K dispozici jsou tyto úlohy:

Spustit prezentaci zvolených souborů (s použitím aktuálních IrfanView nastavení dialogu prezentací)

Otevřít zvolené soubory v okně náhledu IrfanView

Bezztrátové otočení JPG (automatické otočení v závislosti na datech EXIF, zapnout optimalizaci, ponechat všechny značky)

Převod obrázků na jiný formát (pokud výsledný soubor již existuje, bude ve stejné složce vytvořena jeho kopie)

Uložit názvy souborů do textového souboru (ve stejné složce)

Vytvořit vícestránkové soubory TIF nebo PDF (ve stejné složce)

Vytvořit panoramatický obrázek (a zobrazit jej v okně IrfanView)

Podívejte se také na:

Vlastnosti/nastavení->Přípony


Klávesové zkratky

klávesové zkratky programu IrfanView:

Klávesa: Funkce:

+ Přiblížit
= Přiblížit
– Oddálit
é Posunout obrázek nahoru
ê Posunout obrázek dolů
è Posunout obrázek doprava nebo přejít na další obrázek ve složce (jestliže není nic označeno)
ç Posunout obrázek doleva nebo přejít na předchozí obrázek ve složce (jestliže není nic označeno)
Kurzorové šipky Není-li vidět posuvník: posunují obdélník pro označování
Page Up Načíst předchozí soubor ve složce nebo Posunout obrázek nahoru
Page Down Načíst další soubor ve složce nebo Posunout obrázek dolů
CTRL + Page Up Zobrazit předchozí stránku ve vícestránkovém obrázku nebo načíst předchozí soubor ve složce
CTRL + Page Down Zobrazit další stránku ve vícestránkovém obrázku nebo načíst další soubor ve složce
Mezerník Načíst další soubor ve složce
Backspace Načíst předchozí soubor ve složce
CTRL + šipky Proporcionální změna velikosti obdélníku pro výběr
SHIFT + šipky Pohyb obdélníkem pro výběr
ALT + šipky Změna šířky/výšky obdélníku pro výběr

Režim prohlížení Při stisku CTRL: zvýšit nebo snížit index souboru o 5 (výchozí: 1 = následující/předchozí soubor), použitý pro mezerník, Backspace, è,ç, atd.

Při stisku CTRL + číslo (0–9), zvýšit index souboru o dané číslo (0 = 10, 1 = 1 atd.)

Při stisku CTRL + SHIFT + číslo (0–9), snížit index souboru o dané číslo (0 = 10, 1 = 1 atd.)

ESC Zavřít aktuální okno (hlavní okno, prezentaci, režim celé obrazovky, miniatury nebo dialogové okno)
Enter Přepnout mezi režimem celé obrazovky a okna
TAB Přepnout mezi hlavním oknem a oknem miniatur (je-li viditelné)
CTRL + TAB Přepnout do okna miniatur
Pause/Break Pozastavit automatickou prezentaci. Jakoukoliv jinou klávesou ji obnovíte.
DEL Odstranit soubor
Home Přesunout na začátek (vodorovně) nebo načíst první soubor ve složce
CTRL + Home Načíst první soubor ve složce
SHIFT + Home Načíst první stránku ve vícestránkovém souboru
End Přesunout na konec (vodorovně) nebo načíst poslední soubor ve složce
CTRL + End Načíst poslední soubor ve složce
SHIFT + End Načíst poslední stránku ve vícestránkovém souboru
F1 Nápověda
F2 nebo F6 Přejmenovat soubor
F3 Otevřít obrázek v HEX vieweru
F4 Přidat aktuální soubor do aktuální prezentace
F5 nebo U Obnovit (obrazovku a seznam souborů)
SHIFT + F5 Obnovit + vynutit převzorkování (je-li převzorkování aktivováno v nabídce Zobrazení->Možnosti zobrazení)
F7 Přesunout soubor
F8 Zkopírovat soubor
F9 Spustit doplněk pro OCR (na celý obrázek, nebo označenou část)
F10 Otevřít dialog náhledu stránky pro vícestránkové soubory
F11 Zobrazit/skrýt myš v režimu celé obrazovky nebo prezentace
F12 Zobrazit dialog Malování

A Dialog "O programu IrfanView"
B Dávkový převod / Přejmenování
C Dialog pro pořizování snímků
D Vymazat displej (= nabídka: Úpravy -> Vymazat; funguje také v režimu celé obrazovky a prezentace)
E Zobrazit dialog EXIF pro soubory JPG obsahující data EXIF
F Přepnout mezi funkcemi "Přizpůsobit obrázek ploše" a "Přizpůsobit okno obrázku"
G Spustit/pozastavit animaci GIF nebo ANI (když je zastavena, můžete procházet jednotlivé snímky klávesami Page Up/Down)
H Převrátit vodorovně
I Zobrazit informace o obrázku
K Dialog Filter Factory
L Otočit doleva
M Minimalizovat okno IrfanView
N Přepnout zobrazení textu v režimu celé obrazovky a prezentace
O Dialog Otevřít
P Dialog Vlastnosti
R Otočit doprava
S Dialog "Uložit jako"
T Miniatury
V Převrátit svisle
W Dialog Prezentace
X Prohlížení (okno nebo režim celé obrazovky): označit aktuální soubor

CTRL + A Označit/odznačit celý obrázek nebo všechny miniatury (je-li okno miniatur aktivní)
CTRL + B Dialogy Otevřít a "Procházet-podsložky"
CTRL + C Kopírovat obrázek do schránky
CTRL + D Nabídka Obrázek -> Přidat okraj/rámeček
CTRL + E Prohlížeč efektů
CTRL + F Hledat soubory
CTRL + G Vytvořit obrázek ve stupních šedé
CTRL + H Původní velikost (bez přiblížení)
CTRL + I Zobrazit dialog IPTC pro soubory JPG
CTRL + J Nabídka Úpravy -> Znovu
CTRL + K Dialog filtrů Adobe 8BF
CTRL + M Otevřít náhodný obrázek ve složce
CTRL + N Otevřít aktuální soubor v novém okně IrfanView
CTRL + O Spustit Google Earth s daty EXIF-GPS načteného souboru
CTRL + P Dialog Tisk
CTRL + Q Upravit vícestránkový TIF
CTRL + R Dialog Změna velikosti / Převzorkování
CTRL + S Nabídka Soubor -> Uložit (s dialogem, je-li nastaveno)
CTRL + T Nabídka Úpravy -> Vložit text do výběru
CTRL + U Nabídka Obrázek -> Vlastní/jemné otočení
CTRL + V Vložit obrázek ze schránky
CTRL + W Spustit prezentaci se soubory v aktuální složce
CTRL + X Vyjmout výběr
CTRL + Y Oříznout výběr
CTRL + Z Nabídka Úpravy -> Zpět
CTRL + číslo Režim prohlížení (okno nebo režim celé obrazovky), režim změny indexu souboru o číslo (0–9)
CTRL + Print Spustit pořizování snímků obrazovky ve vlastním výběru
CTRL + Insert Zkopírovat obrázek do schránky

SHIFT + 1 Otevřít v externím prohlížeči/editoru 1
SHIFT + 2 Otevřít v externím prohlížeči/editoru 2
SHIFT + 3 Otevřít v externím prohlížeči/editoru 3
SHIFT + 4-0 Otevřít v externím prohlížeči/editoru 4–10 (pro pokročilé uživatele, více informací naleznete na této stránce nápovědy)
SHIFT + A Spustit/pozastavit automatické přehrávání (prezentace v okně)
SHIFT + C Nabídka Úpravy -> Vytvořit vlastní výběr
SHIFT + F Přizpůsobit jen velké obrázky ploše
SHIFT + G Vylepšení barev
SHIFT + H Zobrazit Histogram
SHIFT + J Bezztrátové operace JPG
SHIFT + L Zamknout/odemknout přiblížení (funguje i v režimu celé obrazovky)
SHIFT + M Poslat obrázek e-mailem
SHIFT + N Vytvořit nový obrázek
SHIFT + O Přizpůsobit okno obrázku (zobrazení 1:1)
SHIFT + P Zkopírovat název aktuálního souboru do schránky
SHIFT + Q Prohlížení (okno nebo režim celé obrazovky): zobrazit označené soubory v okně miniatur
SHIFT + R Znovu otevřít soubor
SHIFT + S Doostřit
SHIFT + T Přejít na pole pro úpravu panelu nástrojů
SHIFT + U Automatická korekce barev
SHIFT + V Přidat plátno (změna velikosti plátna)
SHIFT + W Přizpůsobit obrázky oknu
SHIFT + X Prohlížení (okno nebo režim celé obrazovky): odznačit aktuální soubor
SHIFT + Y Redukce červených očí
SHIFT + Insert Vložit obrázek ze schránky
SHIFT + TAB Otevřít/zavřít režim tabletu

Alt + SHIFT + S Zobrazit/skrýt stavový řádek
Alt + SHIFT + T Zobrazit/skrýt panel nástrojů
Alt + SHIFT + M Zobrazit/skrýt panel nabídek
Alt + SHIFT + C Zobrazit/skrýt titulek

CTRL + SHIFT + A Pořizování / Dávkové skenování
CTRL + SHIFT + J Bezztrátové oříznutí JPG
CTRL + SHIFT + M Zobrazit dialog komentářů pro JPG
CTRL + SHIFT + K Zachovat pozici posuvu
CTRL + SHIFT + L Bezztrátové otočení JPG – doleva
CTRL + SHIFT + R Bezztrátové otočení JPG – doprava
CTRL + SHIFT + C Nastavit jako tapetu – na střed
CTRL + SHIFT + F Nastavit jako tapetu – vyplnit
CTRL + SHIFT + T Nastavit jako tapetu – dlaždice
CTRL + SHIFT + S Nastavit jako tapetu – roztáhnout
CTRL + SHIFT + P Nastavit jako tapetu – předchozí tapeta
CTRL + SHIFT + W Roztáhnout obrázky přes všechny monitory (přepínač)
CTRL + SHIFT + X Nastavit jako tapetu – roztáhnout - proporcionálně
CTRL + SHIFT + Y Automaticky oříznout okraje
CTRL + SHIFT + number Prohlížení (okno nebo režim celé obrazovky): snížit index souboru o dané číslo (0–9)

CTRL + SHIFT + "+" Zvýšit rychlost animace GIF/ANI/PNG/WEBP
CTRL + SHIFT + "-" Snížit rychlost animace GIF/ANI/PNG/WEBP

CTRL + SHIFT + šipky Jemné otočení: šipky vlevo/vpravo: 0.10 stupňů; šipky nahoru/dolů: 0.05 stupňů

CTRL + SHIFT + kliknutí myší Vytvořit obdélník pro výběr v závislosti na rozměrech obrázku ve schránce

CTRL + SHIFT + pohyb myší Zobrazit okno lupy – kolečko myši zvětšuje a zmenšuje danou oblast, kliknutím ji zavřete

CTRL + ALT + P Vytisknout obrázek bez zobrazení tiskového dialogu (přímý tisk)

1 Režim celé obrazovky: Zobrazit obrázky/videa v původní velikosti (1:1)
2 Režim celé obrazovky: Přizpůsobit velikosti obrazovky: jen velké obrázky
3 Režim celé obrazovky: Přizpůsobit velikosti obrazovky: všechny obrázky/videa
4 Režim celé obrazovky: Roztáhnout všechny obrázky/videa na obrazovku
5 Režim celé obrazovky: Přizpůsobit šířku obrázku šířce obrazovky
6 Režim celé obrazovky: Přizpůsobit výšku obrázku výšce obrazovky

Numerická 5 Posunout obrázek na střed

Zkratky pro práci s výběrem v IrfanView:

Klik/podržení/pohyb levým tlačítkem myši Vytvořit výběr
CTRL + klik/pohyb/podržení levého tlačítka myši Vytvořit proporcionální výběr s poměrem stran z dialogu "Vytvořit vlastní výběr"
ALT + klik/podržení/pohyb levým tlačítkem myši Vytvořit proporcionální výběr s obráceným poměrem stran z dialogu "Vytvořit vlastní výběr"
Klik levým tlačítkem Přiblížit výběr
CTRL + klik levým tlačítkem Odstranit výběr
Klik/podržení/pohyb pravým tlačítkem myši Přesunout výběr
CTRL + klik/podržení/pohyb pravým tlačítkem myši Přesunout výběr: pouze osa Y
SHIFT + klik/podržení/pohyb pravým tlačítkem myši Přesunout výběr: pouze osa X
Kurzorové šipky Přesunout výběr (není-li vidět posuvník)
SHIFT + kurzorové šipky Přesunout výběr
CTRL + kurzorové šipky Proporcionální změna velikosti výběru
ALT + kurzorové šipky Změna šířky/výšky výběru

Zkratky pomocí myši v IrfanView:

Normální režim:

Klik/podržení levého tlačítka Zobrazit souřadnice myši a barvu pixelů v titulku okna (nebo přiblížit výběr)
SHIFT + klik/podržení levého tlačítka Zobrazit souřadnice myši a barvu pixelů + zkopírovat hexadecimální hodnotu barvy do schránky
SHIFT + klik levým tlačítkem + táhnout Přetáhnout aktuální soubor do jiného programu (Po začátku přesunování můžete SHIFT pustit)
Klik levým tlačítkem + táhnout Vytvořit obdélník výběru
CTRL + klik levým tlačítkem + táhnout Změna velikosti okrajů obdélníků pro výběr s použitím poměru stran aktuálního obdélníku
Klik pravým tlačítkem Posunout obrázek nebo zobrazit kontextovou nabídku (je-li nastaveno nebo hraje-li video)
CTRL + klik pravým tlačítkem + táhnout Posunout obrázek ve směru pohybu myši, i když je aktivní kontextová nabídka.
Klik pravým tlačítkem + táhnout Posunout obrázek ve směru pohybu myši. Jestliže se provede uvnitř výběru, bude pohybovat obdélníkem výběru.
Poklepání levým tlačítkem Přepnout do režimu celé obrazovky

Otočit kolečkem nahoru Načíst předchozí soubor ve složce nebo posunout obrázek nahoru
Otočit kolečkem dolů Načíst další soubor ve složce nebo posunout obrázek dolů
CTRL + Otočit kolečkem nahoru Přiblížit (vycentrovat k myši)
CTRL + Otočit kolečkem myši dolů Oddálit (vycentrovat k myši)
Otáčet kolečkem nahoru/dolů Přiblížit/oddálit => je-li možnost "Procházení->Zobrazit skryté soubory" neaktivní
SHIFT + kolečko Posunout obrázek vodorovně

Okno miniatur:

CTRL + klik levým tlačítkem V seznamu složek: Načíst zvolenou složku se všemi podsložkami

Režim celé obrazovky nebo Prezentace:

Klik levým tlačítkem Načíst předchozí obrázek ve složce
Klik pravým tlačítkem Načíst následující obrázek ve složce
CTRL + klik pravým tlačítkem Hraje-li video: Zobrazit kontextovou nabídku videa
Klik levým tlačítkem ... do levého nebo pravého rohu obrazovky = zavřít režim celé obrazovky.
C Přepínání vycentrování obrázku na obrazovce
F Změna/smyčka zobrazování režimu celé obrazovky a režimu přizpůsobení
Q Pozastavit časovač prezentace
è Načíst následující obrázek ve složce
ç Načíst předchozí obrázek ve složce
F8 Zkopírovat aktuální soubor
F11 Zobrazit/skrýt myš
SHIFT + . Přepnout mezi prezentací a uživatelským přehráváním: náhodně nebo automaticky
SHIFT + Z Přepnout režim: Načíst všechny obrázky nebo jen na výšku / na šířku (v závislosti na poměru stran aktuálního obrázku)
Nepoužívané klávesy jako: J, ",", ".", "#" atd. zavřou prezentaci / režim celé obrazovky

Zkratky pro přehrávání videa (DirectShow) v režimu celé obrazovky nebo prezentace:

B Zobrazit/skrýt lištu přehrávání
Y Zobrazit/skrýt název souboru na liště přehrávání
CTRL + C Zkopírovat aktuální snímek do schránky
Kurzorové šipky nahoru/dolů Změna hlasitosti videa
+ / - Přiblížit/oddálit video
Kurzorové šipky vlevo/vpravo Posun o 10 % délky videa
CTRL + Kurzorové šipky vlevo/vpravo Posun o 5 % délky videa
SHIFT + Kurzorové šipky vlevo/vpravo Posun o 1 % délky videa
Pohyb myši Ve spodní části videa: Zobrazit/skrýt lištu přehrávání

EXE prezentace:

E Rozbalit všechny soubory z EXE prezentace
T nebo N Zobrazit/skrýt text obrázku
F Změna/smyčka zobrazení na celou obrazovku a možnost přizpůsobení
F1 Zobrazit nápovědu
F11 Zobrazit/skrýt myš


Ovládání z příkazového řádku

Možnosti z příkazového řádku

==> V souboru "i_options.txt" (ve složce IrfanView) naleznete nejnovější možnosti ovládání z příkazového řádku.

Parametry příkazového řádku umožňují nastavovat různé funkce IrfanView před samotným spuštěním prohlížeče.

Zde je seznam příkazů podporovaných IrfanView:

/one - umožní spustit "pouze jednu instanci" programu
/fs - spustí program v režimu na celou obrazovku
/bf - spustí funkci "Přizpůsobit obrázek ploše"
/title=text - nastaví titulek okna na "text"
/pos=(x,y) - nastaví okno na pozici x,y (jestliže je podporováno monitorem)
/display=(x,y,w,h,zoom,sX,sY) - nastaví pozici, velikost, přiblížení a pozici posuvu okna IrfanView a obrázku
/convert=filename - uloží/převede vstupní soubory pod "daným názvem souboru" a zavře IrfanView

(více informací o názvech souboru naleznete na stránce s textovými parametry)

/makecopy - pro převod: jestliže cílový soubor již existuje, vytvoří jeho kopie: (1), (2), (3) atd.
/slideshow=txtfile - spustí prezentaci se soubory zapsanými v "txt souboru"
/slideshow=folder - spustí prezentaci se soubory ze "složky"
/reloadonloop - znovu načte zdroj použitý v prezentaci po jejím skončení
/filelist=txtfile - použít názvy souborů z "txt souboru" jako vstupní, viz příklady níže
/file=filename(s) - použít názvy souborů jako vstupní, viz příklady níže
/thumbs - otevřít okno miniatur
/killmesoftly - zavřít všechny instance IrfanView (po příkazu Ukončit)
/cmdexit - ukončit aktuální instanci IrfanView po příkazu
/closeslideshow - Zavřít prezentaci a po posledním obrázku ukončit IrfanView
/page=X - otevřít stránku číslo X z vícestránkového obrázku
/crop=(x,y,w,h,C) - oříznout vstupní obrázek: x-start, y-start, šířka, výška, C-počáteční roh (0–4)
/print - vytisknout vstupní obrázek na výchozí tiskárně a zavřít IrfanView
/print="Name" - vytisknout vstupní obrázek na určité tiskárně a zavřít IrfanView
/resize=(w,h) - změnit velikost vstupního obrázku na w (šířku) a h (výšku)
/resize_long=X - změnit velikost vstupního obrázku: nastavit velikost delší strany na X
/resize_short=X - změnit velikost vstupního obrázku: nastavit velikost kratší strany na X
/resample - pro změnu velikosti: použít funkci převzorkování (lepší kvalita)
/aspectratio - pro změnu velikosti: zachovat poměr stran obrázku
/capture=X - pořídit snímek obrazovky nebo okna (viz příklady níže)
/ini - použít složku Windows pro soubory INI/LST (číst/ukládat)
/ini="Folder" - použít konkrétní "složku" pro soubory INI/LST (číst/ukládat)
/clippaste - vložit obrázek ze schránky
/clipcopy - zkopírovat obrázek do schránky
/silent - nezobrazovat chybové zprávy příkazů čtení/ukládání
/invert - invertovat vstupní obrázek (negativ)
/dpi=(x,y) - změnit hodnoty DPI, nastavit DPI pro skenování
/scan - pořídit obrázek ze zařízení TWAIN – zobrazit dialog TWAIN
/scanhidden - pořídit obrázek ze zařízení TWAIN – nezobrazovat dialog TWAIN
/batchscan=(options) - simulovat nabídku: Soubor->Dávkové skenování, viz příklady níže
/bpp=BitsPerPixel - změnit barevnou hloubku vstupního obrázku na BitsPerPixel
/swap_bw - prohodit černou a bílou barvu
/gray - převést vstupní obrázek na stupně šedé
/rotate_r - otočit vstupní obrázek doprava
/rotate_l - otočit vstupní obrázek doleva
/hflip - převrátit vodorovně
/vflip - převrátit svisle
/filepattern="x" - procházet pouze vybrané soubory
/sharpen=X - otevřít obrázek a použít zostřující filtr value X
/effect=(X,p1,p2) - použít filtr X, viz příklady níže
/contrast=X - otevřít obrázek a nastavit kontrast na hodnotu X
/bright=X - otevřít obrázek a nastavit jas na hodnotu X
/gamma=X - otevřít obrázek a nastavit gamma korekci na hodnotu X
/advancedbatch - převést obrázek s pomocí pokročilých možností převodu z INI souboru
/hide=X - skrýt panel nástrojů, stavový řádek, panel nabídek nebo titulek hlavního okna (viz příklady níže)
/transpcolor=(r,g,b) - nastavit průhlednou barvu při ukládání souboru GIF/PNG/ICO
/info=txtfile - zapsat informace o obrázku do "txt souboru"
/fullinfo - použití pro /info: zapsat data EXIF, IPTC a Comment
/shortinfo - použití pro /info: zapsat pouze index souboru a název
/append=tiffile - přidat obrázek jako stránku k "obrázku TIF"
/multitif=(tif,files) - vytvořit vícestránkový soubor TIF ze vstupních souborů
/multipdf=(pdf,files) - Vytvořit vícestránkový soubor PDF ze vstupních souborů
/panorama=(X,files) - vytvořit panoramatický obrázek ze vstupních souborů; X = směr (1 nebo 2)
/jpgq=X - nastavit kvalitu ukládání JPG
/tifc=X - nastavit kompresi ukládání TIF
/wall=X - nastavit obrázek jako tapetu; viz příklady níže
/extract=(folder,ext) - extrahovat všechny snímky z vícestránkového/vícesnímkového souboru
/import_pal=palfile - importovat a aplikovat na obrázek speciální paletu (PAL formát)
/export_pal=palfile - exportovat paletu obrázku do souboru (PAL formát)
/jpg_rotate=(options) - bezztrátové otočení JPG, viz příklady níže
/hotfolder="folder" - spustit Hotfolder v určité složce
/monitor=X - spustit EXE prezentaci na monitoru X
/window=(x,y,w,h) - nastavit pozici a velikost okna EXE prezentace
/clearmonitors - přehrát EXE prezentaci na jednom monitoru, smazat ostatní monitory

Poznámky:

- Jsou podporována jen malá písmena. (Příkazy nepište velkými písmeny!)

- Pro názvy/cesty souborů s mezerami používejte znak "" (např. "c:\images\dummy test file.jpg")!

- Název vstupního souboru (je-li požadován) je vždy prvním parametrem (pokud není použit /file nebo/filelist).

- Vždy zapisujte úplnou cestu k souboru (včetně písmena jednotky).

- V jednom příkazu můžete kombinovat více parametrů.

- Příkazy budou prováděny v pořadí, ve kterém je napíšete.

- Zástupné znaky jsou podporovány pouze pro /convert, /multitif, /multipdf, /panorama, /print, /info, /jpg_rotate a /extract.

- Po příkazech /batchscan nebo /scan nezapisujte žádné další příkazy, nebudou provedeny.

- Maximální délka příkazu je omezena na 4096 znaků: Pro parametry /file nebo /filelist s velmi dlouhými seznamy souborů použijte funkci táhnout a pustit.

- Většina nastavení je načítána ze souboru INI. S použitím připravených souborů INI a parametru /ini=folder dosáhnete ještě více možností.

- IrfanView ukončovací kód je 0. Jestliže použijete parametr /convert nebo /print, můžete použít i 1 nebo 2 pro načtení/uložení chybových hlášení.

- Zkoušejte prosím (např. převody) nejprve v GUI => některé možnosti je nejprve potřeba nastavit (uložit do souboru INI).

Příklady pro převod:

i_view32.exe c:\test.bmp /convert=c:\test.jpg

Převést soubor "c:\test.bmp" na "c:\test.jpg" bez GUI.

i_view32.exe c:\*.jpg /convert=d:\temp\*.gif

i_view32.exe c:\*.jpg /resize=(500,300) /aspectratio /resample /convert=d:\temp\*.png

i_view32.exe c:\*.jpg /resize_long=300 /aspectratio /resample /convert=d:\temp\outimage_###.jpg

i_view32.exe /filelist=c:\mypics.txt /resize=(500,300) /aspectratio /resample /convert=d:\temp\*.png

i_view32.exe c:\test.bmp /convert=c:\test_$Wx$H.jpg

i_view32.exe c:\test.bmp /convert=c:\temp\$N.jpg

i_view32.exe c:\test.bmp /convert=c:\temp\*.tif

i_view32.exe c:\test.bmp /makecopy /convert=c:\temp\$N.jpg

i_view32.exe c:\test.bmp /resize=(100,100) /resample /aspectratio /convert=d:\$N_thumb.jpg

i_view32.exe c:\test.bmp /aspectratio /convert=d:\temp\$T(%Y%m%d)\test_$Wx$H.jpg

i_view32.exe c:\test.bmp /convert=$D$N.jpg

i_view32.exe c:\*.bmp /convert=$D$N.jpg

i_view32.exe c:\*.jpg /advancedbatch /convert=c:\temp\*.jpg

i_view32.exe c:\test.bmp /transpcolor=(255,255,255) /convert=c:\giftest.gif

(Pozn.: Podporovány jsou všechny formáty pro čtení/ukládání v IrfanView kromě zvukových a video formátů.)

Příklady pro prezentace:

i_view32.exe /slideshow=c:\mypics.txt

(Pozn.: Soubor "c:\mypics.txt" obsahuje na každém řádku název obrázku, včetně úplné cesty nebo cesty relativní k souboru "i_view32.exe".)

i_view32.exe /slideshow=c:\mypics.txt /reloadonloop

i_view32.exe /slideshow=c:\images\

i_view32.exe /slideshow=c:\images\ /reloadonloop

i_view32.exe /slideshow=c:\images\*.jpg

i_view32.exe /slideshow=c:\images\test*.jpg

i_view32.exe /slideshow="c:\images\" /filepattern="*.jpg;*.gif;*.png" /reloadonloop

Po posledním obrázku z TXT souboru musíte ukončit IrfanView, pokud není použit příkaz /closeslideshow.

Příklad s použitím /closeslideshow:

i_view32.exe /slideshow=c:\mypics.txt /closeslideshow

IrfanView bude ukončen po posledním obrázku ze souboru "c:\mypics.txt".

Příklady pro miniatury:

i_view32.exe c:\test\image1.jpg /thumbs

Otevře soubor "image1.jpg" a zobrazí miniatury ze složky "c:\test".

i_view32.exe c:\test\ /thumbs

i_view32.exe /thumbs c:\test\

Zobrazí miniatury ze složky "c:\test".

i_view32.exe /filelist=c:\mypics.txt /thumbs

Načte názvy souborů z TXT souboru a tyto soubory zobrazí jako miniatury.

Příklad pro file (tato možnost se hodí, chcete-li použít vstupní soubor jako poslední parametr):

i_view32.exe /file=c:\image.jpg (stejné jako "i_view32.exe c:\image.jpg")

i_view32.exe /convert="c:\result\*.tif" /file=c:\image1.jpg

i_view32.exe /convert="c:\result\*.tif" /file=c:\image1.jpg "c:\spacy image2.jpg" c:\image3.jpg

i_view32.exe i_view32.exe /thumbs /file=c:\image1.jpg "c:\spacy image2.jpg" c:\image3.jpg

(Tip: Můžete vytvořit speciálního zástupce IrfanView na plochu nebo do složky "Odeslat", kterého můžete použít se soubory pomocí funkce táhnout a pustit či s dalšími parametry jako: "i_view32.exe [options] /file=")

Příklady pro seznam souborů filelist:

i_view32.exe /filelist=c:\mypics.txt

i_view32.exe /filelist=c:\mypics.txt /convert=d:\test\*.jpg

i_view32.exe /filelist=c:\mypics.txt /thumbs

Příklad pro ukončení:

i_view32.exe /killmesoftly

Zavře IrfanView a ukončí všechny jeho instance.

Příklad pro /page:

i_view32.exe c:\test.tif /page=3

Otevře stranu číslo 3 vícestránkového obrázku "c:\test.tif".

Příklady pro /display:

i_view32.exe c:\test.jpg /display=(100,100,300,300,50,0,0)

Načte obrázek a nastaví pozici a velikost okna, přiblížení na 50 % a pozici posunu na 0.

i_view32.exe c:\test.jpg /display=(,,300,,50,30,30)

Načte obrázek a nastaví šířku okna, přiblížení na 50 %, pozici posunu na 30 (výška a pozice = výchozí/předchozí).

Příklady pro /crop:

Počáteční hodnoty rohů: 0 = levý horní, 1 = pravý horní, 2 = levý dolní, 3 = pravý dolní, 4 = střed.

i_view32.exe c:\test.jpg /crop=(10,10,300,300,0)

Otevře soubor "c:\test.jpg" a ořízne jej: x-start=10, y-start=10, šířka=300, výška=300, roh = levý horní (v pixelech).

i_view32.exe c:\test.jpg /crop=(10,10,300,300,4) /convert=c:\giftest.gif

Otevře soubor "c:\test.jpg a ořízne jej: x-start=10, y-start=10, šířka=300, výška=300, roh = střed.

Příklady pro /print:

i_view32.exe c:\test.jpg /print

Otevře soubor "c:\test.jpg", vytiskne jej na výchozí tiskárně a ukončí IrfanView.

i_view32.exe c:\test.jpg /print="Printer Name"

Otevře soubor "c:\test.jpg", vytiskne jej na konkrétní tiskárně a ukončí IrfanView.

i_view32.exe c:\*.jpg /print

Vytiskne všechny obrázky JPG ze složky "C:\" a ukončí IrfanView.

Pozn.: Použije se nastavení z aktuálního souboru INI.

Příklady pro /resize:

i_view32.exe c:\test.jpg /resize=(300,300) /resample

Otevře soubor "c:\test.jpg" a převzorkuje jej: šířka = 300, výška = 300.

(Pozn.: Převzorkování použije aktivní vzorkovací filtr ze souboru INI.)

i_view32.exe c:\test.jpg /resize=(300,300) /aspectratio

Otevře soubor "c:\test.jpg" a změní jeho velikost: šířka = maximálně 300, výška = maximálně 300, proporcionálně.

i_view32.exe c:\test.jpg /resize_long=300 /aspectratio /resample

Otevře soubor "c:\test.jpg" a převzorkuje jej: delší strana = 300, kratší strana = proporcionální.

i_view32.exe c:\test.jpg /resize=(300,0)

Otevře soubor "c:\test.jpg" a změní jeho velikost: šířka = 300, výška = původní.

i_view32.exe c:\test.jpg /resize=(300,0) /aspectratio

Otevře soubor "c:\test.jpg" a změní jeho velikost: šířka = 300, výška = proporcionální.

i_view32.exe c:\test.jpg /resize=(150p,150p)

Otevře soubor "c:\test.jpg" a změní jeho velikost: šířka = 150 %, výška = 150 %.

Příklady pro /capture:

i_view32.exe /capture=0

Pořídí snímek celé obrazovky.

i_view32.exe /capture=6

Spustí režim pořizování, použije nastavení z posledního dialogu pro pořizování.

i_view32.exe /capture=7

Pořídí snímek obdélníku obrazovky z GUI nebo dialogu pro pořizování (= INI hodnoty).

i_view32.exe /capture=7=(0,0,800,600)

Pořídí snímek obdélníku obrazovky: x (0), y (0), šířka (800), výška (600).

Hodnoty pro pořizování:

0 = celá obrazovka

1 = aktuální monitor, kde je myš

2 = okno na popředí

3 = okno na popředí – klientská oblast

4 = obdélník výběru

5 = objekt označený myší

6 = spustit v režimu snímání (nesmí být kombinován s jinými příkazy)

7 = pevný obdélník s použitím možností z dialogu pro zachycení (nebo přímého vstupu)

Příklady pro pokročilé:

i_view32.exe /capture=2 /convert=c:\test.jpg

Pořídí snímek okna na popředí a uloží výsledek do souboru.

i_view32.exe /capture=2 /convert=c:\capture_$U(%d%m%Y_%H%M%S).jpg

Pořídí snímek okna na popředí a uloží výsledek do souboru; název souboru obsahuje časové razítko.

Příklady pro /ini:

i_view32.exe c:\test.jpg /ini="c:\temp\"

i_view32.exe /ini

i_view32.exe c:\test.jpg /ini

Příklady pro /clippaste:

i_view32.exe /clippaste

i_view32.exe /clippaste /convert=c:\test.gif

Příklady pro /clipcopy:

i_view32.exe c:\test.jpg /clipcopy

i_view32.exe c:\test.jpg /clipcopy /killmesoftly

Příklad pro /invert:

i_view32.exe c:\test.jpg /invert

Příklad pro /dpi:

i_view32.exe c:\test.jpg /dpi=(72,72)

Příklady pro /scan:

S příkazem scan můžete kombinovat pouze parametry: /print, /dpi, /gray a /convert.

i_view32.exe /scan

i_view32.exe /scanhidden

i_view32.exe /scanhidden /dpi=(150,150)

i_view32.exe /scan /convert=c:\test.gif

i_view32.exe /scan /append=c:\test.tif

i_view32.exe /scan /append=c:\test.pdf

i_view32.exe /scanhidden /convert=c:\test.gif

i_view32.exe /scanhidden /gray /convert=c:\test.gif

i_view32.exe /print /scan

Příklady pro /batchscan=(options):

options = všech 8 možností z dialogu dávkového skenování:

filename, index, increment, digits, skip, dest-folder, save-extension, multi-tif

i_view32.exe /batchscan=(scanfile,1,1,2,1,c:\temp,bmp,0)

i_view32.exe /batchscan=(scanfile,1,1,2,1,c:\temp,bmp,0) /dpi=(150,150)

i_view32.exe /batchscan=(scanfile,1,1,2,0,c:\temp,tif,1)

i_view32.exe /batchscan=("crazy, filename",1,1,2,0,"c:\temp\crazy, (folder)",tif,1)

i_view32.exe /batchscan=(scanfile,1,1,2,1,c:\temp,bmp,0) /scanhidden

Příklad pro /bpp:

i_view32.exe c:\test.jpg /bpp=8

Otevře soubor "c:\test.jpg" a převede jej na 256 barev. Podporované hodnoty BPP: 1, 4, 8 a 24 (zmenší/zvětší barevnou hloubku).

Příklady pro /filepattern:

i_view32.exe c:\images\ /filepattern="*.jpg"

Přejde do složky "c:\images" a načte z ní pouze soubory JPG.

i_view32.exe c:\images\ /thumbs /filepattern="*.jpg"

Přejde do složky "c:\images" a zobrazí pouze miniatury souborů JPG.

i_view32.exe c:\images\ /thumbs /filepattern="123*.jpg"

Přejde do složky "c:\images" a zobrazí pouze miniatury souborů JPG s názvy "123*".

i_view32.exe c:\images\ /filepattern="*.jpg;*.gif;*.png"

Přejde do složky "c:\images" a načte pouze soubory JPG, GIF a PNG.

Příklady pro /effect=(effect-nr,param1,param2):

i_view32.exe c:\test.jpg /effect=(6,3,0)

Použije filtr Median, parametr = 3.

i_view32.exe c:\test.jpg /effect=(2,3,50)

Použije filtr Blur-2, parametr1 = 3, parametr2 = 50.

Číselné hodnoty efektů (z dialogu prohlížeče efektů):

1 = Rozmazat

2 = Gaussovské rozostření

...

42 = Teplota barvy

80 = AltaLux

Příklad pro /sharpen:

i_view32.exe c:\test.jpg /sharpen=33

Příklady pro /hide:

Hodnoty (lze kombinovat (přidávat hodnoty)):

Panel nástrojů 1
Stavový řádek 2
Panel nabídek 4
Titulek 8

i_view32.exe c:\test.jpg /hide=1

Otevře soubor "c:\test.jpg" a skryje pouze panel nástrojů.

i_view32.exe c:\test.jpg /hide=3

Otevře soubor "c:\test.jpg" a skryje panel nástrojů a stavový řádek.

i_view32.exe c:\test.jpg /hide=12

Otevře soubor c:\test.jpg" a skryje titulek a panel nabídek.

i_view32.exe c:\test.jpg /hide=15

Otevře soubor "c:\test.jpg" a skryje vše.

Příklady pro /info:

i_view32.exe c:\test.jpg /info=c:\test.txt

i_view32.exe c:\test.jpg /info=c:\jpgs.txt /fullinfo

i_view32.exe c:\*.jpg /info=c:\jpgs.txt

Příklady pro /append:

i_view32.exe c:\test.jpg /append=c:\test.pdf

i_view32.exe c:\test.jpg /append=c:\test.tif

Otevře soubor "c:\test.jpg" a připojí jej jako stránku k souboru "c:\test.tif".

Příklady pro /multitif (/multipdf je stejný/identický):

Syntax: /multitif=(názevtif,soubor1,...,souborN)

První soubor je název výsledného TIF souboru, zástupné znaky pro soubor1-N jsou povoleny.

i_view32.exe /multitif=(c:\test.tif,c:\test1.bmp,c:\dummy.jpg)

Vytvoří vícestránkový soubor TIF ("c:\test.tif") ze dvou jiných souborů.

i_view32.exe /multitif=(c:\test.tif,c:\*.bmp)

i_view32.exe /multitif=(c:\test.tif,filelist=c:\mypics.txt)

i_view32.exe /multitif=(c:\test.tif,c:\*.bmp,c:\dummy.jpg,c:\123*.gif)

Příklady pro /panorama:

Syntax: /panorama=(X,soubor1,...,souborN)

První parametr je směr: 1 = vodorovně, 2 = svisle, zástupné znaky pro soubor1-N jsou povoleny.

i_view32.exe /panorama=(1,c:\test1.bmp,c:\dummy.jpg)

Vytvoří vodorovný panoramatický obrázek ze dvou dalších souborů.

i_view32.exe /panorama=(1,c:\test.tif,c:\*.bmp)

i_view32.exe /panorama=(2,c:\test.tif,c:\*.bmp,c:\dummy.jpg,c:\123*.gif)

i_view32.exe /panorama=(2,c:\test.tif,"c:\crazy, comma filename.jpg")

i_view32.exe /panorama=(2,filelist=c:\mypics.txt)

Příklad pro /jpgq:

i_view32.exe c:\test.jpg /jpgq=75 /convert=c:\new.jpg

Otevře soubor "c:\test.jpg" a uloží jej jako c:\new.jpg", kvalita = 75. Rozsah kvality: 1–100.

Příklad pro /tifc:

i_view32.exe c:\test.jpg /tifc=4 /convert=c:\new.tif

Otevře soubor "c:\test.jpg" a uloží jej jako "c:\new.tif", komprese = Fax4.

Komprese: 0 = Žádná, 1 = LZW, 2 = Packbits, 3 = Fax3, 4 = Fax4, 5 = Huffman, 6 = JPG, 7 = ZIP.

Příklady pro /wall:

i_view32.exe c:\test.jpg /wall=0

Otevře soubor "c:\test.jpg" a nastaví jej jako tapetu (na střed).

Hodnoty tapet: 0 (na střed), 1 (jako dlaždice), 2 (roztažená), 3 (roztažená proporcionálně)

i_view32.exe c:\images\*.jpg /random /wall=0 /killmesoftly

i_view32.exe /filelist=c:\mypics.txt /random /wall=0 /killmesoftly

Použije náhodný soubor ze složky/seznamu a nastaví jej jako tapetu.

Příklady pro /extract:

i_view32.exe c:\multipage.tif /extract=(c:\temp,jpg)

Otevře soubor "c:\multipage.tif" a uloží všechny stránky do složky "c:\temp" jako jednotlivé soubory JPG.

i_view32.exe c:\*.tif /extract=(c:\temp,jpg)

i_view32.exe /filelist=c:\mypics.txt /extract=(c:\temp,jpg)

i_view32.exe c:\animated.gif /extract=(c:\temp,bmp)

Příklady pro /hotfolder:

i_view32.exe /hotfolder="c:\input\"

Načte všechny nové obrázky ze složky "c:\input\" a zobrazí je. Použije nastavení časovače z dialogu Hotfolder.

i_view32.exe "c:\input\test.jpg" /fs /hotfolder="c:\input\"

Zobrazí obrázek na celou obrazovku, počká na nové soubory ve složce "c:\input\" a zobrazí je.

Příklady pro EXE prezentaci:

MySlideshow.exe /monitor=2

=> Spustí samostatnou prezentaci na monitoru 2.

MySlideshow.exe /window=(0,0,800,600)

=> Spustí samostatnou prezentaci v levém horním rohu, velikost okna 800 × 600.

MySlideshow.exe /monitor=2 /clearmonitors

=> Spustí samostatnou prezentaci na monitoru 2, vymaže monitor 1 (a všechny další monitory).

Příklad pro /advancedbatch:

i_view32.exe c:\test.jpg /advancedbatch /convert=c:\image.jpg

(Některé pokročilé možnosti dávkového zpracování nejsou podporovány: přepsat, smazat, podsložky, všechny stránky.)

Otevře soubor "c:\test.jpg", použije pokročilé možnosti dávkového zpracování ze souboru INI a výsledek uloží jako nový soubor.

Příklad pro /jpg_rotate=(options):

Možnosti = všech 8 možností z dialogu Bezztrátové operace JPG:

otočení, optimalizace, datum EXIF, aktuální datum, nastavit DPI, hodnotu DPI, možnost značky, vlastní značky

Pozn.: Tato možnost přepíše původní soubor!

Hodnoty:

Otočení : Žádné (0), Svislé (1) ... Automatické otočení (6)
Optimalizace : 0 nebo 1
Nastavit datum EXIF : 0 nebo 1
Zachovat aktuální datum : 0 nebo 1
Nastavit hodnotu DPI : 0 nebo 1
Hodnoty DPI : číslo
Možnost značek : Ponechat vše (0), Odstranit vše (1), Vlastní (2)

Hodnoty vlastních značek se mohou kombinovat (je možné přidávat hodnoty):

Ponechat komentář 1

Ponechat EXIF 2

Ponechat IPTC 4

Ponechat ostatní 8

i_view32.exe c:\test.jpg /jpg_rotate=(6,1,1,0,1,300,0,0)

=> Automaticky otočit, optimalizovat, nastavit datum EXIF podle data souboru, nastavit DPI na 300, ponechat všechny značky.

i_view32.exe c:\test.jpg /jpg_rotate=(6,1,1,0,0,0,2,6)

=> Automaticky otočit, optimalizovat, nastavit datum EXIF podle data souboru, ponechat EXIF a IPTC značky.

i_view32.exe c:\test.jpg /jpg_rotate=(3,1,0,1,0,0,1,0)

=> Otočit o 90, optimalizovat, použít aktuální datum souboru, odstranit všechny značky.

i_view32.exe c:\images\*.jpg /jpg_rotate=(6,1,1,0,0,0,0,0)

=> Pro všechny soubory JPG: Automaticky otočit, optimalizovat, nastavit datum EXIF podle data souboru, ponechat všechny značky.


Panel nástrojů

Panel nástrojů umožňuje rychlý přístup k některým nejpoužívanějším funkcím programu IrfanView.

Zobrazíte jej v nabídce Zobrazení zvolením položky Zobrazit/skrýt panel nástrojů. Opětovným zvolením nabídky Zobrazení a Zobrazit/skrýt panel nástrojů jej skryjete.

V nabídce Vlastnosti/nastavení->Panel nástrojů můžete volit různé typy vzhledu tlačítek nebo jednotlivá tlačítka přidávat či odebírat.

Další vzhledy panelu nástrojů jsou k dispozici na webové stránce IrfanView.


Otevřít

Z nabídky Soubor zvolte Otevřít (nebo zvolte tlačítko Otevřít na panelu nástrojů). Zobrazí se dialog pro otevření souboru v IrfanView.

Použijte seznam složek nebo zadejte název souboru do pole pro název souboru. Volba Soubory typu vám umožňuje zvolit si jen určitý typ souborů (např. JPG). Ve výchozím nastavení se zobrazují běžné grafické soubory. (Pozn.: Windows dokáže zobrazit všechny typy souborů podporovaných IrfanView na jednom řádku seznamu.)

Zaškrtnete-li políčko Náhled aktivní, jedním kliknutím na obrázek zobrazíte jeho náhled, druhým pak soubor otevřete. Můžete také poklepat na název souboru.

V dialogu rovněž vidíte naposledy použité složky pro rychlý přístup. Tato volba může být deaktivována v menu Vlastnosti->Různé.

Pro zavření dialogu bez otevření souboru klikněte na tlačítko Zrušit nebo na X v pravém horním rohu.

Po otevření souboru uvidíte buď požadovaný obrázek, nebo se zobrazí chybová zpráva, jestliže soubor není IrfanView podporován.

Jestliže otevřete rozsáhlý obrázek, můžete jej posouvat pomocí posuvníků. Posouvání je možné rovněž pomocí kurzorových šipek či klávesami Page up/down, Home/End. Posouvat se můžete rovněž i pravým tlačítkem myši. Stiskněte pravé tlačítko a pohybujte myší.


Otevřít znovu / Naposledy otevřené soubory

Z nabídky Soubor zvolte Otevřít znovu pro opětovné otevření posledního souboru.

Z nabídky Soubor zvolte Naposledy otevřené soubory pro zobrazení naposledy otevřených souborů a jejich opětovné načtení jedním kliknutím. Seznam naposledy otevřených souborů můžete vymazat nebo tuto možnost zcela zakázat v menu Vlastnosti/nastavení->Různé.


Otevřít v externím editoru

Z nabídky Soubor zvolte Otevřít v externím editoru. Obrázek se zobrazí ve vámi zvoleném editoru (např. Adobe Photoshop, Paint Shop Pro atd.).

Pro použití této funkce musíte nejprve zvolit externí editor.


O¨tevřít jako

Z nabídky Soubor zvolte Otevřít jako.

Soubor HEX: Můžete otevřít jakýkoliv soubor a zobrazit jej v okně HEX prohlížeče.

Uvidíte všechny byty v HEX a ASCII režimu. (Pro pokročilé uživatele)

Soubor ASCII: Můžete otevřít jakýkoliv ASCII soubor (TXT, HTM, INI atd.) a zobrazit jej jako obrázek.

Soubor RAW: Můžete otevřít jakýkoliv soubor a načíst jej jako RAW obrázek. (Pro pokročilé uživatele, s použitím formátu/doplňku RAW)


Miniatury

Otevřete obrázek ze zvolené složky v prohlížeči. Z nabídky Soubor zvolte Miniatury. Otevře se okno vyplněné miniaturami obrázků ze zvolené složky.

Na levé straně je stromový seznam s jednotkami a složkami.

Dvojitým klepnutím na jakoukoliv miniaturu otevřete celý obrázek v prohlížeči. Jestliže změníte složku otevřením jiného obrázku, zobrazení miniatur se rovněž změní.

Pro zavření tohoto zobrazení klikněte na Ukončit v nabídce zobrazení nebo stiskněte klávesu ESC.

Soubor:

Přesunout vybrané soubory umožňuje přesunout všechny zvolené miniatury do jiné složky.

Kopírovat vybrané soubory umožňuje zkopírovat všechny zvolené miniatury do jiné složky.

Odstranit vybrané soubory umožňuje odstranit všechny zvolené soubory miniatur.

Spustit prezentaci s vybranými soubory: Tato volba spustí prezentaci ze všech vybraných miniatur s aktuálním nastavením prezentací. Pozn.: Aktuální/globální soubor (slideshow.lst) se nezmění.

Uložit vybrané soubory jako aktuální prezentaci: Zvolte tuto možnost pro uložení všech vybraných miniatur do aktuální prezentace (soubor slideshow.lst).

Přidat vybrané soubory do aktuální prezentace: Zvolte tuto možnost pro přidání vybraných souborů miniatur k současné prezentaci.

Spustit dávkový dialog s vybranými soubory: Zvolte tuto možnost pro spuštění dávkového dialogu se všemi zvolenými soubory miniatur.

Přenést vybrané soubory pomocí FTP: Zvolte tuto možnost pro spuštění dialogu pro přenos všech zvolených souborů miniatur pomocí protokolu FTP.

Uložit názvy vybraných souborů do souboru TXT: Zvolte tuto možnost pro uložení názvů všech zvolených souborů do textového souboru.

JPG bezztrátové operace: Zvolte tuto možnost pro spuštění dialogu pro bezztrátové operace JPG se všemi zvolenými soubory miniatur a měňte všechny soubory JPG. Můžete je otáčet, převracet, ořezávat, optimalizovat, vyčistit nebo nastavovat JPG komentáře či IPTC informace u všech zvolených souborů JPG.

Pozn.: Bezztrátové operace JPG jsou k dispozici jen, máte-li nainstalován doplněk JPG_Transform. Pro prohlížení a editaci IPTC informací a JPG komentářů je vyžadován doplněk IPTC.

Vytvořit stránku kontaktů z vybraných souborů: Tato funkce vám umožňuje vytvořit velký obrázek (seznam kontaktů nebo katalog) se všemi zvolenými soubory miniatur. Zobrazí se dialog, ve kterém můžete nastavit možnosti výsledného obrázku. Při ukládání je možné použít určité zástupné symboly pro složku a název souboru.

• Název souboru seznamu obrázků. Můžete nastavit fixní název (který lze přepsat!), nebo použít parametry počítadla stránek. Výchozí je: Sheet_###. Takto se vytvoří název souboru jako "Sheet_001".

Možné zástupné symboly pro název souboru:

# = číslo aktuálního listu/stránky, číslo #s udává počet číslic;

$W, $H, $B, $p a $U

• Cílová složka pro výsledné obrázky. Zadejte cestu ke složce nebo použijte tlačítko Procházet pro její zvolení.

Možné zástupné symboly pro název cílové složky: $D a $U

Pozn.: Obrázek listu je uložen v paměti. Na 32bitových Windows je omezení velikosti souboru asi na 6000 × 5500 pixelů.

Na 64bitových Windows je omezení mnohem větší, můžete vytvářet soubory o velikosti okolo 25000 × 25000 pixelů.

Spustit dialog Panorama s vybranými soubory: Zvolte tuto možnost pro spuštění dialogu Panorama se všemi zvolenými soubory miniatur.

Spustit vícestránkový dialog TIF/PDF s vybranými soubory: Zvolte tuto možnost pro spuštění TIF/PDF dialogu se všemi zvolenými soubory miniatur.

Exportovat dlaždice obrázků z vybraných souborů: Zvolte tuto možnost pro spuštění dialogu pro "uložení dlaždic z obrázku" se všemi zvolenými soubory miniatur.

Uložit vybrané miniatury jako obrázek: Zvolte tuto možnost pro převedení miniatur na obrázek a jeho uložení. Tento dialog vám umožňuje zvolit složku pro uložení. Konkrétní miniatury zvolíte kliknutím na jednotlivé náhledy s podržením klávesy CTRL nebo použitím volby Vybrat vše.

Uložit vybrané miniatury jako samostatné obrázky: Zvolte tuto možnost pro převedení zvolených miniatur na obrázky a jejich uložení. Tento dialog vám umožňuje zvolit složku pro uložení. Konkrétní miniatury zvolíte kliknutím na jednotlivé náhledy s podržením klávesy CTRL nebo použitím volby Vybrat vše.

Uložit vybrané miniatury do souboru HTML: Zvolte tuto možnost pro vytvoření stránky s miniaturami, kterou budete moci zobrazit ve webovém prohlížeči nebo vložit do webové stránky. V tomto dialogu budete moci nastavit některé možnosti HTML a zvolit složku pro uložení souboru. Konkrétní miniatury zvolíte kliknutím na jednotlivé náhledy s podržením klávesy CTRL nebo s použitím volby Vybrat vše. Na této stránce naleznete některé příklady symbolů využívaných v HTML.

Výchozí soubory šablon HTML jsou uloženy ve složce IrfanView "HTML". Ty můžete upravovat, odstranit některé řádky nebo hodnoty či přidávat vlastní kód jako CSS styly, atd. Můžete si rovněž připravit vlastní složky s dalšími šablonami pro různé situace. Také si můžete vytvořit vlastní soubor "copy_files.txt" pro kopírování vlastních souborů (jako CSS styly atd.) do cílové složky (příklad takového souboru "copy_files.txt" je ve složce IrfanView "HTML").

Vytisknout vybrané soubory jako samostatné obrázky: Zvolte tuto možnost pro vytištění všech zvolených souborů jako samostatných obrázků (dávkový tisk). Konkrétní miniatury zvolíte kliknutím na jednotlivé náhledy s podržením klávesy CTRL nebo s použitím volby Vybrat vše.

Odeslat vybrané soubory e-mailem: Zvolte tuto možnost pro odeslání všech zvolených souborů e-mailem (vyžaduje doplněk EMail). Konkrétní miniatury zvolíte kliknutím na jednotlivé náhledy s podržením klávesy CTRL nebo s použitím možnosti Vybrat vše.

Otevřít v externím editoru: Zvolte tuto možnost pro otevření obrázku patřícího k zobrazené miniatuře v externím editoru. Pro tuto možnost musíte nejprve nastavit externí editor.

Spustit detekci obličeje na aktuální složce: Zvolte tuto možnost pro nastavení detekce obličeje u zvolených obrázků nebo celé složky (je vyžadován doplněk).

Možnosti:

Uložit aktuální velikost/pozici uloží aktuální velikost/pozici okna miniatur. Měnit velikost tohoto okna můžete ručně pomocí myši.

Vybrat vše označí všechny miniatury pro jejich následné uložení jako souborů.

Nastavit možnosti miniatur vám umožní nastavit velikost a kvalitu miniatur. Po zvolení této možnosti se zobrazí dialog.

První možnost je Při vytváření miniatur používat převzorkování místo změny velikosti. Pro zlepšení kvality miniatur zaškrtněte toto políčko. Tato operace může chvíli trvat. Další možnost je Velikost miniatury. Klepněte na rozbalovací pole s velikostmi a nastavte požadovanou velikost. Výchozí je 100 × 100 pixelů.

V možnostech miniatur můžete rovněž nastavit barvu ohraničení/pozadí miniatur a barvu pozadí okna miniatur. Můžete také vypnout varování, pokud obrazovka není nastavena na 24 bitů na pixel (true color).

Můžete Nastavit počet nejčastěji používaných složek pro zobrazení miniatur. Chcete-li tento seznam vymazat, zvolte tlačítko Vymazat.

Můžete nastavit nebo deaktivovat možnost zobrazování textu při najetí ukazatele myši na miniaturu. Více informací o textových volbách naleznete na této stránce.

V možnosti Zobrazovat společné složky můžete nastavit, jestli se nad seznamem disků budou zobrazovat také složky jako Plocha, Obrázky, atd. Po změně této funkce je třeba okno miniatur obnovit.

Používat úplnou cestu pro řazení (při načtení podsložek) umožňuje zvolit, které části souboru se použijí k řazení, jsou-li načteny i podsložky. Buď celý název (včetně cesty), nebo jen název a přípona. Krátký název vám pomůže najít duplicitní soubory.

Pro uložení nastavení klepněte na tlačítko OK. Pro ukončení bez ukládání klepněte na tlačítko Zrušit.

Řazení miniatur vám umožňuje řadit soubory miniatur v aktuální složce.

Pozn.: V režimu miniatur máte více možností řazení než v normálním okně, např. podle data pořízení EXIF nebo podle šířky/výšky obrázku. Tyto možnosti se neukládají, jsou k dispozici pouze, je-li otevřené okno miniatur.

Pozn.: Řadit soubory můžete rovněž manuálně pomocí funkce táhnout a pustit. Můžete zvolit jednu nebo více miniatur a přesunout je do jiného umístění v seznamu.

Načíst seznam souborů ze souboru TXT vám umožňuje načíst vlastní seznam souborů z připraveného textového souboru.

Načíst miniatury ze všech podsložek prohledá všechny podsložky a zobrazí všechny miniatury.

Zobrazení:

Režim zobrazení: Miniatury, dlaždice, podrobnosti nebo seznam. Režim podrobností a seznamu nevytváří miniatury (= rychlejší) a umožňuje zobrazit některé základní informace o souboru. Režim miniatur nebo dlaždic zobrazuje miniatury (= pomalejší) a režim dlaždic zobrazuje některé informace o souboru, jako jsou např. rozměry obrázku a datum EXIF z textových informací uložených v souboru.

Seznam složek zobrazí/skryje seznam složek na levé straně okna miniatur.

Nejčastěji používané složky zobrazí či skryje seznam nejčastěji používaných složek v horní části okna miniatur.

Odstranit vybrané miniatury ze seznamu odstraní vybrané miniatury ze seznamu (nesmaže žádný soubor, odstraní ho jen ze zobrazení).

Obnovit vše obnoví seznam složek a všechny obsažené obrázky a obnoví také všechny miniatury.

Obnovit vybrané miniatury obnoví jen zvolené soubory a jejich miniatury.

Tip: Soubory do seznamu složek můžete kopírovat/přesouvat pomocí myši. Stiskněte klávesu Shift pro přesunutí souborů jako v Průzkumníku.

Tip: Jestliže kliknete na strom složek s přidržením klávesy CTRL, bude označená složka načtena včetně podsložek.

Tip: Jestliže použijete funkci táhnout a pustit pro přesunutí vybraných souborů miniatur do jiného grafického programu jako Malování nebo Photoshop atd., budou zvolené soubory načteny v tomto programu.


HTML export

Složka "HTML" ve vaší složce s nainstalovaným IrfanView obsahuje 3 HTML šablony.

Šablona 1: thumbnails.html (nebo thumbnails.htm, thumbnails.php, thumbnails.asp => můžete použít jednu z těchto přípon)

Šablona 2: frame.html (nebo frame.htm, frame.php, frame.asp => můžete použít jednu z těchto přípon)

Šablona 3: slideshow.html

Šablony můžete editovat a měnit: Můžete odstraňovat nepotřebné řádky nebo hodnoty nebo přidávat vlastní kód, jako např. CSS styly, atd. Můžete si rovněž připravit složky s různými šablonami pro různé potřeby.

Každá šablona obsahuje symboly/hodnoty s informacemi o obrázku/miniatuře. IrfanView přepíše každý výskyt známého symbolu předdefinovanými daty.

Následující příklad uvádí, jak se šablony a symboly používají:

Symbol Výsledek

filename - "image1.jpg" (zvolen v okně miniatur)
Thumbs-subfolder - "thumbs" (z dialogu HTML export)
Thumbs-prefix - "t" (z dialogu HTML export)
Images-subfolder - "images" (z dialogu HTML export)

Šablona 1: thumbnails.html (nebo thumbnails.htm, thumbnails.php, thumbnails.asp)

Možné symboly/proměnné:

Symbol Výsledek

#TITLE# - titulek stránky (z dialogu HTML export)
#BGCOLOR# - barva okna miniatur (z možností miniatur)
%IMAGE_BEGIN% - počáteční blok tabulky pro jednu miniaturu a odkazy/data (interní symbol), obsahující:
#LINK# - jestliže se nepoužívá prohlížení HTML => "./images/image1.jpg" = cesta k obrázku s použitím images-subfolder z dialogu HTML export

- jestliže se používá prohlížení HTML => "image1.html" = cesta k HTML se snímkem obrázku

#TARGET# - možnost z dialogu HTML: Odkaz/obrázek zobrazí stejné okno prohlížeče (nebo různá okna)
#THUMB# - "./thumbs/t_image1.jpg" - cesta k miniatuře s použitím podsložky/prefixu/suffixu z dialogu HTML
#TXT_ALIGN# - možnost zarovnání textu z dialogu HTML
#IMAGE_TEXT# - výsledný text/info (s dalšími symboly) z dialogu HTML
%IMAGE_END% - konec bloku tabulky miniatury (interní symbol)
#IMAGE_NAME# - "image1.jpg", název souboru obrázku

Šablona 2: frame.html (nebo frame.htm, frame.php, frame.asp)

Symboly/proměnné k dispozici:

Symbol Výsledek

#TITLE# - titulek stránky (z dialogu HTML export)
#BGCOLOR# - barva okna miniatur (z možností miniatur)
#PREV_LINK# - odkaz na HTML soubor předchozího obrázku
#IMAGE_NAME# - "image1.jpg", název souboru obrázku
#NEXT_LINK# - odkaz na HTML soubor následujícího obrázku
#IMAGE# - "./images/image1.jpg" - cesta k obrázku s použitím images-subfolder z dialogu HTML export
#IMAGE_PATH# - pouze cesta k obrázku: ./images/
#IMAGE_BASENAME# - pouze název obrázku: image1
#IMAGE_EXT# - pouze přípona souboru obrázku: .jpg
#WIDTH# - šířka obrázku
#HEIGHT# - výška obrázku
#IMAGE_TEXT# - výsledný text/info (s dalšími symboly) z dialogu HTML
#BACK_LINK# - odkaz na první HTML soubor miniatur
#SELF_LINK# - odkaz na ten samý HTML soubor
#TXT_ALIGN# - možnost zarovnání textu z dialogu HTML

Pozn.:: #IMAGE# je stejné jako "#IMAGE_PATH##IMAGE_BASENAME##IMAGE_EXT#".

Šablona 3: slideshow.html

Symboly/proměnné k dispozici:

Symbol Výsledek

#TITLE# - titulek stránky (z dialogu HTML export)
#BGCOLOR# - barva okna miniatur (z možností miniatur)
#IMAGES# - pole s cestami k obrázkům s použitím images-subfolder z dialogu HTML export
#TEXT# - pole s textem z obrázků ve výchozím nastavení tvořeným jejich názvy
#IMAGE1# - "./images/image1.jpg" - cesta k prvnímu obrázku


Prezentace

Z nabídky Soubor zvolte Prezentace. Tento dialog vám umožňuje zvolit složku se soubory pro přehrávání. Zvolte složku a zadejte název souboru pro zpřesnění vyhledávání; použijte nabídku soubory typu pro zpřesnění typu otevíraných souborů, jako např. JPG .

Klikněte na názvy souborů, které chcete použít. Pokud máte řadu souborů, kterou chcete použít, klikněte na první z nich, myší dojeďte na poslední z nich, podržte klávesu Shift a klikněte. Pro výběr jednotlivých souborů podržte klávesu Ctrl a myší klikejte na jejich názvy. Nakonec zvolte tlačítko Přidat. Pro přidání všech souborů ve složce do prezentace zvolte tlačítko Přidat vše. Odebrat a Odebrat vše slouží pro odebrání vybraného nebo všech souborů ze seznamu.

Zvolte tlačítko Seřadit soubory pro volby řazení souborů podle názvu, data, velikosti nebo přípony . Soubory mohou být řazeny vzestupně, nebo sestupně. Pro odstranění řazení zvolte v přepínači možnost Bez řazení.

Zvolte tlačítko Řazení pro zvolení stylu řazení podle názvu, data, velikosti nebo přípony. Soubory můžete řadit vzestupně, nebo sestupně. Pro odstranění řazení zvolte v přepínači možnost Bez řazení. Klikněte na Zastavit prezentaci a ukončit IrfanView po posledním obrázku, chcete-li po posledním obrázku prezentace zavřít IrfanView .

Během prezentace jsou k dispozici následující možnosti. Zaškrtávací políčko zaškrtnuto znamená, že je volba "aktivní". Nezaškrtnuto znamená "neaktivní".

Můžete nastavit počáteční číslo souboru, výchozí je soubor číslo 1. Je-li aktivní možnost Při ukončení si pamatovat poslední index souboru, bude číslo souboru vyplněno podle posledního souboru z předchozí prezentace.

Pro opakované přehrávání prezentace zvolte Prezentace ve smyčce. Další možností je Potlačit chyby během přehrávání. Dále pak Soubory mp3 ve smyčce (s nainstalovaným doplňkem) pro přehrávání hudby na pozadí, takže jeden soubor můžete přehrávat ve smyčce, dokud nenačtete další nebo dokud prezentace neskončí. Předposlední možnost je Skrýt kurzor myši pro "zneviditelnění" kurzoru myši během přehrávání prezentace. Během prezentace v náhodném pořadí se jeden obrázek nepřehraje více než jednou, můžete je ale procházet v seznamu historie. V pravé části je ještě volba Zobrazit text. Po jejím potvrzení se budou zobrazovat informace o souborech, jakmile se objeví na obrazovce. IrfanView může zobrazovat různé informace jako např. název souboru, velikost, datum/čas, EXIF/IPTC/komentář, atd. Více informací naleznete zde.

Lze rovněž nastavit, jak dlouho se bude každý obrázek zobrazovat; zvolte jednu z možností. První možnost přehraje další obrázek automaticky po zadaném časovém intervalu (stisk většiny kláves jako ESC nebo Enter prezentaci zastaví); zadejte číslo do editačního pole pro změnu časového intervalu. Druhá možnost přehraje další obrázek po stisku klávesy na klávesnici nebo při pohybu myši. Třetí možnost pak přehraje náhodný obrázek po časovém intervalu, stisk jakékoliv klávesy (kromě kláves ovládajících prezentaci, jako je např. ESC) prezentaci zastaví. Čtvrtá možnost pak přehraje náhodný obrázek po stisku klávesy nebo při pohybu myši.

První obrázek můžete zvolit buď ručně, nebo poklepáním na jeden z obrázků v seznamu prezentace.

Prezentaci lze přehrávat buďto v režimu na celou obrazovku, nebo v samostatném okně. Tip: Souřadnice X/Y v režimu okna mohou být i záporná čísla, pokud budete prezentaci přehrávat např. na monitoru s negativními souřadnicemi (nalevo od primárního monitoru).

Pro zahájení přehrávání stiskněte tlačítko Přehrát.

Tip: Jestliže je prezentace automatická, můžete ji pozastavit stiskem příslušné klávesy na klávesnici. Stisk jakékoliv jiné klávesy ji opět spustí.

Prezentace si můžete ukládat. Když se prezentace spustí, IrfanView vytvoří soubor pojmenovaný:

Slideshow.lst

který uloží do složky IrfanView na vašem disku. Tento soubor se načte, když otevřete dialog Prezentace.

Zvolte Načíst názvy souborů z TXT a zobrazí se dialog Otevřít. Zvolte soubor, který chcete použít, a stiskněte tlačítko Otevřít. Zvolte tlačítko Uložit názvy souborů jako TXT a zobrazí se dialog Uložit jako. Zadejte název souboru a klepněte na tlačítko Uložit.

Prezentaci můžete uložit také jako samospouštěcí EXE nebo SCR soubor (samostatný spouštěcí soubor nebo spořič obrazovky). Nejprve vytvořte a spusťte prezentaci. Pokud nyní všechna nastavení prezentace fungují podle vašich představ, zvolte tlačítko Uložit jako EXE/SCR. Vytvoří se samostatný soubor. Aby toto fungovalo, musí být nainstalován doplněk Slideshow, který se nainstaluje spolu s programem.

Možné chyby, ke kterým může dojít při vytváření EXE souboru: Zdrojový soubor nelze načíst, je plný disk (dočasná složka) nebo soubor EXE/SCR přesahuje velikost 4 GB.

Pozn.: Všechny video/audio soubory uložené v EXE/SCR souboru jsou přehrávány pomocí DirectX nebo jiného nainstalovaného audio kodeku, standardní doplňky IrfanView se nepoužijí.

Pozn.: Jestliže prezentace není v režimu na celou obrazovku (tj. je v režimu okna, ale počáteční souřadnice nejsou 0,0), neskryje se při spuštění prezentace úlohová lišta Windows.

Pokud používáte Windows XP (nebo novější) či Nero Burning ROM (plnou nebo zkušební verzi, ne OEM), můžete prezentaci vypálit na CD/DVD (Data CD/DVD) nebo vytvořit Video CD (VCD). Rovněž musíte mít nainstalován vypalovací/Nero doplněk pro IrfanView.

Prezentace můžete vytvořit i jinde než v IrfanView a poté je v něm přehrávat. Použijte textový editor, který soubory ukládá v prostém textu, jako např. Poznámkový blok. Soubor obsahuje pouze názvy souborů pro přehrávání, každý na samostatném řádku včetně kompletní cesty k uloženému souboru. Např.:

C:\Images\myimage.jpg

Vytvořený soubor si uložte na disk. Spusťte IrfanView, otevřete dialog Prezentace a zvolte tlačítko Načíst názvy souborů z TXT. Prezentace se spustí. Prezentace můžete rovněž přehrávat mimo prohlížeč s použitím příkazu z příkazového řádku.

Po dokončení přehrávání zvolte tlačítko Zavřít. To lze samozřejmě použít i před započetím prezentace. Druhou možností ukončení je klepnout na tlačítko X v pravém horním rohu obrazovky.

Jak pozastavit automatickou prezentaci? Stačí stisknout tlačítko Pozastavit. Opětovným stiskem přehrávání obnovíte.


Prezentace na CD/DVD

Jak vytvořit CD/DVD s prezentací?

 Nahoru Předchozí Následující

1. metoda: Nejjednodušší metoda, pokud máte Windows XP (nebo novější software):

1.1 Vytvořte a zkuste si přehrát prezentaci v jejím dialogu.

1.2 V tomto dialogu zvolte tlačítko Vypálit na CD/DVD.

1.3 Zvolte možnost vypalování, datové CD/DVD je výchozí/doporučeno.

1.4 Vložte prázdné CD/DVD-R/-RW do mechaniky a vypalte jej.

1.5 Hotovo.

2. metoda: Ruční vytvoření CD/DVD s prezentací:

2.1 Zkopírujte soubory IrfanView do kořenové složky CD/DVD. (Můžete zkopírovat i soubor s vašimi nastaveními "i_view32.ini".)

2.2 Obrázky zkopírujte na CD/DVD do složky s názvem např. "images".

2.3 Vytvořte textový soubor s názvy obrázků (v dialogu Prezentace nebo v Poznámkovém bloku). Jestliže se vaše obrázky jmenují např. "image1.jpg", "image2.jpg" atd., bude textový soubor vypadat takto:

.\images\image1.jpg

.\images\image2.jpg

atd.

Na každém řádku je název souboru s relativní cestou (relativní k IrfanView, i_view32.exe).

Text komentáře: Jestliže je první znak na řádku ";", bude tento řádek textu ignorován (lze ho tak použít jako komentář).

Uložte textový soubor např. pod názvem "Prezentace.txt" do kořenové složky vašeho CD/DVD.

2.4 Vytvořte soubor "autorun.inf" (v Poznámkovém bloku). Do tohoto souboru zapište následující dva řádky:

[AutoRun]

open = i_view32.exe /slideshow=Prezentace.txt

Uložte soubor "autorun.inf" do kořenové složky vašeho CD/DVD.

2.5 Nyní vypalte CD/DVD a je hotovo.


Dávkový převod / Přejmenování

Z nabídky Soubor zvolte Dávkový převod / Přejmenování. Otevře se dialogové okno, ve kterém si můžete zvolit složku, ze které budou soubory načteny. Použijte Zahrnout podsložky, název souboru a Soubory typu pro volbu konkrétních typů souborů.

Zvolte výstupní složku. Pokud neznáte úplnou cestu k této složce, klepněte na tlačítko Procházet pro její nalezení a klepněte na tlačítko OK pro zvolení této složky jako výstupní.

Pomocí tlačítka Použít tuto složku můžete nastavit aktuální složku jako výstupní.

Pokud budete používat stejnou vstupní i výstupní složku, některé volby nemusí fungovat správně (např. Použít pro všechny stránky), a vyskytne-li se chyba, nebude jednoduché obnovit přepsané soubory.

Dávkový převod:

Vlevo dole zvolte výstupní formát. Toto funguje stejně jako položky Uložit a Uložit jako. Tlačítko Možnosti umožňuje výběr z různých formátů souboru a možností ukládání, stejně jako dialog Uložit a Uložit jako.

Použijte tlačítko Použít pokročilé možnosti pro přístup k mnoha speciálním možnostem práce s obrázky během převodu. Jedná se o téměř stejné možnosti jako v nabídce Obrázek. Možnosti jsou:

Oříznout, Změna velikosti, Změna barevné hloubky, Automaticky přizpůsobit barvy, Vodorovné převrácení, Svislé převrácení, Otočení doleva, Otočení doprava, Převést na stupně šedé, Negativ, Doostření, Jas, Kontrast, Gamma korekce, Saturace, Vyvážení barev, atd.

Příkazy se budou provádět v pořadí, v jakém jsou zobrazeny v dialogu (nejprve oříznutí, poté změna velikosti atd.). Pokud chcete změnit pořadí operací, použijte možnost Vlastní pořadí zpracování.

Tip: Pro dávkové oříznutí: Šířka a výška mohou být záporná čísla pro oříznutí pravé/spodní hranice. X a Y mohou být také záporná čísla, jestliže se použije střed jako počáteční roh. Příklad: Začíná se v levém horním rohu, šířka je nastavena na -10, výsledný obrázek bude oříznut o 10 pixelů na pravém okraji. Další příklad: Chcete oříznout 100 pixelů po všech stranách. Nastavte: Roh = levý horní, X = 100, Y = 100, v = -100 a š = -100.

Tip: Pro dávkovou změnu velikosti: Nastavíte-li šířku i výšku např. na 640 a zaškrtnete položku Zachovat poměr stran, budou rozměry výsledného obrázku: šířka = max. 640, výška = max. 640, proporcionálně.

Volba Vytvořit podsložky v cílové složce vytvoří v cílové složce strukturu složek podobnou té v původním umístění.

Tip (pro pokročilé uživatele): Textové hodnoty výstupní/cílové složky mohou obsahovat i zástupné symboly. To se může hodit např. pro řazení/ukládání souborů do složek podle data, šířky a dalších parametrů souboru nebo pro uložení výsledných souborů do původní složky s vytvořením podsložky s názvem např. "\Změněno\".

Dávkové přejmenování:

Můžete přejmenovat původní soubory nebo je můžete zkopírovat/přesunout do cílového umístění a přejmenovat je tam. Pro přejmenování si můžete vytvořit vzor pro nové názvy souborů a počáteční index pořadí.

Buďte prosím při používání této funkce velmi opatrní; dávkové přejmenování může být nebezpečné! S použitím nesprávného vzoru pro přejmenování spolu s možnostmi jako Přesunout/přejmenovat původní/zdrojové soubory nebo Přepsat existující soubory můžete ve speciálních případech i odstranit všechny původní/zdrojové soubory! Nepoužívejte prosím tyto funkce, dokud si opravdu nejste jisti tím, co děláte.

Tip: Chcete-li např. 3 číslice v novém názvu souboru, musíte do vzoru rovněž třikrát napsat "#"!
Příklad: Vzor obrázek_### s počátečním číslem 1 vytvoří soubory s názvy "image_001", "image_002", atd.

Zvolte Nastavit možnosti přejmenování pro otevření dialogu s dalšími možnostmi pro přejmenovávání.

Aktuální nastavení si můžete uložit jako profil pro další použití.

Zvolte Spustit test přejmenování pro prohlédnutí výsledku před provedením vlastního přejmenování.

Po nastavení požadovaných voleb klepněte na tlačítko OK. Pro zrušení akce bez přejmenování zvolte tlačítko Zrušit.

Dávkový převod + přejmenování:

Tato možnost kombinuje klasický Dávkový převod s Dávkovým přejmenováváním, můžete tedy použít vzory pro přejmenování výstupních souborů.

Zvolte soubory, které si přejete převézt zvolením jejich názvů. Pro větší množství souborů: Zvolte první název, přesuňte myš na poslední soubor ve skupině, držte klávesu Shift pro zvolení všech souborů, držte klávesu Ctrl a kliknutím na jednotlivé názvy zvolte jednotlivé soubory.

Klepnutím na tlačítko Přidat přidáte vybrané soubory k převodu. Tlačítkem Přidat vše přidáte všechny soubory ve složce podle přípony zvolené v možnosti Soubory typu. Tlačítky Odebrat a Odebrat vše zvolené soubory odstraníte ze seznamu.

Je-li zaškrtnuta možnost Zahrnout podsložky a použijete tlačítko Přidat vše, budou prohledány všechny podsložky a soubory zvoleného typu budou přidány do seznamu.

Klepnutím na tlačítko Načíst TXT můžete načíst textový soubor, ve kterém bude na každém řádku vypsán název souboru včetně plné cesty.

Váš seznam souborů pro přejmenování můžete také uložit jako TXT soubor pro další použití, např. v dialogu pro dávkový převod, přejmenování, miniatury atd.

Proces spustíte klepnutím na tlačítko Spustit. Zobrazí se okno průběhu převodu. Pro zastavení klepněte na tlačítko Zastavit. Po dokončení operace klepněte na tlačítko Ukončit pro zavření dialogu.

Převod souborů lze provézt i mimo IrfanView pomocí příkazového řádku.

Po dokončení převodu klepněte na tlačítko Zrušit. Případně klikněte na X v pravém horním rohu.


Hledat soubory

Z nabídky Soubor zvolte Hledat soubory. Zobrazí se dialog s možnostmi vyhledávání. Můžete zvolit možnosti názvu souboru, složku pro hledání, datum vytvoření souboru nebo vyhledávání textu.

Vzorové příklady názvů souboru:

* - hledat všechny soubory, všechny přípony
*.* - stejný jako *
*.jpg - hledat jen soubory JPG
123*.jpg - hledat jen soubory JPG obsahující 123 na začátku názvu souboru
*123.jpg - hledat soubory JPG obsahující 123 kdekoliv v názvu souboru
image - hledat pouze soubory obsahující text "image" v názvu souboru

Text: Můžete hledat i text obsažený v datech EXIF (formáty JPG, TIF, RAW) nebo v IPTC/komentářích (formát JPG).

Pokud vložíte několik slov oddělených mezerou, budou do výsledků zahrnuty všechny soubory s kterýmkoliv z těchto slov (jako slovo_1 nebo slovo_2).

Tip: Jestliže chcete najít určitý text o několika slovech, musíte celou frázi vložit mezi "". Např. napíšete-li frázi:

"náš výlet do Las Vegas"

(S "") budou vyhledány pouze soubory obsahující přesně tuto frázi: náš výlet do Las Vegas. Ale když to napíšete jako:

náš výlet do Las Vegas

(Bez "") dostanete všechny soubory obsahující slovo "náš" nebo "výlet" nebo "do" nebo "las" nebo "vegas" v jakémkoliv z políček s metadaty.

Tip: Jestliže chcete ověřit existenci dat EXIF nebo IPTC nebo komentářů v souboru, zadejte jako text jen znak *.

Tip: Jestliže nechcete prohledávat skryté soubory či složky, zrušte jejich zobrazování v nabídce Vlastnosti/nastavení->Procházení->Zobrazovat skryté soubory/složky.


Přejmenovat soubor

Z nabídky Soubor zvolte Přejmenovat soubor. Otevře se dialog, napište nový název souboru a stiskněte tlačítko OK. Název souboru se změní jak v prohlížeči, tak na disku. Pro zavření dialogu beze změn stiskněte tlačítko Zrušit.

Je-li zaškrtnuta možnost Přejmenovat rovněž související soubory se stejným základem názvu a kteroukoliv příponou, program přejmenuje rovněž i tyto soubory.

"Související" soubory mají stejný název, ale odlišnou příponu. Např. soubor:

image001.jpg

a související soubory:

image001.cr2

image001.txt

Když přejmenujete soubor např. "image001.jpg" na "my city 001.jpg" a umožníte přejmenování i souvisejících souborů, budou přejmenovány na:

my city 001.cr2

my city 001.txt

Pozn.: Dialog si zapamatuje poslední pozici.


Zkopírovat/přesunout soubor

Z nabídky Soubor zvolte Kopírovat soubor nebo Přesunout soubor. Soubor v prohlížeči bude zkopírován nebo přesunut do jiné složky na vašem disku (nebo na jiné médium).

Můžete nastavit výchozí složku pro "kopírování" a "přesouvání" ve Vlastnostech a kopírovat a přesouvat všechny soubory do stejné složky, nebo můžete použít možnost Vždy se zeptat pro zobrazení dialogu pro ukládání každého souboru.

Tento dialog pro kopírování/přesouvání souborů nabízí mnoho vstupních polí pro definování cílových složek.

Tip: Můžete použít také relativní cesty, pokud chcete soubor zkopírovat/přesunout např. do podsložky aktuální složky.

Např. aktuální soubor je "C:\images\image1.jpg". Jestli nastavíte cílovou cestu (bez "") jako ".\test" (tečka je velmi důležitá!), soubor bude zkopírován nebo přesunut do "C.\images\test\image1.jpg". Můžete napsat i hlubší cestu jako ".\test\big images\" atd. a program tuto cestu vytvoří a bude s ní automaticky pracovat.

Podívejte se také na:

Vlastnosti->Zacházení se soubory


Odstranit soubor

Z nabídky Soubor zvolte Odstranit soubor. Soubor bude odstraněn z vašeho hard disku (nebo jiného média). O tomto kroku se ujistěte, protože soubor bude tímto okamžitě odstraněn.

Soubor je ve výchozím stavu přesunut do koše, ale to lze změnit v nabídce Vlastnosti->Zacházení se soubory.

Zde je rovněž možnost odstranit související soubory, viz dialog Přejmenování pro příklady takových souborů.

Jestliže soubor odstraníte omylem, uložte obrázek znovu.

V nabídce Úpravy je rovněž příkaz Vymazat. Ten ale neodstraní soubor, odstraní jen obrázek z okna prohlížeče.

Podívejte se také na:

Vlastnosti->Zacházení se soubory


Uložit (do původní složky)

Z nabídky Soubor zvolte Uložit.

Umožňuje vám uložit soubor na disk. Pro nalezení složky zvolte Uložit do a zadejte název souboru.

Dialog pro ukládání se zobrazí jen v případě, máte-li aktivní možnost Zobrazovat dialog pro ukládání v menu Soubor->Uložit, což ověříte v menu Vlastnosti/nastavení->Zacházení se soubory.

Pro uložení souboru v jiném formátu zvolte Uložit jako typ. Po klepnutí na tuto volbu se zobrazí seznam podporovaných typů souborů. Kurzorem vyberte požadovaný typ a zvolte Uložit. Tímto dojde k převodu souboru na požadovaný formát.

Je-li zaškrtnuto políčko Zobrazit dialog možnosti, zobrazí se další dialog pro typy souborů ECW, GIF, ICO, JP2, JPG, JPM, PBM, PGM, PNG, PPM, RAW a TIFF pro možnosti specifické pro daný typ.

Pro uložení souboru na disk zvolte tlačítko Uložit. Pro ukončení bez ukládání zvolte tlačítko Zrušit.

Pozn.: Ukládá se do složky, ze které jste obrázek načetli. Uložit jako zobrazuje naposledy použitou složku, do které jste ukládali nějaký soubor.

Podívejte se také na:

Uložit jako

Možnosti ukládání JPEG/GIF

Možnosti ukládání JPEG2000

Možnosti ukládání JPM

Možnosti ukládání PNG / PBM/PGM/PPM / ICO

Možnosti ukládání TIFF


Uložit jako

Z nabídky Soubor zvolte Uložit jako (nebo použijte tlačítko Uložit jako na panelu nástrojů).

Uloží soubor na disk. Zvolte položku Uložit do a zvolte složku pro uložení souboru. Zadejte název souboru.

Pro uložení souboru v jiném formátu zvolte Uložit jako typ. Klepnutím na tuto volbu se zobrazí seznam podporovaných typů souborů. Kurzorem vyberte požadovaný typ a zvolte Uložit. Tímto dojde k převodu souboru na požadovaný formát.

Je-li zaškrtnuto políčko Zobrazit dialog možností, zobrazí se další dialog pro typy souborů ECW, GIF, ICO, JP2, JPG, JPM, PBM, PGM, PNG, PPM, RAW a TIFF pro speciální možnosti daných typů.

Tento dialog nabízí Poslední použité složky pro rychlejší ukládání. Tuto funkci lze deaktivovat v menu Vlastnosti/nastavení->Různé.

Pro uložení souboru klepněte na tlačítko Uložit. Pro zavření dialogu bez ukládání klepněte na tlačítko Zrušit.

Pozn.: Dialog Uložit jako ukládá do poslední složky, do které jste nějaký soubor uložili. Dialog Uložit ukládá do složky, ze které jste obrázek načetli.

Nabídka: Uložit výběr jako je k dispozici jen v případě, máte-li označen výběr části obrázku. Tato volba uloží jen označenou část.

Podívejte se také na:

Uložit

Možnosti ukládání JPEG/GIF

Možnosti ukládání JPEG2000

Možnosti ukládání JPM

Možnosti ukládání PNG/PBM/PGM/PPM/ICO

Možnosti ukládání TIFF


Uložit pro web

Z nabídky Soubor zvolte Uložit pro web.

Tato funkce vám umožňuje uložit optimalizovaný obrázek jako JPG, GIF nebo PNG pomocí doplňku RIOT.

Dialog RIOT nabízí několik možností pro optimalizaci obrázku, velikosti souboru atd.

Aktuální verzi doplňku RIOT naleznete na:

http://luci.criosweb.ro/riot/download/


Možnosti ukládání JPEG/GIF

JPEG

V horní části dialogu si můžete nastavit úroveň kvality JPG obrázků. Pohybujte posuvníkem pro dosažení požadovaného nastavení. Nižší hodnota zajišťuje menší velikost souboru, ale horší kvalitu. Vyšší hodnota zajišťuje lepší kvalitu, ale větší velikost souboru. Výchozí nastavení je 80, což je v pořádku u většiny obrázků.

Zaškrtněte políčko Stupně šedé pro uložení obrázku ve stupních šedé. Nezapomeňte, pokud tuto možnost aktivujete!

Zaškrtněte možnost Uložit jako progresivní JPG (jako mnoho obrázků z internetu) pro aktivaci této možnosti. Pro odstranění volbu odškrtněte.

Zvolte Zakázat podvzorkování barev chroma pro co nejlepší kvalitu barev během komprese JPG, což znamená 1 × 1 bloků pixelů a větší soubor JPG. Normální velikost bloku pixelů je 2 × 2 (při zapnutém podvzorkování barev).

Do nového souboru JPG můžete rovněž uložit i původní data EXIF/IPTC/XMP/Komentář.

Tyto možnosti (IPTC/XMP/Komentář) platí jen v případě, že převádíte soubor JPG také na JPG, ostatní formáty (jako TIF nebo RAW obsahující EXIF/IPTC data) ještě nejsou podporovány.

Ukládání dat EXIF funguje z JPG na JPG, ale může to fungovat i s dalšími soubory RAW/TIF, jestliže jsou data EXIF uložena na začátku souboru.

Zvolíte-li možnost Pokusit se uložit s původní kvalitou, IrfanView se pokusí odhadnout kvalitu a podvzorkování původního JPG souboru a tyto hodnoty použije při ukládání. Jestliže se původní hodnoty nepodaří obnovit/odhadnout, použijí se hodnoty z aktuálního dialogu kvality podvzorkování.

Můžete zvolit přibližnou velikost výsledného JPG souboru v kilobytech. Pozn.: Soubor JPG nemůže být menší než soubor v kvalitě 10, to znamená, že existují určitá omezení JPG týkající se velikosti souboru. Nastavíte-li velikost na méně než minimální kvalitu 10, může se během převodu vyskytnout chyba, nebo se soubor uloží v kvalitě 10.

GIF

Ve spodní části dialogu jsou možnosti pro obrázky GIF.

Zvolte položku Uložit prokládané (jako u mnoha obrázků z internetu).

Zvolte Uložit s průhlednou barvou pro nastavení průhlednosti GIF.

Zvolit průhlednou barvu v průběhu ukládání: Později můžete zvolením náhledu nastavit jinou průhlednou barvu, toto je jednoduchá metoda.

Nastavit hodnotu průhlednosti na záznam palety: Do pole níže zadejte číslo pro použití barvy z palety jako průhledné barvy. Pro více informací se podívejte do sekce Úprava palety. Pokud máte obrázek v true color, musíte nejprve snížit jeho barevnou hloubku na 256 barev, aby se paleta zobrazila.

Když zvolíte možnost Pro průhlednost použít barvu hlavního okna, bude pro průhlednost automaticky použita barva nastavená v menu (Vlastnosti->Zobrazení).

Pozn.: IrfanView neumí ukládat animované soubory GIF.

Aktuální nastavení si můžete uložit jako profil a použít ho později.

Po dokončení nastavení zvolte tlačítko Uložit pro uložení souboru a nastavení. Pro ukončení bez ukládání zvolte tlačítko Zrušit.

Nová nastavení zůstanou zachována, dokud je sami nezměníte.

Podívejte se také na:

Uložit

Uložit jako


Možnosti ukládání JPEG2000

JPEG2000

Zvolte jednu z možností pro nastavení úrovně komprese JP2 obrázků. Když zvolíte možnost Kvalita nebo Nastavit velikost v bytech, zadejte hodnotu. Bezztrátová komprese umožňuje ukládání obrázku beze ztráty kvality.

Pozn.: Ukládání jako JPEG2000 je k dispozici pouze, máte-li nainstalován doplněk JPEG2000.

Po nastavení požadovaných možností klepněte na tlačítko Uložit pro uložení obrázku a zapamatování nastavení. Pro ukončení bez ukládání klepněte na tlačítko Zrušit.

Nová nastavení zůstanou platná, dokud je nezměníte.

Podívejte se také na:

Uložit

Uložit jako


Možnosti ukládání JPM

JPM

Zvolte jednu z možností. Existuje pět standardních profilů pro různé typy obrázků/barev. Můžete si rovněž zvolit kvalitu výsledného obrázku JPM.

Chcete-li u obrázku zobrazovat také miniaturu pro rychlejší načítání JPM, zaškrtněte možnost Uložit miniaturu.

Chcete-li vytvářet vícestránkové obrázky JPM, zvolte nabídku Možnosti, zde zvolte Vícestránkové obrázky -> Vytvořit vícestránkový JPM.

Pozn.: Ukládání JPM je k dispozici pouze, máte-li nainstalován doplněk JPM.

Pro uložení obrázku a vašich nastavení zvolte tlačítko Uložit. Pro ukončení beze změn zvolte tlačítko Zrušit.

Nová nastavení zůstanou zachována, dokud je sami nezměníte.

Podívejte se také na:

Uložit

Uložit jako


Možnosti ukládání PNG/PBM/PGM/PPM/ICO

PNG

Nastavení metody komprese a průhlednosti barev (podobně jako u souborů GIF/ICO) pro obrázky PNG. Pozn.: PNG je bezztrátový formát (jako GIF) s podporou true color. Je to většinou ideální formát pro snímky obrazovky, protože velikost souboru je obvykle o dost menší než JPG, doba ukládání je srovnatelná, neztrácí se kvalita a lze ho otevřít v mnoha programech.

Uložit s průhlednou barvou: Po zvolení tlačítka Uložit se zobrazí dialog náhledu. Po kliknutí do náhledu obrázku se nastaví jeho průhledná barva.

Po zvolení možnosti Použít barvu hlavního okna pro průhlednost bude pro průhlednost automaticky použita barva nastavená v nabídce (Vlastnosti->Zobrazení).

Můžete rovněž zkusit použít PNGOUT doplněk pro optimalizované ukládání PNG. To může zmenšit velikost výsledného souboru.

PBM, PGM, PPM

Zvolte jednu z možností pro nastavení formátu enkódování PBM/PGM/PPM. Ascii soubory budou velmi velké.

ICO

Můžete ukládat průhledné ICO obrázky pomocí kliknutí do náhledu během ukládání.

Když zvolíte možnost Použít barvu hlavního okna pro průhlednost, bude pro průhlednost automaticky použita barva, kterou máte nastavenou v menu (Vlastnosti->Zobrazení).

Po nastavení všech voleb zvolte tlačítko Uložit pro uložení souboru a nastavení. Pro ukončení bez ukládání zvolte tlačítko Zrušit.

Nová nastavení zůstanou zachována, dokud je sami nezměníte.

Podívejte se také na:

Uložit

Uložit jako


Možnosti ukládání TIFF

TIFF

Zvolte jednu z možností pro nastavení metody komprese souborů TIFF. Na levé straně jsou možnosti pro barevné obrázky, na pravé jsou možnosti pro černobílé.

Uložit paletu pro obrázky ve stupních šedi: Některé grafické editory mají "problémy" se soubory TIF ve stupních šedi s paletou. Paletu tak můžete deaktivovat.

Jestliže máte otevřený vícestránkový obrázek, můžete uložit všechny stránky ze zdrojového obrázku do nového souboru TIF aktivací volby Uložit všechny stránky z původního obrázku.

Po nastavení všech voleb zvolte tlačítko Uložit pro uložení souboru a nastavení. Pro ukončení bez ukládání zvolte tlačítko Zrušit.

Nová nastavení zůstanou zachována, dokud je sami nezměníte.

Podívejte se také na:

Uložit

Uložit jako


Tisk

Z nabídky Soubor zvolte položku Tisk.

Zobrazí se dialogové okno pro tisk obrázku.

V levé části si můžete vybrat tiskárnu a orientaci papíru.

V náhledu vidíte, jak bude vytištěný obrázek vypadat při tisku na výšku nebo na šířku.

Pro změnu velikosti papíru a dalších nastavení použijte tlačítko Nastavení tiskárny.

Tlačítky s možnostmi volíte, jak se obrázek vytiskne.

Původní velikost vytiskne obrázek v jeho původních rozměrech, vypočítaných z DPI. DPI 72 se použije u obrázků neobsahujících informace o DPI.

Pozn.: Když je obrázek větší než velikost papíru, vytiskne se jen viditelná část.

Nejlepší vzhledem k poměru stran stránky zobrazí obrázek na stránce, jak je to nejvíce možné beze změn rozměrů/poměru stran.

Pozn.: Použije se poměr stran.

Roztáhnout na stránku vyplní tištěnou stránku, i když bude třeba jeden rozměr změnit.

Pozn.: Žádný poměr stran se nepoužije.

Vlastní vám umožní vytisknout obrázek se specifickými rozměry šířky, výšky a levého/horního okraje v centimetrech nebo palcích. Jejich hodnoty zadáte do příslušných polí.

Pozn.: Maximální velikost obrázku je omezena velikostí papíru, použije se poměr stran, jestliže je toto pole zaškrtnuto. Šířka a výška se pro nový obrázek automaticky nevypočítávají, zaškrtněte políčko Poměr stran nebo klikněte na požadované pole.

Měřítko rozloží obrázek na stránce. Zadejte požadovanou změnu; 1.00 je původní velikost.

Pozn.: Maximální velikost obrázku je omezena na velikost papíru.

Zvolte Na střed pro vytištění obrázku do středu papíru. Souřadnice X/Y na papíře mohou mít i zápornou hodnotu.

Možnost Tisk bez ohraničení rozšíří obrázek přes hranici papíru (v závislosti na tiskárně). Tato funkce může být velmi užitečná pro tisk naskenovaných papírů. Možnost Stránka bez přetečení zmenší šířku/výšku obrázku, jestliže překročí velikost papíru.

Název souboru, cestu nebo uživatelem definovaný text můžete vytisknout jako hlavičku nebo zápatí.

Možnost Vytisknout určité stránky použije znak ";" jako oddělovač čísel stránek. Můžete rovněž použít znak "-" pro rozsah stránek, např. 3-6; pro tisk stránek: 3, 4 , 5 a 6.

Můžete nastavit také počet kopií.

Můžete třídit stránky, jestliže tisknete vícestránkový obrázek v několika kopiích.

Pozn.: Náhled obrázku nezobrazuje netisknutelnou část papíru (závisí na tiskárně).

Tip: Jestliže máte vyznačenou oblast výběru v původním obrázku (pouze v okně IrfanView), vytiskne se pouze tato označená část (zobrazená v dialogu).

Pro zahájení tisku zvolte tlačítko Vytisknout.

Pro zavření dialogu Tisk bez tisku nebo po dokončení práce zvolte tlačítko Zrušit.


Vybrat zdroj TWAIN

Z nabídky Soubor zvolte Vybrat skener / zdroj TWAIN.

Tato nabídka vám umožňuje zvolit skener nebo jakékoliv jiné TWAIN kompatibilní zařízení (digitální fotoaparát, TV kartu, atd.) ve vašem počítači (jestliže jich je k dispozici více).

Pozn.: Tento dialog řídí systém Windows, nikoliv IrfanView.

Zvolte název zařízení, které chcete použít, a stiskněte tlačítko Zvolit. Pro ukončení bez zvolení stiskněte tlačítko Zrušit.

Podívejte se také na:

Pořizování / Dávkové skenování

Kopírka


Pořizování / Dávkové skenování

Z nabídky Soubor zvolte Spustit dávkové skenování pro pořizování jednotlivých snímků a dávkové skenování.

· Pokud chcete naskenovat pouze jeden obrázek, zvolte první možnost.

Zobrazí se program pro obsluhu vašeho skeneru nebo jiného zachytávacího zařízení kompatibilního se standardem TWAIN (digitální fotoaparát, TV karta atd.). Pro naskenování obrázku se řiďte pokyny v uživatelské příručce k vašemu skeneru.

Po dokončení bude obrázek vložen do IrfanView.

· Pro více obrázků použijte druhou možnost.

Zde můžete zvolit:

• Název výstupního souboru
• Počáteční číslo / počítadlo výstupních souborů
• Přírůstek (může být i záporné číslo)
• Počet číslic použitých v názvu souboru
• Možnost přeskakovat soubory se stejným názvem (nepřepisovat)
• Zapamatovat poslední počítadlo skenování (nastavit jako počáteční)
• Cílová složka pro naskenované obrázky
• Formát souboru obrázku

Tip: U názvů souborů můžete použít tyto zástupné znaky. Povolené zástupné znaky pro názvy jsou: $W, $H, $B, $p and $U.

Příklad: Text názvu souboru jako: $U(%d_%m_%Y)-

Výsledkem bude: 25_07_2013-01, 25_07_2013-02 atd.

Jestliže si zvolíte jako výstupní formát TIF nebo PDF, můžete vytvořit vícestránkový TIF/PDF soubor z naskenovaných obrázků (vytvoří se jen jeden soubor).

Zobrazí se okno programu obsluhujícího váš skener či jiné TWAIN kompatibilní zařízení (digitální fotoaparát, TV karta, atd). Pro naskenování obrázků se řiďte instrukcemi z uživatelské příručky k vašemu zařízení. Dialogové okno náhledu TWAIN nebude programem IrfanView automaticky zavřeno.

Soubory se uloží do výstupní složky jako obrázky. Budou mít názvy jako "ScanImage001.bmp", "ScanImage002.bmp" atd. (je-li použito výchozí nastavení).

Po dokončení se poslední naskenovaný obrázek zobrazí v okně IrfanView .

Podívejte se také na:

Vybrat zdroj TWAIN

Kopírka


Kopírka

Z nabídky Soubor zvolte Kopírka.

Otevře se dialog s možnostmi vytištění obrázku přímo ze skeneru nebo jiného TWAIN kompatibilního zařízení (digitálního fotoaparátu, TV karty, atd.).

Tlačítkem Vybrat zdroj TWAIN si vyberte ze seznamu kompatibilních zařízení (většinou skener).

Zaškrtněte možnost Zobrazit dialog náhledu TWAIN, jestliže chcete vidět náhled před tiskem.

Zadejte DPI hodnotu pro skenovaný obrázek, výchozí hodnota je 100. Většinou polovina tištěného rozlišení je dostačující pro skenování.

Zvolte aktuální tiskárnu a nastavte její vlastnosti.

Zvolte počet kopií pro tisk.

Pozn.: Pro tisk se použijí aktuální nastavení z tiskového dialogu.

Je-li vše nastaveno, klikněte na tlačítko Spustit. Pro ukončení akce bez provedení výběru a kopírování klikněte na tlačítko Zrušit.

Podívejte se také na:

Tisk

Vybrat zdroj TWAIN

Pořizování / Dávkové skenování


Ukončit

Existuje několik možností, jak program ukončit:

V hlavním okně programu stiskněte klávesu ESC. Program se ihned ukončí. (Jestliže jste v některém z menu nebo dialogů, ESC vás vrátí do hlavního okna. Dalším stiskem se pak program ukončí.)

Z nabídky Soubor můžete program ukončit klávesou X. Pomocí myši stačí kliknout na možnost Konec.

Klikněte na logo v levém horním rohu hlavního okna programu pro vyvolání standardního menu Windows a zvolte možnost Zavřít nebo poklepejte na logo pro okamžité ukončení IrfanView.

Klikněte na X v pravém horním rohu hlavního okna programu. Tato možnost rovněž ihned ukončí program.

Pozn.: IrfanView se ve výchozím nastavení neptá na žádné otázky typu "Přejete si uložit změny?" – rovnou se zavře. Ujistěte se tedy, že máte svou práci uloženou, nebo zaškrtněte možnost Zeptat se na uložení změn při ukončení programu v menu Vlastnosti->Možnosti spuštění/ukončení.


Zpět/znovu

Z nabídky Úpravy zvolte Zpět (nebo použijte tlačítko Zpět na panelu nástrojů).

Tato funkce "zálohuje" stav před poslední provedenou akcí. Zpět lze vzít mnoho funkcí IrfanView. Vždy jde vzít zpět ale jen jednu naposledy provedenou akci; prohlížeč je neukládá. Funkci můžete deaktivovat na kartě Procházení/Úpravy v dialogu Možnosti->Vlastnosti.

Možnost Znovu zobrazí akci, kterou jste předtím vrátili.

Funkce, které lze vzít zpět, jsou:

Automaticky upravit barvy, Vlastní otočení, Převod na stupně šedé, Oříznout, Vyjmout, Snížit barevnou hloubku, Vylepšení barev, Zvýšit barevnou hloubku, Negativ, Změna velikosti / Převzorkování, dialog Paint a všechny Efekty.


Dialog Paint

Dialog Paint (doplněk IrfanPaint)

 Nahoru Předchozí Následující

Z nabídky Úpravy zvolte Zobrazit dialog Paint.

Úvod

IrfanPaint je doplněk pro malování v IrfanView, který vytvořil Matteo Italia ve spolupráci s Irfanem Skiljanem. Umožňuje vám provádět mnoho základních úprav fotografií bez nutnosti použití externího editoru.

Ujistěte se, že máte aktuální verzi doplňku IrfanPaint: stáhnout ji můžete na stránce IrfanPaint.

Tipy a triky

· Můžete využít rozšířené nápovědné popisky ( [image]), pohybujte myší přes konkrétní nástroj a zobrazí se tipy k jeho použití. Velikost textu nápovědných popisků můžete změnit ve Windows, Plocha, Vzhled.
· Panel nástrojů malování je magnetický. Přesuňte jej na jednu stranu okna a zůstane tam. Jestliže změníte velikost okna nebo načtete větší obrázek, panel se bude podle toho pohybovat.
· Mezi různými nástroji se můžete přepínat otáčením kolečka myši s podržením kláves CTRL a Shift.
· Šířku pera můžete změnit rovněž otáčením kolečka myši s podržením klávesy Shift.
· K dispozici je i funkce Zpět z okna IrfanView, lze tak vrátit poslední operaci.

Nástroje

Rychlá reference

Šipka: Omezuje použití nástrojů pro práci pouze s výběrem.

Štětec: Vlevo/vpravo = Barva popředí / barva pozadí

Guma: Vlevo/vpravo = Pozadí/Zpět

Klonovač: Zkopíruje zdroj do cíle.

Nahrazovač barev: Prohodí barvy.

Vkládač textu: Vloží naformátovaný text.

Čára: Přímka; Shift/CTRL pro omezení

Oboustranná šipka; Klikněte pravým tlačítkem pro ukončení čáry.

Elipsa: Shift = Kruh; CTRL = Střed

Obdélník: Shift = Čtverec; CTRL = Střed

Výplň: Vlevo/vpravo = Barva popředí/pozadí

Volič barev: Barva popředí/pozadí

Otočení: Vlastní vodorovné otáčení

Měřítko: Měří vzdálenosti a úhly.

Nastavení štětce: Styly čar a šrafovací výplně

Nápovědné popisky: Stručné/rozšířené nápovědné popisky

O programu: Číslo verze, poděkování

Šířka: Posouváním měníte velikosti štětce.

Tolerance: Posouváním upravujete toleranci.

Zaškrtávací políčko pro výplně: Pro elipsy a obdélníky

Barva pozadí: Klikněte pro změnu barvy pozadí.

Barva popředí: Klikněte pro změnu barvy popředí.

Úplná nápověda

Název

Obrázek

Popis

Šipka

Toto vám umožní vrátit fokus do hlavního okna IrfanView pro možnost vytvoření výběru, ořezávání, atd. Nástroje IrfanPaint jako štětec nebo výplň nemají mimo označenou oblast efekt.

Štětec

Levým tlačítkem myši malujete s barvou popředí a pravým malujete s barvou pozadí. Podržte klávesu Shift a otáčením kolečka upravte šířku štětce nebo použijte prvky pro její změnu na panelu nástrojů.

Guma

Klikněte levým tlačítkem a táhněte myší pro smazání jakékoliv části obrázku se zachováním barvy pozadí. Klikněte pravým tlačítkem myši a táhněte myší pro vrácení předchozí operace zpět se zachováním původního obrázku. Podržte klávesu Shift a otáčením kolečka myši upravte šířku gumy.

Klonovací štětec

Kliknutím pravým tlačítkem zvolíte zdroj; kliknutím levým tlačítkem a tažením volíte cíl a začátek kreslení kopie. Podržte klávesu Shift a otáčením kolečka myši upravte šířku klonovacího štětce.

Nahrazovač barev

Nahrazovač barev se používá k náhradě jedné barvy za jinou. Klikněte levým tlačítkem a táhněte myší pro náhradu barvy pozadí za barvu popředí. Klikněte pravým tlačítkem a táhněte myší pro náhradu barvy popředí za barvu pozadí. Podržte klávesu Shift a otáčením kolečka myši upravte šířku nahrazovače barev. Použijte pole tolerance ke změně tolerance náhrady barev.

Vkládání textu

Vkládač textu přidá do obrázku formátovaný text. Základem vloženého textu bude křížový textový kurzor. Text bude zarovnán doleva, doprava nebo na střed bodu jeho vložení.

Po kliknutí na textový kurzor na obrázku se otevře dialogové okno Vložit text. Zde můžete vybrat formát textu, jednotlivá slova nebo znaky s atributy písma, velikosti, barvy a textu nebo zarovnat text doleva, doprava nebo na střed.

Text ve formátu Unicode můžete vložit ze schránky nebo jej napsat pomocí klávesnice.

Text může být nakreslen jako prázdná cesta, vyplněná cesta, jako text nebo vyhlazený text. U textové cesty se ikona barvy textu změní na ikonu nastavení štětce, ze které můžete nastavit atributy řádku a výplně textu.

Text v dialogu můžete zkopírovat do schránky pro další použití včetně zachování formátování.

Tlačítko Podržet pro náhled zobrazí naformátovaný text v náhledu, abyste si před vložením textu mohli zkontrolovat, zda není příliš velký, zda je správně vyrovnaný a má vhodnou barvu, kontrast atd.

Nástroj Čára

Klikněte levým tlačítkem a táhněte myší pro nakreslení přímky s barvou popředí. Kliknutím pravým tlačítkem a tažením operaci zrušíte. Podržte klávesu Shift pro omezení čáry na 45 stupňů. Podržte klávesu CTRL pro nakreslení čáry na středu počátečního bodu. Podržte klávesu Shift a otáčením kolečka myši upravte šířku čáry. Použijte nastavení štětce pro změnu stylu čáry nebo jejího zakončení.

Nástroj Šipka

Stejný jako nástroj pro čáry. Klikněte pravým tlačítkem pro určení počátečního a koncového bodu.

Nástroj Elipsa/kruh

Klikněte a táhněte myší pro nakreslení elipsy. Podržte klávesu Shift pro nakreslení kruhu. Podržte klávesu CTRL pro omezení středu na počáteční bod. Klikněte pravým tlačítkem myši pro zrušení operace.

Nástroj Obdélník/čtverec

Klikněte a táhněte myší pro nakreslení obdélníku. Podržte klávesu Shift pro nakreslení čtverce. Podržte klávesu control pro omezení středu na počáteční bod. Klikněte pravým tlačítkem pro zrušení operace.

Nástroj Výplň

Klikněte levým tlačítkem myši pro vyplnění oblasti barvou popředí. Klikněte pravým tlačítkem myši pro vyplnění oblasti barvou pozadí. Nejprve pomocí nástroje pro výběr omezte výplň na uzavřenou oblast. Použijte políčko tolerance pro nastavení hodnoty tolerance výplně (navrhovaná hodnota: 40).

Nástroj pro výběr barvy

Klikněte levým tlačítkem myši pro volbu barvy popředí. Klikněte pravým tlačítkem myši pro volbu barvy pozadí. Po použití nástroje pro výběr barvy jednou se fokus okamžitě vrátí k dříve vybranému nástroji, pokud jste nástroj pro výběr barvy nepoužili s podržením klávesy Shift.

Nástroj pro vyrovnání/otočení obrázku

Klikněte a přetáhněte nástroj podél přímky nebo mezi dvěma body, které chcete mít po otočení na vodorovné nebo svislé čáře. Aktuální barva pozadí bude použita k vyplnění plátna, které bude rozšířeno tak, aby vyhovovalo otočenému obrazu. Barva pozadí použitá při vlastním jemném otočení v IrfanView není při této funkci použita. Zde je použita barva pozadí IrfanPaint.

Nastavení pera a štětce

Otevřete dialog nastavení štětce pro volbu stylu, vyplnění a dokončení čáry. Výsledky budou záviset na šířce čáry a ovlivní nástroje štětec, čára, šipka, elipsa a obdélník.

Zde můžete nastavit styl čáry, šířku pera, styl ukončení čáry, styl spojů čar (roh), barvu čáry a styl šrafování čáry.

Na kartě Pozadí můžete nastavit barvu a styl šrafování výplně. Druhá šrafovací barva může být průhledná pro získání efektu zvýraznění při malování přes text s barvou pozadí (klikněte na nástroj štětec pravým tlačítkem myši).

Aby to vypadalo, že neexistuje žádný obrys pera, použijte pro linii stejnou barvu a šrafování jako pro výplň.

Prázdná textová cesta a vyplněná textová cesta budou také používat tato nastavení štětce. Pokud není text příliš velký, budete pravděpodobně muset použít šířku čáry pouze 1 nebo 2 pixely.

Náhled ukazuje (zhruba), jaký bude výsledek. Klepnutím na náhled převrátíte styly a barvy popředí a pozadí.

Nápověda (úplné nápovědné popisky)

Zvolte si buď stručné, nebo rozšířené nápovědné popisky nástrojů.

O IrfanPaint

Číslo verze doplňku IrfanPaint, informace o překladu, poděkování a odkaz na webovou stránku IrfanPaint, na které si můžete stáhnout nejnovější verzi IrfanPaint.

Šířka čáry

Pomocí tlačítek nebo kurzorových šipek zadejte hodnoty šířky čáry v pixelech. Šířku čáry můžete nastavit rovněž držením klávesy Shift a otáčením kolečka myši.

Tolerance

Vyšší hodnoty zvyšují rozsah barev nahrazených nástroji pro nahrazování barev a výplní. Omezení na nulu nahradí zadanou barvou pouze pixely; zvýšení na 255 nahradí každou barvu.

Výplň

Používá se s nástroji šipka, elipsa a obdélník. Vyberte si z plných (vyplněných) nebo obrysových (nevyplněných) tvarů.

Panel barev

Klikněte na obdélník na popředí pro výběr barvy na popředí.

Klikněte na obdélník na pozadí pro výběr barvy na pozadí.

Klikněte na malou šipku pro prohození těchto dvou barev.

Poděkování

Původní text této nápovědy napsal Bhikkhu Pesala; do grafické podoby jej převedl Matteo Italia.


Vytvořit vlastní výběr

Z nabídky Úpravy zvolte Oříznout výběr. Dialog vám umožní vytvořit speciální výběr (obdélník obrysu) v načteném obrázku.

Můžete zvolit pozici, šířku/výšku a poměr stran výběru.

Jestliže je výběr již zobrazen v obrázku, hodnoty v dialogu budou již předvyplněné.

Výběr můžete zvolit i myší. Umístěte ukazatel myši do jednoho rohu oblasti, kterou si přejete označit. Stiskněte levé tlačítko a držte jej – ukazatel myši je dvojitý křížek. Táhněte myší šikmo dolů nebo nahoru do opačného rohu oblasti, kterou si přejete označit. Během přetahování se objeví ohraničení. Po přetažení pusťte tlačítko myši.

Pro zrušení výběru stiskněte levé tlačítko myši mimo ohraničení (ukazatel myši je normální).

Pro rozšíření označeného obdélníku umístěte ukazatel myši přes hraniční čáru na straně, kterou chcete změnit. Ukazatel myši se změní na tenkou dvojitou šipku. Stiskněte a držte levé tlačítko myši a roztahujte ohraničení.

Stiskněte klávesu CTRL během rozšiřování pro ponechání poměru stran aktuálního výběru.

Jestliže stisknete levé tlačítko myši uvnitř označené oblasti (ukazatel myši je zvětšovací lupa), můžete tuto oblast zvětšovat.

Jestli chcete změnit pozici výběru, stiskněte a držte pravé (nebo prohozené levé) tlačítko myši uvnitř oblasti. Ukazatel myši se změní na překřížené tenké šipky. Táhněte myší, dokud nedosáhnete zvolené velikosti, a poté tlačítko pusťte.

Jestliže máte tlačítka myši prohozená, použijte pravé tlačítko tak, jak bylo popsáno výše.

Hodnoty pixelů levého horního rohu, rozměry v pixelech a poměr stran výběru jsou zobrazeny v titulku.

Podívejte se také na:

Vyjmout

Oříznout

Kopírovat

Vložit

Vložit text do výběru

Redukce červených očí


Zobrazit mřížku výběru

V této nabídce můžete vytvořit maximalizovaný výběr z obrázku s použitím některých populárních poměrů.

Vytvořit maximální vlastní výběr

Tato nabídka použije poslední hodnotu poměru z dialogu Vytvořit vlastní výběr a vytvoří maximalizovaný výběr v obrázku.


Maximalizovat a vycentrovat výběr

Máte-li zobrazenou a označenou oblast, můžete zvolit menu Úpravy, Maximalizovat a vycentrovat výběr.

Tato možnost maximalizuje a vycentruje aktuálně označenou část obrázku s použitím aktuálního poměru stran výběru.

Tip: Podržíte-li klávesu CTRL a zvolíte tuto nabídku, označená oblast bude pouze vycentrována, beze změny velikosti.


Zobrazit mřížku výběru

Tato nabídka zobrazí speciální mřížku v označeném obdélníku, jako např. Zlatý řez nebo Třetiny.

Můžete si zvolit barvu a velikost buněk ve Vlastnosti->Procházení/Úpravy.

Pro pohyb použijte šipky nebo pravé tlačítko myši (viz Klávesové zkratky).


Zobrazit pevnou mřížku

Tato nabídka zobrazí mřížku (rastr) v obrázku.

Barvu mřížky (výběru) a velikost buňky mřížky lze nastavit v dialogu Vlastnosti->Procházení/Úpravy.


Vložit text

Můžete otevřít dialog a vložit text do obrázku pomocí myši nebo použít levé tlačítko myši a označit oblast na obrázku, kam chcete text vložit.

Jak vytvořit výběr? Stačí stisknout levé tlačítko myši a pohybovat myší. Uvidíte obdélník výběru. Jestliže kliknete na obrázek mimo označení, obdélník výběru zmizí a výběr již nebude aktivní.

Zvolte nabídku Úpravy, následně Vložit text. Otevře se dialogové okno.

Jestliže tuto funkci použijete v Dávkovém režimu (dialog Dávkové zpracování, Rozšířené možnosti, Vložit překryvný text), budou k dispozici pole pro souřadnice a můžete nastavit počáteční roh a velikost obdélníku, které budou použity pro text.

Do editačního pole vlevo vložte text, který chcete vložit do obrázku.

Použijte tlačítko Zvolit font pro změnu velikosti, stylu, barvy textu atd. Název fontu se zobrazí pod editačním polem.

Jestliže je zobrazený obrázek zmenšen (velikost zvětšení < 100 %), můžete použít možnost "Přizpůsobit velikost zobrazení aktuálnímu zvětšení pro zobrazení textu "správně" v aktuálním zobrazení. Např. aktuální velikost zvětšení je 66 %, zvolená velikost písma je 12 bodů. Pokud je použita funkce přizpůsobit, bude velikost písma 18 bodů (= velikost x 100 / zvětšení), což bude vypadat jako 12 bodů při aktuálním zvětšení.

Odškrtněte zaškrtávací políčko Pozadí je průhledné pro možnost výběru barvy pozadí. Barva označené oblasti se změní, text v políčku vedle tlačítka zobrazuje zvolenou barvu pozadí.

Tento dialog nabízí několik kombinací barev a efektů, můžete si s jejich kombinacemi pohrát.

Aktuální nastavení si můžete uložit jako profil a použít jej později.

Pro uložení textu do obrázku klikněte na tlačítko OK. Pro zavření dialogu bez vkládání textu klikněte na tlačítko Zrušit.

Funkce vložit text může být vrácena pomocí příkazu Zpět v nabídce Úpravy.

Tip: Jestliže kliknete s podržením klávesy CTRL do obrázku (hlavního okna), text bude vložen na pozici kliknutí a můžete přidat další text.

Tip: Jestliže kliknete s podržením klávesy SHIFT do obrázku (hlavního okna), barva obrázku bude nastavena jako barva textu.

Podívejte se také na:

Vytvořit vlastní výběr

Možnosti textu


Vložit obrázek překrytí/vodoznak

Zvolte položku nabídky Úpravy / Vložit obrázek překrytí/vodoznak. Tento dialog umožňuje vložit překryvný obrázek na právě načtený obrázek.

Tuto funkci lze použít rovněž v Dávkovém režimu (dialog Dávkového režimu, Pokročilé možnosti, Přidat obrázek vodoznaku).

Můžete si zvolit počáteční roh, od kterého chcete měřit, a vodorovné a svislé odsazení od tohoto rohu v pixelech (X a Y), kam chcete překryvný obrázek vložit, nebo jej můžete vložit do středu přes načtený obrázek klepnutím na tlačítko Střed.

Jestliže kliknete do obrázku (v hlavním okně), program nastaví souřadnice myši jako počáteční roh a v hlavním okně zobrazí náhled výsledného obrázku.

Můžete si zvolit, který obrázek se použije jako překryvný, a nastavit úroveň jeho průhlednosti, aby se zobrazil jako vodoznak (0 je neprůhledný, 100 zcela průhledný).

Před otevřením dialogového okna můžete také pomocí tlačítka myši označit určitou oblast v obrázku. Když poté v dialogu vyberete počáteční roh, bude počáteční pozice v odpovídajícím rohu výběru. Požadované souřadnice na načteném obrázku, X a Y, se vypočítají automaticky.

Tip: Jako překryvné obrázky můžete použít např. soubory ve formátech PNG nebo GIF, které již obsahují určitou část průhlednou. V tomto případě bude tato oblast zobrazena jako úplně průhledná a zbylá část bude zobrazena dle nastavení průhlednosti v dialogu.

Pro přidání textu do obrázku klepněte na tlačítko OK. Pro zavření dialogu bez provedení změn zvolte tlačítko Zrušit.

Přidání překryvné vrstvy/vodoznaku můžete vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.


Odstranit/vložit proužek

Levým tlačítkem myši označte oblast, zvolte nabídku Úpravy, Odstranit/vložit proužek.

Můžete odstranit nebo vložit svislý nebo vodorovný proužek. Šířka nebo výška proužku závisí na šířce nebo výšce označené oblasti.

Svislý proužek používá šířku výběru, vodorovný výšku a dalším rozměrem je výška obrázku (svislý proužek) nebo šířka obrázku (vodorovný proužek).

Vložený proužek používá barvu pozadí výběru, nastavitelnou v nabídce Vlastnosti/nastavení->Procházení/Úpravy.

Označená oblast zůstává i nadále v obrázku, takže můžete přidávat další proužky nebo je odstraňovat.

Možnost Odstranit/vložit proužek můžete vrátit zpět pomocí možnosti Zpět v nabídce Úpravy.


Vyjmout

Označte zvolenou oblast levým tlačítkem myši, v nabídce Úpravy zvolte položku Vyjmout nebo použijte tlačítko Vyjmout na panelu nástrojů.

Vyjmout – výběr

Oblast uvnitř výběru bude odstraněna z obrázku. Prázdné místo bude obvykle nahrazeno černou barvou. Vyjmutá část bude vložena do schránky Windows jako bitmapový obrázek a lze ji kamkoliv vložit.

Vyjmout – kromě výběru

Oblast okolo výběru bude odstraněna z obrázku a nahrazena zvolenou barvou.

Pozn.: Barvu po vyjmutí můžete nastavit v menu Vlastnosti->Procházení/Úpravy.

Tuto akci můžete vrátit zpět v menu Úpravy pomocí příkazu Zpět.

Podívejte se také na:

Oříznout

Kopírovat

Vložit

Vytvořit vlastní výběr


Oříznout

Levým tlačítkem myši označte oblast, zvolte nabídku Úpravy, Oříznout výběr.

Oříznout výběr

Oblast mimo výběr bude odstraněna, zůstane jen označená oblast. Velikost obrázku se změní.

Tuto funkci použijte pro odstranění nechtěného prostoru (obvykle prázdného místa) z obrázku. Funkci lze využít i pro vycentrování špatně pořízené fotografie.

Můžete nastavit pozici, šířku, výšku a poměr stran výběru.

Vlastní výběr můžete vytvořit rovněž pomocí myši. Umístěte ukazatel myši do jednoho rohu oblasti, kterou si přejete označit. Stiskněte levé tlačítko a držte jej – ukazatel se změní na dvojitý křížek. Posouvejte myší nahoru nebo dolů do opačného rohu označované oblasti. Během posouvání se oblast ohraničí. Nakonec pusťte levé tlačítko.

Pro odstranění označené oblasti klikněte levým tlačítkem mimo tuto oblast (objeví se normální ukazatel myši).

Jestliže kliknete levým tlačítkem uvnitř označené oblasti, ukazatel se změní na lupu pro přibližování této oblasti.

Pro změnu velikosti označované oblasti umístěte ukazatel myši na ohraničení na straně, kterou si přejete změnit. Ukazatel myši se změní na tenkou dvojitou šipku. Stiskněte a držte levé tlačítko myši a posunujte ohraničením. Pro zachování poměru stran držte během posouvání klávesu CTRL.

Jestliže máte tlačítka myši prohozena, použijte k výše popsaným operacím pravé tlačítko.

Chcete-li změnit pozici výběru, stiskněte a držte pravé (nebo prohozené levé) tlačítko myši uvnitř oblasti. Ukazatel se změní na křížek tenkých šipek. Pohybujte myší, dokud označená oblast nedosáhne požadované pozice, a poté pusťte tlačítko.

Souřadnice levého horního rohu v pixelech, rozměry v pixelech a poměr stran výběru jsou zobrazeny v titulku okna.

Automatické oříznutí okrajů

Tato funkce odstraní okraje stejné barvy z obrázku.

Můžete si nastavit hodnotu toleranční barvy v nabídce Vlastnosti->Procházení/Úpravy pro větší ohraničení.

Oříznutí viditelné části

Tato funkce ořízne jen oblast obrázku, která je aktuálně viditelná v hlavním okně, včetně přiblížení.

Akce lze vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.

Tip: Pro obrázky JPG raději využijte bezztrátové oříznutí v nabídce Možnosti->Bezztrátové oříznutí JPG.

Podívejte se také na:

Vyjmout

Kopírovat

Vložit

Vytvořit vlastní výběr


Kopírovat

Pomocí levého tlačítka myši označte oblast, zvolte menu Úpravy, zvolte Kopírovat nebo použijte tlačítko Kopírovat na panelu nástrojů.

Zvolená oblast bude vložena do Windows schránky jako bitmapový obrázek a můžete ji vložit kamkoliv.

Jestliže neoznačíte myší žádnou oblast, bude zkopírován celý obrázek do schránky Windows.

Podívejte se také na:

Vyjmout

Oříznout

Vložit

Vytvořit vlastní výběr


Vložit / Vložit na stranu

Vložit

Z nabídky Úpravy zvolte Vložit (nebo použijte tlačítko Vložit na panelu nástrojů).

Jestliže máte vytvořený výběr v oblasti obrázku, bude obrázek ve schránce Windows jako bitmapa, metasoubor nebo text vložen do vašeho výběru. Obrázek ze schránky bude zvětšen na velikost výběru a zbytek zůstane tak, jak je. Tato funkce je velmi užitečná při úpravách obrázků nebo jejich částí.

Možnosti vkládání do výběru můžete nastavit v menu Vlastnosti->Procházení/Úpravy.

Pokud nemáte označen žádný výběr, obrázek (bitmapa, metasoubor nebo text) ve schránce Windows nahradí celý zobrazený obrázek.

Vložit na stranu

Z nabídky Úpravy zvolte Vložit na stranu.

Tato možnost přidá obrázek k již existujícímu obrázku. Na výběr jsou čtyři možnosti pro čtyři směry, takže můžete vytvářet jednoduché koláže.

Změnit možnosti můžete v nabídce Vlastnosti->Procházení/Úpravy.

Podívejte se také na:

Vyjmout

Oříznout

Kopírovat

Vytvořit vlastní výběr


Vymazat (smazat displej)

Z nabídky Úpravy zvolte Vymazat (smazat displej).

Tím se odstraní zobrazený obrázek z okna programu. Toto nemá vliv na obrázky uložené na vašem disku, platí to jen pro okno programu.

Ke kompletnímu odstranění souboru z vašeho disku slouží příkaz Odstranit soubor v nabídce Soubor.


Smazat schránku

Z nabídky Úpravy zvolte Smazat schránku.

Toto odstraní obsah Windows schránky.


Informace

Z nabídky Obrázek zvolte Informace (nebo použijte tlačítko Informace na panelu nástrojů). Otevře se dialog s následujícími informacemi o obrázku:

Název souboru

Název složky

Plná cesta k souboru

Metoda komprese

Rozlišení – Můžete změnit hodnoty DPI a stisknout "Změnit".

Původní velikost (šířka a výška v pixelech)

Aktuální velikost (šířka a výška v pixelech)

Velikost pro tisk (v centimetrech nebo palcích v závislosti na DPI obrázku)

Původní barvy (barevná hloubka, bitů na pixel)

Aktuální barvy (barevná hloubka, bitů na pixel)

Počet jednotlivých barev v obrázku

Velikost souboru na disku (v kB)

Velikost obrázku v paměti (v kB, dekomprimováno)

Aktuální pozice ve složce

Datum a čas vytvoření souboru

Načteno za (čas pro načtení souboru)

Pokud načtete obrázek JPG/TIF/DigiCam-RAW s informacemi EXIF, objeví se tlačítko "Informace EXIF" a IrfanView vám tyto informace může zobrazit.

Pokud načtete fotografii ve formátu JPG/TIF/DigiCam-RAW s informacemi EXIF, kliknutím na tlačítko Informace o obrázku na panelu nástrojů se zobrazí okno IrfanView s vlastnostmi obrázku. V levém dolním rohu uvidíte tlačítko "informace EXIF". Klikněte na něj a zobrazí se další okno s veškerými informacemi o expozici, které se týkají dané fotografie.

Klikněte myší na název souboru a šipkami nahoru a dolů můžete procházet dostupné informace. Uvidíte tak datum a čas, velikost obrázku, otevírání clony objektivu, nastavení zvětšení, kvalitu, rychlost závěrky, použití blesku, nastavení rychlosti citlivosti ISO CCD, výrobce a model fotoaparátu. Všechny informace o parametrech EXIF naleznete v sekci text/parametry. Tyto informace jsou v textovém (.txt) formátu. Můžete je tedy zkopírovat do schránky, takže si je můžete uložit do textového editoru a vytisknout nebo vložit do složky s fotografiemi.

Pokud načtete obrázek ve formátu JPG, zobrazí se tlačítko "Informace IPTC" a IrfanView vám umožní zobrazit/upravit/zapsat informace IPTC. IPTC Úpravy probíhají bezztrátově, JPG obrázek se nezmění. Lze si rovněž zobrazit data IPTC ve formátech TIF/DigiCam-RAW, tyto však nelze upravovat.

Když načtete obrázek JPG, zobrazí se tlačítko "komentář" a IrfanView vám umožní zobrazit/upravit/zapsat JPG komentář. Úprava komentářů je bezztrátová, JPG obrázek se nezmění.

Pozn.: Komponenty/dialogy EXIF/IPTC/Komentář jsou uloženy v Metadata doplňku (nainstalovaném spolu s IrfanView).

Dialog EXIF je nemodální, můžete jej tak nechat otevřený i během načítání dalších souborů. Dialog se obnovuje automaticky. Můžete jej rovněž přesunout, dialog si zapamatuje poslední pozici.

Pozn.: Když načtete JPG soubor a EXIF/IPTC/data komentářů jsou již k dispozici v souboru, je tlačítko opatřeno symbolem "*".

Informace zavřete kliknutím na tlačítko OK.


Vytvořit nový prázdný obrázek

Z nabídky Obrázek zvolte Vytvořit nový (prázdný) obrázek. Tento dialog vám umožňuje vytvořit nový (prázdný) obrázek.

Můžete si zvolit výšku a šířku obrázku, počet barev (BPP) nebo stupně šedé a barvu pozadí (výchozí je černá).


Vytvořit panoramatický obrázek

Z nabídky Obrázek zvolte Vytvořit panoramatický obrázek. Tento dialog vám umožňuje vytvořit panoramatický obrázek.

Jednotlivé obrázky můžete přidávat svisle, nebo vodorovně. První obrázek v řetězci bude sloužit jako základní pro všechny další.

Máte rovněž možnost vložit název souboru do obrázku (levý horní roh) nebo přidat mezi obrázky prázdný prostor. 0 pixelů znamená žádný prostor (toto je výchozí nastavení).

Pozn.: Funkce Panorama vždy použije rozměry prvního obrázku jako základ pro další obrázky, jestliže mají ostatní obrázky rozdílné rozměry. Pro "vodorovné" panorama je důležitá výška prvního obrázku a všechny ostatní obrázky se jí v případě potřeby přizpůsobí. Pro "svislé" panorama je důležitá šířka prvního obrázku a všechny ostatní obrázky se jí v případě potřeby přizpůsobí.

Pozn.: Jestliže chcete vytvářet obrázky ve více řadách/sloupcích najednou, použijte kontaktní sešit v okně Miniatury.


Otočení vlevo/vpravo / Vlastní/jemné otočení

Otočit doleva

Z nabídky Obrázek zvolte Otočit doleva. Obrázek se otočí o 90 stupňů; horní strana obrázku bude vlevo.

Otočit doprava

Zvolte menu Obrázek, Otočit doprava. Obrázek se otočí o 90 stupňů; horní strana obrázku bude vpravo.

Tip: Pro obrázky JPG byste měli raději používat bezztrátové otočení v nabídce Možnosti->Bezztrátové operace JPG.

Vlastní/jemné otočení

Tento dialog vám umožňuje zadat přesný rozsah stupňů (od -360 do +360) pro rotaci obrázku.

Zadejte hodnotu, o kolik se má obrázek otočit; kladná čísla (např. 30) otáčejí obrázek doprava, záporná (např. -30) doleva; vyšší čísla otáčejí více; výchozí hodnota je 45. Můžete rovněž nastavit barvu pozadí, které otočením vznikne.

Pozn.: Pro nakreslení čáry pro vyrovnání obrázku můžete použít doplněk Paint (v nabídce Úpravy nebo klávesová zkratka f12).

Pozn.: Vlastní/jemné otočení je k dispozici pouze, máte-li nainstalován doplněk Efekty, který se instaluje spolu s programem.

Podívejte se také na:

Svislé otočení


Převrátit svisle/vodorovně

V nabídce Obrázek zvolte Převrátit svisle. Obrázek se převrátí hlavou dolů. Orientace doleva a doprava se nezmění.

Zvolte Převrátit vodorovně a obrázek se otočí jako v zrcadle.

Pozn.: Tento efekt lze použít i na menší označené části obrázku, stejně tak jako na celý obrázek.

Tip: Pro obrázky JPG je lepší použít bezztrátové otočení v nabídce Možnosti->Bezztrátové operace JPG.

Podívejte se také na:

Otočit doleva/doprava / Vlastní/jemné otočení


Změna velikosti / Převzorkování

Z nabídky Obrázek zvolte Změna velikosti / Převzorkování. Tento dialog vám umožňuje zvolit novou velikost obrázku. Můžete použít některý převzorkovávací filtr při zvětšování obrázku.

Na výběr je několik předdefinovaných hodnot, které je ale možné přepsat. První číslo je šířka, druhé výška, obě v pixelech. Nechte zaškrtávací políčko Zachovat poměr stran zaškrtnuté, zadejte jednu hodnotu a druhá se dopočítá automaticky.

Změna velikosti obrázku s převzorkováním často zlepší jeho kvalitu, především při zvětšování. Změna velikosti bez převzorkování může vézt k rozmazání obrázku.

Pro zvětšování a zmenšování si můžete zvolit rovněž i některý z rychlých převzorkovávacích filtrů nebo je použít jen pro zmenšení. Normální převzorkovávací filtry jsou pro zmenšování pomalejší.

Převzorkovávací filtry mohou trochu změnit gamma/jas obrázku, proto můžete aktivovat možnost zlepšení gamma (pro pokročilé).

Pozn.: Možnost "Pokusit se zlepšit gamma pro převzorkování" lehce změní původní obrázek (i když jen pro zobrazení v hlavním okně)! Nepoužívejte tuto možnost, chcete-li zachovat přesné barvy pro další úpravu obrázku.

Tip: Jestliže nastavíte jednotky na centimetry nebo palce, budete moci měnit velikost obrázku jen pomocí změny hodnoty DPI.

Např. obrázek má 600 × 500 pixelů a 300 DPI. Jestliže nastavíte jednotky na centimetry/palce a nové DPI na 150, nový obrázek bude mít 300 × 250 pixelů, 150 DPI.

Stejná možnost je i v dialogu Dávkový převod (změna velikosti v závislosti pouze na hodnotách DPI).

Změnu velikosti obrázku potvrďte tlačítkem OK.

Tuto akci můžete vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.


Velikost plátna / Přidat okraj/rámeček

Z nabídky Obrázek zvolte Změna velikosti plátna nebo Přidat okraj/rámeček.

Změna velikosti plátna: Tento dialog vám umožňuje zvolit si velikost jednoduchého rámečku okolo obrázku a jeho barvu.

Záporné hodnoty velikosti se mohou použít pro nakreslení rámečku uvnitř obrázku.

Přidat okraj/rámeček: Tento dialog vám umožňuje zvolit si velikosti a barvy okraje/rámečku okolo obrázku. Dialog nabízí několik předvolených efektů rámečků a jejich hodnot. Pro každý rámeček si můžete nastavit až 4 části a až 4 velikosti/barvy.

Jestliže je hodnota velikosti jedné části nastavena na 0, tak se tato část nepoužije.

Pozn.: Tyto možnosti jsou k dispozici pouze, jestliže je nainstalován doplněk Effects, což můžete udělat během instalace programu.

Pro vytvoření nového obrázku klepněte na tlačítko OK.

Tuto akci lze vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.


Zvýšit/snížit barevnou hloubku

Z nabídky Obrázek zvolte Zvýšit barevnou hloubku. V dialogu budou zobrazeny možnosti barevné hloubky, které jsou k dispozici.

Z nabídky Obrázek zvolte Snížit barevnou hloubku. V dialogu budou zobrazeny možnosti barevné hloubky, které jsou k dispozici.

Použít nejlepší kvalitu barev: Tato možnost použije další (pomalejší) metodu redukce barev. Obrázek pak bude mít velmi vysokou barevnou přesnost ve srovnání s původním obrázkem.

Funkce použije naposledy použité hodnoty BPP (pokud je to pro aktuální obrázek možné).

Pro potvrzení změn klikněte na tlačítko OK.

Tuto akci lze vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.


Převést na stupně šedé

V nabídce Obrázek zvolte Převést na stupně šedé.

Stupně šedé (nebo Stupně šedi) je v zásadě barevný režim jako RGB. Obsahuje více informací o fotografii než černobílá fotografie. Převedením z barevné na stupně šedé bude většinou lepší varianta než převedení na černobílou.

Pozn.: Tento efekt může být použit na menší označenou část obrázku i na celý obrázek.

Tuto akci lze vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.


Zobrazit kanál

Tato možnost vám umožní zobrazit jednotlivé červené, zelené, modré nebo alpha kanály obrázku.

Pozn.: Pro zobrazení barevného kanálu nebo kanálu ve stupních šedé se podívejte do sekce Vlastnosti/nastavení->Zobrazení.

Tuto akci lze vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.


Negativ

Z nabídky Obrázek zvolte Negativ. Barvy na obrázku budou obráceny.

Můžete převrátit celý obrázek, nebo jen jednu barevnou část.

Pozn.: Tento efekt lze použít na menší označenou část obrázku, nebo na celý obrázek.

Tuto akci můžete vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.


Korekce barev

Z nabídky Obrázek zvolte Korekce barev. Otevře se dialog s jezdci. Posouváním doleva nebo doprava měníte jas, kontrast, gamma, saturaci a vyvážení RGB.

Kliknutím na náhled původního obrázku (kliknout na světlá místa v náhledu obrázku na levé straně) můžete měnit vyvážení bílé.

Pozn.: Všechny tyto efekty lze použít na menší označenou část obrázku nebo na celý obrázek.

Tyto efekty jsou k dispozici pouze, máte-li nainstalovaný doplněk Effects, který se instaluje spolu s programem.

Během pohybu jezdci uvidíte změny v obrázku. Kliknutím na tlačítko Použít na originál se toto nastavení projeví v původním obrázku, ale není prozatím uloženo.

Pokud chcete nastavené hodnoty použít i u příštího obrázku, klikněte na tlačítko Uložit hodnoty při ukončení.

Aktuální nastavení si rovněž můžete uložit jako profil a použít ho příště.

Pro ukončení a uložení klikněte na tlačítko OK. Pro ukončení bez ukládání klikněte na tlačítko Zrušit.

Tuto akci lze vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.

Pozn.: Dialog si zapamatuje poslední velikost/pozici.


Histogram

V nabídce Obrázek zvolte Histogram. Otevře se dialog s histogramem obrázku. Můžete si zvolit, jaká barva a režim se zobrazí.

Kliknutím pravým tlačítkem myši na průměrné hodnoty zobrazíte menu, ve kterém můžete zkopírovat textovou hodnotu do schránky.

Pozn.: Dialog s histogramem je nemodální, takže jej můžete nechat otevřený i při procházení dalších souborů. Dialog se automaticky obnoví.

Tato funkce pracuje rovněž s výběry. Můžete označit část obrázku a zobrazit tento dialog, nebo kliknout na tlačítko Obnovit.

Dialog můžete přesunout, zapamatuje si poslední pozici.

Pro zavření dialogu klikněte na malé X v rohu uvnitř dialogu.


Nahradit barvu

Z nabídky Obrázek zvolte Nahradit barvu. Zobrazí se dialog s možnostmi. Můžete si zvolit, která barva má být nahrazena jinou.

Kliknutím do hlavního okna si můžete zvolit, která barva se má nahradit (původní barva).

Pozn.: Tento efekt lze použít jak na označenou část obrázku, tak na celý obrázek.

Po dokončení stiskněte tlačítko OK.


Automatická úprava barev

Z nabídky Obrázek zvolte Automatická úprava barev.

Tato funkce vylepšuje jas obrázku s použitím automatických kalkulací jasu a hodnot gamma.

Pozn.: Výsledek můžete vylepšit Jestliže nejprve vytvoříte výběr v obrázku (důležitou část) pomocí levého tlačítka myši. Podržte klávesu CTRL a současně klikněte na nabídku. V tomto případě bude k výpočtu použita jen označená část, ale vylepšení se bude vztahovat na celý obrázek, jinak bude vylepšena pouze označená část.

Tuto akci lze vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.


Redukce červených očí

Z nabídky Obrázek zvolte Redukce červených očí.

Tato funkce pracuje pouze, máte-li vytvořen v obrázku výběr použitím levého tlačítka myši. Tato funkce redukuje hodnoty červené barvy v označené oblasti (většinou oči). Hodnotu můžete změnit v Prohlížeči efektů.

Prohlížeč efektů umožňuje rovněž redukci zelených nebo žlutých očí např. u koček, psů atd.

Tuto akci lze vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.


Efekty

Načtěte obrázek a následně klikněte na menu Obrázek, pak zvolte položku Efekty pro přístup k jejich možnostem.

Pozn.: Většina těchto efektů může být použita na zvolenou menší část obrázku i na celý obrázek.

Tyto efekty jsou k dispozici pouze, je-li nainstalován doplněk Effects, který se instaluje spolu s programem.

Všechny akce mohou být vráceny zpět pomocí příkazu Zpět v nabídce Úpravy.

K dispozici jsou tyto efekty:

3D tlačítko

Zvolte menu Obrázek, pak Efekty a zde zvolte 3D tlačítko.

Toto dá obrázku vzhled zkosených hran a zvednutého středu. Velikost ohraničení můžete změnit pomocí Prohlížeče efektů.

Rozmazání

Zvolte menu Obrázek, pak Efekty a zde zvolte Rozmazání.

Zjemní obrázek vytvořením rozmazaného nebo neostrého vzhledu. Míru rozmazání můžete změnit s použitím Prohlížeče efektů.

Reliéf

Zvolte menu Obrázek, pak Efekty a zde zvolte Reliéf.

Obrázek zešedne a jeví se reliéfním.

Olejomalba

Zvolte menu Obrázek, pak Efekty a zde zvolte Olejomalba.

Vytvoří texturovaný efekt jako na olejomalbě. Množství textury můžete změnit s pomocí Prohlížeče efektů.

Detekce okrajů

Zvolte menu Obrázek, pak Efekty a zde zvolte Detekce okrajů.

Nalezne hlavní linky obrázku a nahradí jejich barvu obrácenou, současně ztmaví většinu doplňkových barev, takže vypadají jako pozadí. Obrázek připomíná "malbu na sametu".

Filtr Median

Zvolte nabídku Obrázek, pak Efekty a zde zvolte Filtr Median.

Způsobí to, že jas skupiny pixelů je stejný jako "průměrný" pixel v této skupině. Ve většině případů tento efekt "vyhladí" filtrovanou oblast. Míru filtru můžete změnit pomocí Prohlížeče efektů. Tento filtr můžete rovněž použít pro odstranění šumu např. u černobílých (1 BPP) obrázků.

Exploze

Zvolte menu Obrázek, pak Efekty a zde zvolte Exploze.

Rozbije obrázek, jako kdyby tmavší pixely explodovaly. Množství exploze můžete změnit s pomocí Prohlížeče efektů.

Mozaika

Zvolte menu Obrázek, pak Efekty a zde zvolte Mozaika.

Rozloží obrázek na hrubou verzi sebe sama, jako kdyby byl vytvořen ze zvětšených pixelů. Množství lze změnit s pomocí Prohlížeče efektů.

Další možnosti:

Prohlížeč efektů

Zvolte menu Obrázek, pak Efekty a zde zvolte Prohlížeč efektů. Otevře se dialog, ve kterém můžete změnit mnoho nastavení efektů.

Info: Menu Zostření bude používat hodnoty z dialogu. Výchozí hodnota ostření je 20.

Efekt řečových bublin

Zvolte menu Obrázek, pak Efekty a zde zvolte Vložit řečové bubliny. Otevře se dialog, ve kterém můžete efekt použít. Na výběr máte několik bublin. Použijte tlačítko "Použít v obrázku" a poté můžete vložit nějaký text pomocí nabídky Úpravy->Vložit text.

Efekt AltaLux

Zvolte menu Obrázek, pak Efekty a zde zvolte Efekt AltaLux. Otevře se dialog, ve kterém můžete efekt použít. Nejprve musíte ale nainstalovat doplněk AltaLux.

Filtr Sandbox

Zvolte menu Obrázek, pak Efekty a zde zvolte Filtr Sandbox. Otevře se dialog, ve kterém můžete efekt použít s pomocí funkce JewelScript. Pro tuto funkci musíte nejdříve nainstalovat doplněk Filtr Sandbox.

Simulace filmu

Zvolte menu Obrázek, pak Efekty a zde zvolte Simulace filmu. Otevře se dialog, ve kterém můžete efekt použít. Pro tuto funkci musíte předtím stáhnout a rozbalit soubor pro simulaci filmu (irfanview_film_sim_plugin.zip) ze stránek s doplňky.

Filter Factory

Zvolte nabídku Obrázek, pak Efekty a zde zvolte Filter Factory. Otevře se dialog, ve kterém můžete použít mnoho dalších efektů. Pro tuto funkci musíte předtím nainstalovat doplněk FFactory (Filter Factory).

Filters Unlimited

Zvolte menu Obrázek, pak Efekty a zde zvolte Filters Unlimited. Pro tuto funkci musíte nejdříve nainstalovat doplněk Funltdiv (Filters Unlimited) a stáhnout nějaké filtry ze stránek http://www.icnet.de. Pro více informací si prosím přečtěte soubor FUnlimited_Readme.txt ve složce IrfanView PlugIns.


Prohlížeč efektů

Z nabídky Obrázek zvolte Efekty a zde zvolte Prohlížeč efektů. Tento dialog nabízí doplňková nastavení pro mnoho speciálních efektů. Tyto efekty jsou k dispozici pouze, máte-li nainstalován doplněk Effects, který se instaluje spolu s programem.

Pro uložení změn klikněte na tlačítko OK. Pro ukončení bez ukládání klikněte na tlačítko Zrušit.

Aplikované efekty po stisku tlačítka OK lze vrátit pomocí příkazu Zpět v menu Úpravy.

Většina efektů má hodnoty nastavení v rozmezí od1 do 99.


Doplňky Adobe 8BF

Z nabídky Obrázek zvolte Doplňky Adobe 8BF.

Otevře se dialogové okno Filtry, kde můžete načíst a pracovat s kompatibilními Adobe Photoshop doplňky/filtry/efekty. Použijte tlačítko Přidat 8BF Filtry a zvolte složku s 8BF filtry. Vyberte si jeden ze zobrazených filtrů a načtěte jej klávesou mezerník nebo poklepáním myší.

Druhá podnabídka: Zde jsou zobrazeny některé velmi užitečné Adobe Photoshop kompatibilní doplňky/efekty k rychlejšímu načtení. Tyto standardní efekty si můžete stáhnout a nainstalovat ze stránek IrfanView:

http://www.irfanview.net/plugins/irfanview_adobe_8bf_plugins.exe

nebo jako soubor ZIP:

http://www.irfanview.net/plugins/irfanview_adobe_8bf_plugins.zip

Třetí podnabídka: Sem si můžete přidat další 8BF doplňky/filtry. Můžete buď zkopírovat 8BF soubory (a vyžadované knihovny DLL) do složky Plugins\Adobe 8BF\, nebo nastavit cestu k 8BF souborům v nabídce Možnosti->Doplňky.

Tip: Pár pěkných stránek s 8BF efekty:

http://www.richardrosenman.com/software/downloads/ (jako Grid Generator atd.)

Použité efekty lze vrátit zpět pomocí příkazu Zpět v nabídce Úpravy.


Filter Factory

Pozn.: Filter Factory se používá jako doplněk, ke stažení a instalaci zde:

http://www.irfanview.com/plugins.htm

Pozn.: Některé 8BF filtry/efekty můžete nalézt na:

http://www.stevesdesktopphotography.com

http://hno.freeshell.org/download.htm

http://www.thepluginsite.com/

Z nabídky Obrázek zvolte Efekty a zde zvolte Filter Factory. Otevře se dialog, ze kterého můžete měnit parametry načteného filtru.

Hodnoty jezdců ovlivňují chování filtru. Tím se samozřejmě ovlivní i samotný obrázek. Většinou platí, že pohyb jezdce doprava zvyšuje hodnotu, doleva ji snižuje. Výchozí hodnoty jezdce jej vrátí do výchozího nastavení daného autorem filtru.

Skupiny filtrů vám pomohou s jejich sledováním. Jsou zde zobrazeny názvy všech skupin k dispozici. Skupiny můžete přidávat nebo odebírat ze seznamu.

Filtry zobrazí názvy všech filtrů ve zvolené skupině. Můžete je přidávat kliknutím na název konkrétního filtru. Možnost Náhled ukáže, jak bude obrázek vypadat po aplikování zvoleného filtru. Pro použití daného filtru klikněte na tlačítko Použít na obrázek. Toto lze vrátit zpět tlačítkem Vrátit filtr zpět nebo pomocí příkazu Zpět v menu Úpravy.

Přidat FF filtr vám umožňuje přidávat další filtry. V dialogu si zvolte složku s uloženými filtry. Po jejím zvolení klikněte na tlačítko OK. Všechny skupiny filtrů v dané složce budou přidány do seznamu. Pro ukončení beze změn klikněte na tlačítko Zrušit.

Odstranit filtr odstraní zvolený filtr ze seznamu. Pro odstranění více filtrů najednou zvolte Odstranit skupinu nebo Odstranit všechny skupiny. Odstranění filtru jej nesmaže z vašeho disku, ale jen z tohoto seznamu.

Info o filtru zobrazí název souboru, název filtru, jméno autora a informace o copyrightu zvoleného filtru. Po pročtení informací klikněte na tlačítko OK.

Poděkování... zobrazí zprávu s poděkováním Michaelovi Johannwahrovi za knihovnu, kterou poskytl pro použití v IrfanView.

Po dokončení práce s filtrem klikněte na tlačítko Ukončit.


Prohodit barvy

Z nabídky Obrázek zvolte Prohodit barvy. Tato podnabídka vám umožňuje zvolit jednu z barevných kombinací pro změnu obrázku.

Tento příkaz pracuje na úrovni pixelů, změna barvy všech nebo většiny z nich závisí na kombinaci, kterou zvolíte.

Příklad. Jestliže zvolíte RGB -> RBG, pixely, které jsou zelené, se změní na modré a modré se změní na zelené. Červené se v této kombinaci nezmění.

Možné kombinace jsou:

RGB -> RBG

RGB -> BGR

RGB -> BRG

RGB -> GRB

RGB -> GBR


Paleta

Pro obrázky s 256 barvami nebo méně.

Pokud máte true color obrázek, můžete snížit barevnou hloubku v menu Obrázek.

Upravit paletu

Tento dialog zobrazuje barvy použité v obrázku. Pro informace o jednotlivé barvě na ni klikněte. Pro úpravu barvy na ni poklepejte. Vámi provedené změny se zobrazí v obrázku. Jakmile máte hotovo, zvolte OK pro zavření dialogu.

Tip: Pokud kliknete do obrázku (v hlavním okně), zvolený index barev bude vybrán v záznamech palety.

Tuto akci lze vrátit zpět pomocí příkazu Zpět v menu Úpravy.

Exportovat paletu

V dialogu budete dotázáni na název cílového souboru/složky. Paleta bude uložena jako soubor PAL v paletovém formátu Paint Shop Pro.

Importovat paletu

V tomto dialogu budete dotázáni na soubor PAL (Paint Shop Pro paletu). Paleta bude použita na daný obrázek.

Podívejte se také na Vlastnosti, Procházení/Úpravy, chcete-li použít původní paletu 1:1, nebo vyhledejte nejbližší barvu.


Vlastnosti, Nastavení

Z nabídky Možnosti zvolte Vlastnosti/nastavení (nebo použijte tlačítko Vlastnosti/nastavení na panelu nástrojů).

V tomto dialogu můžete změnit mnoho základních nastavení IrfanView.

Zvolte jednu z karet pro zobrazení možností v dané sekci. K dispozici jsou následující karty:

JPEG/PCD/GIF, Přípony, Práce se soubory, Zobrazení, Na celou obrazovku, Video/zvuk, Jazyk, Procházení/Úpravy, Možnosti spuštění/ukončení, Různé, Doplňky, Panel nástrojů.


Vlastnosti, Možnosti spuštění/ukončení

Můžete zvolit startovní složku pro IrfanView.

Aktivní pouze 1 instance IrfanView: Odškrtnutím této možnosti umožníte spuštění více instancí programu.

Spustit v režimu na celou obrazovku: Obrázek se po načtení v IrfanView zobrazí rovnou v režimu celé obrazovky. Stisk ESC neukončí režim celé obrazovky, ale celý program.

Varovat při ukončení programu klávesou ESC: Zvolte tuto možnost, chcete-li při ukončení IrfanView klávesou ESC zobrazit varování.

Zeptat se na uložení změn při ukončení programu či při změně obrázku/souboru: Zvolte tuto funkci, chcete-li zobrazit varování při ukončení IrfanView (nebo při změně souboru) a v paměti ponechat obrázek pro možnost návratu zpět.

Zavřít prohlížeč klávesou ESC, je-li zobrazeno okno miniatur: Tuto funkci zvolte, chcete-li skrýt hlavní okno IrfanView klávesou ESC, je-li zobrazeno okno miniatur.

Všechna nastavení potvrdíte klepnutím na tlačítko OK. Nastavení bez provedení změn ukončíte tlačítkem Zrušit.


Vlastnosti, JPEG/PCD/GIF

JPEG

Chcete-li automaticky otáčet JPG v souladu s informací EXIF (pokud je k dispozici), zaškrtněte první možnost.

Zaškrtnete-li políčko Načíst jako stupně šedé, všechny načtené JPG obrázky se zobrazí černobíle. Na to nezapomeňte, pokud tuto možnost aktivujete!

Photo CD

V této části si volíte, v jaké velikosti se budou Photo CD obrázky načítat. Zvolte jedno z tlačítek.

GIF

Dvě zaškrtávací políčka umožňují speciální nastavení pro obrázky GIF. První nastavuje animované soubory GIF. Ve výchozím stavu je nastaveno Přehrávat animované soubory GIF. Jestliže jej odškrtnete, zobrazí se jen první soubor/rámeček.

Druhé políčko řídí průhlednost souborů GIF bez animace. Zaškrtněte jej, jestliže si přejete zobrazovat průhlednost i u souborů GIF bez animace. Pamatujte prosím po zvolení této možnosti na toto: Jestliže je vaše barva hlavního okna (výchozí černá) shodná s barvou průhlednosti GIF souboru, může se stát, že uvidíte jen prázdný (černý) obrázek. Buďto tuto možnost deaktivujte, nebo si změňte výchozí barvu v menu Vlastnosti->zobrazení.


Vlastnosti, Přípony

Zde si volíte, které typy souborů budou automaticky přidruženy k IrfanView.

Ve složkách bude u těchto souborů zobrazena ikona prohlížeče; poklepáním na takový soubor se tento otevře v prohlížeči. Zaškrtněte políčka u každého souboru, který si přejete přidružit. Pokud chcete přidružit všechny, zvolte tlačítko Vybrat vše. Tlačítkem Vymazat vše všechna přidružení odstraníte. Tlačítko Pouze obrázky přidruží soubory všech formátů obrázků podporovaných IrfanView k IrfanView.

Ve spodní části výběru je políčko pro zadání dalších přípon, které nejsou v seznamu. Zaškrtněte políčko Jiné, poté zadejte přípony oddělené znakem |.

Pro všechny uživatele: Jen pro Windows XP, nastaví přidružení přípon pro všechny uživatele; výchozí nastavení: jen pro aktuálního uživatele.

Když zvolíte Při pohybu ve složce načíst pouze přidružené typy, uvidíte při pohybu ve složce pomocí mezerníku nebo klávesy Backspace jen soubory s přidruženými příponami.

Tip: Nechtěné přípony můžete jednoduše odstranit, zaškrtnete-li políčko načíst vlastní typy souborů a upravíte dané pole (a odstraníte např. TXT).

Možnost Přidat IrfanView do nabídky "Odeslat" vloží IrfanView do nabídky "Odeslat" dostupné z kontextového menu souboru. Možnost Přidat "Procházet v IrfanView" do nabídky zařízení a složek přidá IrfanView do příslušné nabídky zařízení a složek.

Pro více možností si nainstalujte doplněk IrfanView Shell Extension.

Pod oblastí s výběrem je zaškrtávací políčko Použít miniatury pro soubory BMP. Toto políčko je ve výchozím stavu zaškrtnuté. Nechcete-li miniatury použít, odškrtněte jej.

Ikony:

Tlačítko Ikony otevře další dialog.

V oblasti výběru Standardních ikon si můžete zvolit různé ikony pro všechny typy souborů přidružených k IrfanView.

Je-li zaškrtnuto políčko Použít odlišné ikony, je ke každému souboru podporovanému IrfanView přiřazena ikona dle jeho formátu. Tato funkce vyžaduje instalaci doplňku Icons, která se provádí při instalaci programu.


Vlastnosti, Zobrazení

Zobrazovat barvu PNG/TIF/TGA/DDS alpha/transparent: Některé soubory PNG/TIF/TGA a DDS se ukládají spolu s barvou průhlednosti nebo alpha kanálem. Obrázky definované s alpha kanálem je možné touto možností zobrazovat s barvou hlavního okna IrfanView.

Zobrazovat vložené anotace TIF : U obrázků TIF vytvořených s použitím Wang/Kodak Imaging se mohou zobrazovat uložené textové anotace v obrázku.

Dither obrázky 24 BPP na obrazovkách 16 BPP: Zvolte tuto funkci, chcete-li lépe zobrazovat obrázky true color a máte ve Windows nastaveno 65536 barev.

Použít gamma korekci: Tuto funkci zvolte, chcete-li zvýšit intenzitu každého načteného obrázku, výchozí hodnota je 1.00 (beze změn), rozsah je mezi 0.01 (extrémně černá) a 6.99 (extrémně světlá). Tuto funkci použijte pro zobrazení fotografií s příliš tmavou nebo příliš světlou expozicí. Tato funkce se velmi hodí u notebooků, které mají kvůli šetření baterie nastaven nízký jas obrazovky. S nastavenou správnou hodnotou nad 1.00 pro gamma korekci budou obrázky dobře viditelné nezávisle na jejich původním jasu.

Gamma korekce pro obrázky BW je ve výchozím stavu zapnutá a používá se pro nastavení intenzity převzorkovaných černobílých obrázků. Výchozí hodnota je nastavena na 0.50 (tmavší), rozsah je mezi 0.01 a 6.99.

Zobrazovat plnou cestu souboru v záhlaví okna: Zvolte tuto možnost, chcete-li v titulku hlavního okna zobrazovat plnou cestu k souboru (včetně složek). V opačném případě se bude zobrazovat jen název souboru a přípona (výchozí).

Používat pravé tlačítko myši pro kontextovou nabídku: Pravé tlačítko myši můžete používat pro posuv (výchozí) nebo pro zobrazení kontextové nabídky.

Zobrazovat souřadnice myši na stavovém řádku: Zvolte, pokud chcete vždy vidět pozici myši v obrázku.

Při načítání nového obrázku umístit okno na střed obrazovky. Po zvolení této možnosti se každý načtený obrázek zobrazí ve středu obrazovky.

Při ukončení programu si pamatovat poslední velikost/pozici okna. Tato možnost funguje pouze, máte-li nastaveny i tyto volby: "Zarovnat obrázky na velikost okna" nebo "Nic nezarovnávat". Po zvolení této možnosti se prohlížeč při spuštění zobrazí vždy na tom místě, na kterém jste jej předtím ukončili.

Barva hlavního okna vám umožňuje nastavit barvu pozadí hlavního okna IrfanView. Můžete si zvolit jakoukoliv barvu. Výchozí barvou je černá.

Text stavového řádku: Můžete si nastavit text, který bude zobrazen na stavovém řádku. Více informací naleznete zde.


Vlastnosti, Správa přiblížení/barev

Krok přiblížení nastavuje krok pro přiblížení. Výchozí hodnota zvýšení nebo snížení je 10% přiblížení obrázku. Pro změnu hodnoty zadejte číslo.

Způsob výpočtu přiblížení nastavuje metodu výpočtu přiblížení. Relativní: Příští hodnota přiblížení bude vypočítána s použitím aktuální/předchozí hodnoty a kroku přiblížení. Absolutní: Příští hodnota přiblížení přidá/ubere absolutní hodnotu kroku přiblížení k aktuální hodnotě. Pevná: Hodnoty přiblížení jsou zapsány v tabulce běžných hodnot.

Povolit správu barev: Některé soubory JPG/TIF se ukládají spolu s barevným profilem a tato možnost použije tyto profily. Můžete si zvolit aktuální profil zobrazení nastavený v systému Windows, nebo si vytvořit vlastní ICC/ICM soubor.

Jestliže zaškrtnete také možnost Použít také pro obrázky bez vestavěného barevného profilu, bude správa barev použita na všechny obrázky, což může načítání trochu zpomalit.

U obrázků bez integrovaného barevného profilu můžete nastavit vlastní vstupní soubor ICC/ICM. Výchozí je sRGB.

Profil můžete k původnímu připojit jen, máte-li nainstalován LCMS doplněk.

Pozn.: Použití barevných profilů značně zpomaluje načítání obrázků.


Vlastnosti, Procházení/Úpravy

Procházení

Zobrazovat další soubory ve složce: Zvolte tuto možnost, chcete-li, aby prohlížeč zobrazoval v každé složce všechny soubory s příponami podporovanými IrfanView. Když je tato možnost odškrtnutá, nelze otevírat následující/předchozí soubor mezerníkem/Backspacem nebo tlačítky na panelu nástrojů. Tip: Seznam podporovaných přípon můžete nastavit/změnit v nabídce "Vlastnosti->Přípony->Načíst vlastní typy souborů". Nechtěné přípony můžete smazat, stisknout OK a poté stisknout klávesu F5 v IrfanView pro nové načtení složky.

Zobrazovat skryté soubory/složky během procházení složky: Povolte tuto funkci pro zobrazení skrytých souborů v aktuální složce.

Je-li během procházení dosažen začátek/konec složky: Zde můžete nastavit, co se stane, dosáhnete-li během procházení začátku nebo konce složky: IrfanView vám může zobrazit speciální dialog Procházet pro zvolení další složky/podsložky; nebo můžete procházet aktuální složku ve smyčce; nebo se nic nestane a procházení se zastaví.

Pípat při složce ve smyčce či snímku obrazovky: V těchto případech se ozve zvuk.

Přejít na další obrázek, jsou-li použity klávesy Page up/down či kolečko myši: Velké obrázky se nebudou posouvat, ale vždy se přejde na předchozí/následující obrázek stiskem kláves Page up/down nebo točením kolečka myši.

Úpravy

Používat možnost krok zpět: Odškrtnutí této funkce deaktivuje tuto funkci v menu Úpravy

Vybrat barvu výběru/mřížky: Můžete nastavit barvu (v zásadě inverzní barvu) výběru nebo mřížky. Výchozí je šedá.

Importovat paletu: Ve výchozím nastavení budou barvy obrázku změněny 1:1 na barvy v souboru PAL, tato možnost vyhledá nejlepší barvu v souboru PAL.

Je zde rovněž možnost nastavení barvy pozadí, která je použita ve funkci Vyjmout.

Vložit do výběru: Ve výchozím nastavení bude vložený obrázek roztažen do výběru, tato možnost vám jej umožňuje vložit proporcionálně.

Vložit jinak: Ve výchozím nastavení bude vložený obrázek přizpůsoben existujícímu obrázku, tato možnost jej umožňuje vložit v původní velikosti.

Nastavit velikosti buněk: Můžete nastavit velikosti buněk v menu Úpravy.

Hodnoty tolerance pro menu Úpravy "Ohraničení automatického oříznutí": Můžete nastavit hodnotu pro ignorování některých stejných hraničních pixelů a ořezávat tak větší okraje.

Můžete nastavit možnosti pro soubory TXT: písmo, barvu písma (textu) a pozadí.


Vlastnosti, Na celou obrazovku / Prezentace

1 Zobrazit obrázky/videa v původní velikosti: Když je tato možnost zapnuta, všechny obrázky i videa se zobrazují beze změn velikosti. Pokud jsou obrázky/videa menší než velikost obrazovky, jsou automaticky zobrazeny na střed. U příliš velkých obrázků/videí je vidět vždy jen levá horní část, která se vejde na obrazovku. Zobrazovanou část obrázku/videa můžete měnit kurzorovými šipkami na klávesnici.

2 Přizpůsobit na obrazovku: Pouze velké obrázky: Toto je doporučované nastavení zobrazení režimu celé obrazovky. Obrázky, které jsou pro aktuální rozlišení moc velké, jsou zmenšeny tak, aby se beze změn poměru stran celé vešly na obrazovku (proporcionální). Malé obrázky jsou zobrazovány ve středu v původní velikosti jako u předchozí možnosti.

3 Přizpůsobit na obrazovku: Všechny obrázky/videa: Toto je podobné druhé možnosti, ale malé obrázky/videa jsou proporcionálně zvětšené na plnou velikost obrazovky.

4 Roztáhnout všechny obrázky/videa na obrazovku: Tato možnost zvětší všechny obrázky/videa na plnou velikost obrazovky. Poměr stran není při změně velikosti brán v potaz, což může vézt k výraznému zkreslení obrázku.

5 Přizpůsobit šířku obrázku šířce obrazovky: Šířka obrázku bude přizpůsobena šířce obrazovky, výška bude proporcionální.

6 Přizpůsobit výšku obrázku výšce obrazovky: Výška obrázku bude přizpůsobena výšce obrazovky, šířka bude proporcionální. Užitečné pro panoramatické obrázky.

7 Přizpůsobit menší stranu obrázku straně obrazovky: Menší strana obrázku (šířka nebo výška) bude přizpůsobena/roztažena na obrazovku, druhá strana bude proporcionální a bude se s ní pravděpodobně moci posouvat.

V režimu celé obrazovky můžete kdykoliv dočasně zvolit jednu z těchto sedmi možností klávesami 1, 2, 3, 4, 5, 6 a 7. Změna zobrazení v režimu celé obrazovky klávesami nezmění uložené hodnoty zobrazení nastavené v tomto dialogu.

Nastavit násobič displejů: Tato možnost je užitečná pro širokoúhlé displeje, pro nastavení velikosti přibližování pro šířku/výšku.

Obrázek na střed obrazovky: Tato možnost umožní zobrazit obrázky ve středu celé obrazovky nebo v levém horním rohu.

Používat funkci "převzorkování" pro první zobrazení obrázku: Zvolte tuto možnost pro co nejlepší kvalitu obrázku v režimu celé obrazovky (nejprve je potřeba obrázek jednou načíst). Použití funkce převzorkování může chvíli trvat.

Používat funkci "převzorkování" pro přibližování: Zvolte tuto možnost pro zobrazení co nejlepší kvality obrázku v režimu celé obrazovky, pokud je třeba měnit velikost/přibližovat. Použití funkce převzorkování může chvíli trvat.

Zobrazit rozmazané svislé strany obrázku: Zvolte tuto možnost pro zobrazení rozmazaných částí obrázku, jestliže je výška obrázku stejná nebo větší než výška obrazovky. Je-li vlevo a vpravo od obrázku prázdný prostor, bude vyplněn. Funkce Obrázek na střed musí být taktéž zapnuta.

Barva obrazovky umožňuje volbu barvy obrazovky během načítání obrázků a zbývajícího prostoru mezi ohraničením obrázku a obrazovky v závislosti na aktuálním nastavení režimu celé obrazovky.

Volbou písma textu můžete nastavit velikost, styl a barvu zobrazovaného textu. Vidět je rovněž definovatelná barva pozadí textu, není-li zaškrtnuta možnost Zobrazit text průhledný. V tomto případě je text zobrazen v poli se zvolenou barvou pozadí, což zaručuje vždy dobrou čitelnost. Je-li text zobrazen průhledný, nemusí být vždy dobře čitelný.

Je-li aktivní funkce Víceobrazovkový režim, obrázky jsou roztaženy přes všechny připojené monitory tvořící jednu velkou obrazovku.

Poslední dvě možnosti jsou jen pro režim celé obrazovky.

Zaškrtnutím políčka Skrýt ukazatel myši skryjete při zobrazení obrázku přes celou obrazovku ukazatel myši.

I když je tato funkce aktivní, bude myš při jejím pohybu krátce zobrazena, abyste s ní mohli pracovat.

Zvolte Zobrazit text, aby se zobrazily textové informace o souboru, jakmile se obrázek zobrazí. IrfanView umožňuje zobrazit mnoho informací jako název, velikost, datum a čas, informace EXIF/IPTC/komentář atd. Více informací naleznete zde.


Možnosti textových parametrů

Toto je velmi pokročilá možnost generování textů pro různé dialogy/funkce:

· Vložit text do výběru
· Dávkový převod / Přejmenování
· Dialog Tisk
· Prezentace
· Celá obrazovka
· Stránka kontaktů
· Export do HTML
· Převod z příkazového řádku

Dostupné zástupné symboly pro vlastnosti souboru/obrázku:

Symbol Značka názvu/funkce

$D - Složka souborů (úplná cesta)
$d - Složka souborů (jen poslední podsložka)
$F - Název souboru (s příponou)
$N - Název souboru (bez přípony)
$O - Přípona souboru
$S - Velikost souboru
$T - Datum/čas souboru (viz příklady níže)
$U - Aktuální datum/čas systému (viz sekce A (pro příklady posuňte dolů)
$X - Index složky souborů
$M - Index stránky ve vícestránkovém obrázku
$m - Počet megapixelů
$Z - Aktuální velikost přiblížení (pro režim celé obrazovky nebo prezentace)
$W - Šířka obrázku
$H - Výška obrázku
$B - Počet bitů na pixel
$p - Rozlišení obrázku v DPI
$R - Poměr stran obrázku (šířka/výška)
$Q - "Správná" přípona souboru (pro soubory s nesprávnou příponou)
$P - Velikost pro tisk z nabídky Informace->Obrázek
$C - Komentář JPG/Webshots, je-li k dispozici
$I - Všechna data IPTC
$Ix - Hodnota značky X JPG IPTC, je-li k dispozici (x je číslo, viz níže), IPTC doplněk vyžadován
$E - Všechna data EXIF
$Ex - Hodnota JPG EXIF značka x, je-li k dispozici (x je číslo, viz níže), EXIF doplněk vyžadován
| - Nový řádek
$| - Přidat znak "|"
$$ - Přidat jeden znak "$"
$# - Přidat jeden znak "#" (jinak se # používá pro čísla/počítadla)
[A-B] - V kombinaci s $D, $d, $F a $N; získáte část/rozsah textu z pozice A do B

Např. $N[0-5] => získat prvních 5 znaků z názvu souboru

Důležité/zajímavé IPTC značky / zástupné symboly podle specifikace IPTC:

Symbol Název/funkce značky

$I0 - Verze záznamu
$I5 - Název objektu (titulek dokumentu)
$I7 - Upravit stav
$I10 - Priorita
$I15 - Kategorie
$I22 - Identifikátor příslušenství
$I20 - Doplňková kategorie
$I25 - Klíčová slova
$I30 - Datum vydání (viz Příloha A)
$I35 - Čas vydání
$I40 - Speciální Instrukce
$I45 - Referenční služba
$I47 - Datum reference
$I50 - Referenční číslo
$I55 - Datum vytvoření (viz Příloha A)
$I60 - Čas vytvoření
$I65 - Původní program
$I70 - Verze programu
$I75 - Objektový cyklus
$I80 - Vedlejší (autor)
$I85 - Vedlejší (titul)
$I90 - Město
$I92 - Okres
$I95 - Stát/provincie
$I100 - Kód země
$I101 - Země
$I103 - Reference původního vysílání
$I105 - Titulek
$I110 - Kredit
$I115 - Zdroj
$I116 - Copyright
$I118 - Kontakt
$I120 - Titulek
$I121 - Místní titulek
$I122 - Zapisovač titulků

Důležité/zajímavé EXIF značky / zástupné symboly (jsou-li viditelné v EXIF dialogu) podle specifikace EXIF:

Symbol Název/funkce značky

$E270 - Popis obrázku
$E271 - Výrobce
$E272 - Model
$E274 - Orientace
$E282 - X rozlišení
$E283 - Y rozlišení
$E296 - Jednotka rozlišení
$E305 - Software
$E306 - Datum/čas (viz Příloha A)
$E315 - Interpret
$E318 - Bílý bod
$E531 - YCbCr pozice
$E532 - Reference černá bílá
$E33432 - Copyright
$E33434 - Doba expozice
$E33437 - F číslo
$E34850 - Program expozice
$E34855 - Hodnota rychlosti ISO
$E36864 - Verze EXIF
$E36867 - Původní datum/čas (viz příloha A)
$E36868 - Digitální datum/čas (viz příloha A)
$E37121 - Nastavení komponent
$E37122 - Komprimovaných Bitů na Pixel
$E37377 - Hodnota rychlosti závěrky
$E37378 - Hodnota clony
$E37379 - Hodnota jasu
$E37380 - Hodnota zkreslení expozice
$E37381 - Maximální hodnota clony
$E37382 - Vzdálenost předmětu
$E37383 - Režim měření
$E37384 - Zdroj světla
$E37385 - Blesk
$E37386 - Ohnisková vzdálenost
$E37510 - Komentář uživatele
$E37520 - Čas podsekce
$E37521 - Původní čas podsekce
$E37522 - Digitální čas podsekce
$E40091 - Název XP
$E40092 - Komentář XP
$E40093 - Autor XP
$E40094 - Klíčová slova XP
$E40095 - Předmět XP
$E40960 - Verze FlashPix
$E40961 - Barevný prostor
$E40962 - Šířka obrázku EXIF
$E40963 - Výška obrázku EXIF
$E41483 - Energie blesku
$E41486 - X rozlišení ohniskové roviny
$E41487 - Y rozlišení ohniskové roviny
$E41488 - Jednotka rozlišení ohniskové roviny
$E41492 - Pozice předmětu
$E41493 - Index expozice
$E41495 - Metoda snímání
$E41728 - Zdroj souboru
$E41729 - Typ scény
$E41985 - Vlastní vykreslení
$E41986 - Režim expozice
$E41987 - Vyvážení bílé
$E41988 - Poměr digitálního zoomu
$E41989 - Délka ohniskové vzdálenosti na 35mm filmu
$E41990 - Typ snímání scény
$E41991 - Řízení citlivosti
$E41992 - Kontrast
$E41993 - Saturace
$E41994 - Ostrost
$E41995 - Popis nastavení zařízení
$E41996 - Rozsah vzdálenosti předmětu
$E42032 - Jméno majitele
$E42033 - Sériové číslo fotoaparátu
$E42034 - Informace o objektivu
$E42035 - Výrobce objektivu
$E42036 - Model objektivu
$E42037 - Sériové číslo objektivu
$E400 - Verze ID GPS
$E401 - GPS zeměpisná šířka Ref
$E402 - GPS zeměpisná šířka
$E403 - GPS zeměpisná délka Ref
$E404 - GPS zeměpisná délka
$E405 - GPS nadmořská výška Ref
$E406 - GPS nadmořská výška
$E407 - GPS časové razítko
$E416 - GPSImg směr Ref
$E417 - GPS směr
$E429 - GPS datum
$E499 - Vrací hodnoty GPS zeměpisné šířky a GPS zeměpisné délky v jednom řádku, vhodné např. pro Google Mapy pro export do HTML

Pozn.: Můžete použít i speciální EXIF značky od výrobců (Nikon, Canon, Fuji, Casio, Olympus).

Zde je seznam značek pro fotoaparáty Nikon (mnoho modelů):

Symbol Název/funkce značky

$E1 - Verze dat
$E2 - Nastavení ISO
$E3 - Barevný režim
$E4 - Kvalita obrazu
$E5 - Vyvážení bílé
$E6 - Zostření obrazu
$E7 - Režim ostření
$E8 - Nastavení blesku
$E9 - Režim blesku
$E10 - Digitální zoom
$E11 - nastavení vyvážení bílé
$E12 - RB vyvážení bílé
$E14 - Úprava expozice
$E15 - Volba ISO
$E18 - Kompenzace blesku
$E19 - ISO 2
$E29 - Sériové číslo
$E30 - Barevný prostor
$E37 - Rozšíření ISO
$E128 - Úprava obrazu
$E129 - Kompenzace tónu
$E130 - Přídavný objektiv
$E131 - Typ objektivu
$E132 - Objektiv
$E133 - Vzdálenost manuálního ostření
$E134 - Digitální zoom
$E135 - Použití blesku
$E136 - Pozice AF Focusu
$E137 - Bracketing
$E140 - Křivka kontrastu
$E141 - Barevný režim
$E143 - Scénický režim
$E144 - Typ světla
$E146 - Úprava odstínu
$E148 - Nastavení saturace
$E149 - Redukce šumu
$E167 - Počet obrázků
$E169 - Optimalizace
$E171 - Vari Program
$E3585 - Data editoru
$E3593 - Verze editoru

Zde je seznam značek pro fotoaparáty Canon (mnoho modelů):

Symbol Název/funkce značky

$E1 - Režim Macro
$E2 - Samospoušť
$E3 - Kvalita
$E4 - Režim blesku
$E5 - Režim sekvence
$E7 - režim ostření
$E10 - Velikost obrázku
$E11 - Režim jednoduchého snímání
$E12 - Digitální zoom
$E13 - Kontrast
$E14 - Saturace
$E15 - Ostrost
$E16 - Hodnota ISO
$E17 - Režim měření
$E18 - Typ ostření
$E19 - Vybraný bod AF
$E20 - Režim expozice
$E25 - Ohnisková vzdálenost
$E28 - Aktivita blesku
$E29 - Detaily blesku
$E32 - Režim ostření 2
$E40 - Vyvážení bílé
$E41 - Pořadové číslo
$E42 - Použitý bod AF
$E43 - Bias blesku
$E44 - Vzdálenost předmětu
$E47 - Teplota fotoaparátu
$E60 - Typ obrázku
$E70 - Verze firmwaru
$E80 - Číslo obrázku
$E90 - Jméno majitele
$E93 - Číslo souboru
$E120 - Sériové číslo fotoaparátu

Zde je seznam značek pro fotoaparáty Panasonic (některé speciální značky):

Symbol Název/funkce značky

$E101 - Titulek
$E105 - Země
$E107 - Region
$E109 - Město
$E111 - Orientační bod
$E128 - Okres

Appendix A

Ve výchozím nastavení poskytují všechny zástupné symboly data a času plný text včetně data a času. Pokud chcete získat pouze konkrétní hodnoty, můžete použít další parametry (funkce ANSI: strftime):

%Y - Rok, 4 číslice
%y - Rok, 2 číslice (00–99)
%m - Měsíc
%d - Den
%H - Hodina
%M - Minuta
%S - Sekunda
%a - Zkrácený název dne v týdnu
%A - Celý název dne v týdnu
%b - Zkrácený název měsíce
%B - Celý název měsíce

Příklady data souboru, EXIF nebo systémového data: Rok: 2005, měsíc: 11, den: 29

Symbol Výsledný text

$T(%d.%m.%Y) 29.11.2005
$T(%Y%m%d) 20051129
$T(%d%m%y) 291105
$E36868(%Y_%m_%d) 2005_11_29
$T(%d_%m_%Y) 29_11_2005
$T(day:%d, month:%m, year: %Y) day: 29, month: 11, year: 2005


Vlastnosti, Video/zvuk

V tomto dialogu můžete nastavit možnosti přehrávání videa a zvuku. Videa/zvuky se mohou přehrávat v hlavním okně (výchozí), nebo za pomoci IV_Player doplňku ve vlastním okně. Pro přehrávání videa/zvuku musí být rovněž nainstalován doplněk Video, což se děje během instalace programu.

Pro přehrávání používat DirectShow: V tomto režimu program přehraje (s nainstalovanými kodeky!) většinu video formátů.

Po aktivaci můžete použít klávesy Pause pro pozastavení a šipky vlevo/vpravo pro posun ve videu, více v sekci Klávesové zkratky.

Okno přehrávače nabízí i pár dalších funkcí (přiblížení, hlasitost, kopírovat snímek) => více v kontextové nabídce (klik pravým tlačítkem myši).

Pokusit se přehrávat soubory FLV v hlavním okně: Tato možnost umožňuje přehrávání (s nainstalovanými kodeky!) FLV souborů v hlavním okně místo separátního Flash Player okna.

Možnosti Apple QuickTime:

IrfanView podporuje QuickTime! To umožňuje IrfanView přehrávat následující formáty: MOV, QTIF, Mac PICT, FLI/FLC. Podporu těchto formátů můžete vypnout a zapnout. Pro přehrávání QuickTime souborů pomocí IrfanView musí být nainstalován QuickTime doplněk a Apple QuickTime.

Tip: Dobrým codec packem je K-Lite Codec Pack, Obsahuje nejpopulárnější video a zvukové kodeky.


Vlastnosti, Zacházení se soubory

V první skupině si lze zvolit výchozí složku pro funkci kopírování. Zadejte cestu ke složce nebo klepněte na tlačítko Procházet a zvolte ji. Když zaškrtnete zaškrtávací políčko Zobrazit dialog Kopírovat, IrfanView vám před jakýmkoliv kopírováním zobrazí dialog s možnostmi.

Ve druhé skupině si lze zvolit výchozí složku pro funkci přesouvání. Zaškrtněte zaškrtávací políčko Zobrazit dialog Přesunout a IrfanView vám před jakýmkoliv přesouváním zobrazí dialog s možnostmi.

Třetí skupina obsahuje několik zaškrtávacích políček týkajících se funkce odstraňování.

Můžete zvolit:

Jestliže je zaškrtnuto políčko Zeptat se před mazáním souborů, IrfanView se vás před smazáním souborů zeptá.

Jestliže je zaškrtnuto políčko Odstraňovat do koše, soubory budou odstraňovány do koše Windows.

Jestliže je zaškrtnuto políčko Po odstranění/přesunutí přejít na následující soubor, zobrazí se po některé z těchto akcí další soubor ve složce.

Jestliže je zaškrtnuto políčko Po odstranění souboru zavřít IrfanView, IrfanView se hned po odstranění souboru ukončí.

Pokročilí uživatelé mohou zaškrtnout políčko Mazat rovněž související soubory. Pokud je zaškrtnuto, IrfanView bude odstraňovat rovněž soubory se stejným názvem, ale odlišnou příponou, příklad v sekci Přejmenování.

Zobrazovat dialog "Uložit" pro nabídku "Soubor->Uložit": Když je toto zaškrtnuto, klepnutím na položku Uložit se otevře standardní dialog, ve kterém si můžete zvolit složku pro uložení obrázku. Když je odškrtnuto, klepnutí na nabídku Uložit uloží obrázek do původního umístění. Toto platí jen pro položku Uložit; zvolením nabídky Uložit jako vždy vyvoláte klasický dialog pro ukládání.

Zeptat se před přepsáním souboru pro položky nabídky "Uložit" a "Uložit jako": Po zaškrtnutí tohoto políčka se prohlížeč vždy dotáže na přepsání staršího souboru novějším.

Zeptat se na přejmenování v případě nesprávné přípony: Pokusíte-li se načíst soubor, jehož název má nesprávnou příponu, IrfanView se zeptá, zda ji může změnit. Pokud políčko odškrtnete, prohlížeč soubor načte beze změn.

Když je zaškrtnuto políčko Po přejmenování souboru neměnit jeho index v seznamu, tak se aktuální index v seznamu po přejmenování souboru nezmění, jinak se index změní na novou pozici v seznamu.


Vlastnosti, Jazyk

Tento dialog vám umožňuje měnit jazyk IrfanView.

Jazykové knihovny jsou umístěny (po instalaci) ve složce IrfanView "Languages". Vyberte jazyk ze seznamu a stiskněte tlačítko OK.

Pro jazyky k dispozici a SDK pro překladatele navštivte tuto stránku:

http://www.irfanview.com/languages.htm


Vlastnosti, Doplňky

Existuje několik možností pro načtení doplňků pro formáty DigiCam RAW atd. Chcete-li pro načítání CRW/CR2 používat knihovny Canon, pročtěte si soubor "i_plugins.txt" s aktuálními informacemi a odkazy.

Výchozí text pro soubory TTF vám umožňuje určit text, který se bude zobrazovat u souborů True type font. Zadejte text, pomocí kterého nejlépe porovnáte fonty TTF a zkontrolujete zobrazování podporovaných znaků daného fontu.

Vlastní cesta pro Adobe 8BF doplňky vám umožňuje nastavit vlastní cestu pro Adobe 8BF filtry/efekty v nabídce Obrázek->Doplňky Adobe 8BF (třetí podnabídka). Výchozí cesta je do složky IrfanView "PlugIns\Adobe 8BF\", která se použije, je-li editační pole (vlastní cesta) prázdné.


Vlastnosti, Různé

Otevřít dialog prezentace v naposledy použité složce prezentace: Program si zapamatuje naposledy použitou složku s prezentacemi nebo použije aktuální složku.

Otevřít dialog dávkového převodu v naposledy použité složce dávkového převodu: Program si zapamatuje naposledy použitou složku dávkového převodu nebo použije aktuální složku.

Zobrazit "naposledy otevřené soubory" v nabídce Soubor: Zobrazí nebo skryje zobrazení posledních patnácti otevřených souborů v nabídce Soubor.

Zobrazit "naposledy použité složky" v dialogu Otevřít/uložit: Zobrazí nebo skryje zobrazení posledních dvaceti použitých složek v těchto dialozích.

Vymazat "Seznam naposledy použitých složek": Klepnutím na toto tlačítko odstraníte seznam naposledy použitých složek z dialogu Soubor->Otevřít.

Vytvořit zástupce IrfanView na ploše: Vytvoří ikonu programu na ploše pro snadné otevření programu poklepáním. K tomuto zástupci se rovněž vytvoří klávesová zkratka IrfanView Ctrl+Shift+I.

Můžete si zvolit "Nastavit externí editory", a to až tři. Zadejte úplnou cestu k souboru vašeho externího grafického editoru nebo použijte tlačítko Procházet. Když poté zvolíte Otevřít v externím editoru z nabídky Soubor nebo okna miniatur, spustí se vámi zvolený editor a zobrazí aktuální obrázek.

Možnost Odeslat zkrácený název souboru do externího editoru pošle do editoru cestu a název souboru ve formátu 8.3. Toto je třeba při práci se starými 16bitovými programy.

Příklad:

"C:\Documents and Settings\User\My Documents\My Pictures\My Image.jpeg"

bude převedeno na

"C:\DOCUME~1\USER\MYDOCU~1\MYPICT~1\MYIMAG~1.JPE".

Tip: Můžete rovněž použít speciální spouštěcí parametry pro externí editory.

Ve výchozím nastavení IrfanView posílá dalšímu editoru jen název souboru. Jestliže chcete posílat více parametrů, musíte použít "" a poslat název souboru s použitím %1 zástupného symbolu.

Pár příkladů pro IrfanView a Total Commander:

path\i_view32.exe

=> Toto je výchozí syntax, otevřít soubor v jiném IrfanView/editoru.

path\i_view32.exe "%1"

=> Stejný výsledek jako u výchozí syntaxe, pošle název souboru jako první/jediný parametr.

path\i_view32.exe ""%1" /fs"

=> Pošle název souboru a otevře jej v režimu celé obrazovky.

path\i_view32.exe ""%1" /resize=(100,100) /aspectratio /resample /convert=d:\temp\thumb.jpg"

=> Zvětší aktuální obrázek a uloží ho do speciální složky.

path\i_view32.exe ""%1" /convert=d:\temp\$N.jpg"

=> Převede aktuální soubor/obrázek na JPG a uloží ho do speciální složky.

path\totalcmd.exe "/O /T /R="%1""

=> Odešle název souboru do Total Commanderu a otevře složku v pravém panelu.

Tip: Jak otevřít aktuální složku v Průzkumníku Windows a zvolit aktuální soubor:

explorer "/n,/select,"%1

Tip (pro pokročilé uživatele): Jak přidat více (max. 7 nových, až 10 celkem) externích editorů: Otevřete soubor IrfanView INI (i_view32.ini, pravděpodobně ve složce App-Data) a najděte sekci [Others] a položku "ExternalViewer3". Můžete přidat editory 4–10 takto:

ExternalViewer4=command

...

ExternalViewer9=command

ExternalViewer10=command

Nové editory můžete spustit jen klávesovými zkratkami SHIFT+4 ..., SHIFT+9, SHIFT-0.


Spustit multimediální přehrávač

Pozn.: Multimediální přehrávač je k dispozici pouze, máte-li nainstalován doplněk IV_Player, ke stažení na:

http://www.irfanview.com/plugins.htm

Z nabídky Možnosti zvolte Spustit multimediální přehrávač.

Multimediální přehrávač umožňuje v IrfanView přehrávat soubory videa, zvuku a audio CD jako:

AVI, ASF, CDA, MP3, MPG/MPEG, MOV, MID/RMI, WAV, WMA, WMV, atd.

Přehrávač tyto formáty přehrává pomocí MCI interface nebo přes Microsoft Media Player (doporučeno).

Přehrávač může extrahovat snímky ze souborů AVI a obsahuje vestavěný přehrávač audio CD.

Zavřít přehrávač můžete klávesou ESC.


Zastavit animaci

Z nabídky Možnosti zvolte Zastavit animaci.

Toto lze použít pro "zmrazení" animovaných GIFů, animovaných kurzorů (ANI) nebo MNG animací. Pohyb se zastaví a GIF/ANI bude statický obrázek. Můžete jej poté uložit jako neanimovaný obrázek.

Chcete-li uložit všechny snímky, použijte Extrahovat všechny snímky.


Extrahovat všechny snímky

Z nabídky Možnosti zvolte Extrahovat všechny snímky. Tento dialog vám umožňuje zvolit složku, do které budou snímky uloženy. Vyberte složku a klikněte na tlačítko OK pro uložení snímků. Tato funkce je k dispozici pro animované GIFy, animované kurzory (ANI) a podporované video soubory.

Snímky z obrázku jsou ukládány do složky pod názvy jako:

Nazev_obrazku_snimek_001.bmp

kde Nazev_obrazku je název původního obrázku a 001 je číslo snímku.

Pro ukončení bez extrahování snímků klikněte na tlačítko Zrušit.


Vícestránkové obrázky

Z nabídky Možnosti zvolte Vícestránkové obrázky. Zobrazí se podnabídka s několika možnostmi.

K dispozici je:

Vytvořit vícestránkový TIF

Tuto možnost zvolte, chcete-li vytvořit vícestránkový soubor TIF z jednostránkového nebo několika vícestránkových obrázků. Každou stránku můžete uložit s jinou TIF kompresí. Pokud chcete nastavit stejnou kompresi pro všechny stránky, nastavte ji před přidáváním obrázků.

Vytvořit vícestránkové PDF

Tuto možnost zvolte, chcete-li vytvořit vícestránkový soubor PDF z jednostránkového nebo několika vícestránkových obrázků.

Pozn.: Pro formát PDF je třeba doplněk, stáhněte a nainstalujte si jej z:

http://www.irfanview.com/plugins.htm

Vytvořit vícestránkový JPM

Tuto možnost zvolte, chcete-li vytvořit vícestránkový soubor JPM. Můžete přidávat/odstraňovat obrázky ze seznamu a nastavit možnosti ukládání JPM pro každou stránku. Chcete-li nastavit stejnou kompresy pro všechny stránky, nastavte ji před přidáváním obrázků. Zvolte cílovou složku/soubor a stiskněte tlačítko Vytvořit obrázek JPM nebo Ukončit pro zrušení.

Pozn.: Pro formát JPM je třeba doplněk, stáhněte a nainstalujte si jej z:

http://www.irfanview.com/plugins.htm

Upravit vícestránkový TIF

Tuto možnost zvolte, chcete-li upravit (uspořádat, odstranit nebo přidat) stránky/obrázky do otevřeného vícestránkového TIF souboru. Změny můžete uložit do původního souboru, nebo vytvořit nový (doporučeno).

Připojit aktuální obrázek k TIF

Tuto možnost zvolte, chcete-li připojit aktuálně zobrazený obrázek k souboru TIF . Pro ukládání se použijí současná nastavení TIF (použije se dialog Uložit).

Vytisknout všechny stránky

Zvolte Vytisknout všechny stránky. Pro vytištění se použije standardní tiskový dialog.

Extrahovat všechny stránky

Zvolte Extrahovat všechny stránky. Tento dialog vám umožní zvolit složku, do které budou uloženy extrahované stránky.

Stránky budou do složky uloženy pod názvy jako:

Nazev_souboru_irfanview_extract_001.bmp

kde nazev_souboru je název souboru a 000 je číslo stránky. Stránky jsou uloženy jako bitmapové soubory (BMP).


Odeslat soubor e-mailem

Pozn.: Možnost posílání souborů e-mailem je k dispozici pouze, máte-li nainstalován doplněk EMail, ke stažení na:

http://www.irfanview.com/plugins.htm

Z nabídky Možnosti zvolte Poslat soubor EMailem.

Pozn.: Výchozí je možnost MAPI, která spustí váš aktuální e-mailový klient. Můžete nechat všechna pole v doplňku prázdná a vypsat je až v e-mailovém programu z adresáře kontaktů atd.

SMTP: Nastavení SMTP zjistíte u vašeho poskytovatele připojení k internetu nebo v nastavení vašeho e-mailového klienta.

Je zde i jednoduchý adresář pro vaše kontakty.

Pro odeslání zprávy zvolte tlačítko Odeslat, nebo klepněte na tlačítko Exit pro zavření dialogu bez odeslání.


Bezztrátové otočení JPG

Pozn.: JPG bezztrátové operace jsou k dispozici jen, máte-li nainstalován doplněk JPG_Transform. Stáhněte a nainstalujte si jej z:

http://www.irfanview.com/plugins.htm

Pozn.: Tato funkce je k dispozici pouze, máte-li načten soubor JPG.

Zvolte menu Možnosti, pak Bezztrátové otočení JPG. Tento dialog vám umožňuje otočit, převrátit, optimalizovat nebo vyčistit jeden nebo více JPG souborů.

Pozn.: Můžete zpracovat i několik souborů najednou, a to tak, že před zobrazením tohoto dialogu otevřete okno s náhledy.

Pozn.: Bezztrátové operace jako otočení nebo převrácení fungují pouze, je-li výška obrázku násobkem 16 (specifikace JPG). Pokud tomu tak není, nepoužité řádky budou z obrázku odstraněny.

Pozn.: Váš původní JPG soubor bude změněn/přepsán!

Pro změnu zvolte tlačítko Spustit, pro ukončení beze změn zvolte tlačítko Zrušit.


Bezztrátové oříznutí JPG

Pozn.: JPG bezztrátové oříznutí je k dispozici pouze, pokud je nainstalován doplněk JPG_Transform. Stáhněte a nainstalujte si jej z:

http://www.irfanview.com/plugins.htm

Pozn.: Tato funkce je k dispozici pouze, máte-li zobrazen soubor JPG s vyznačeným obdélníkovým výběrem.

Z nabídky Možnosti zvolte Bezztrátové oříznutí JPG. Tento dialog vám umožní zvolit si složku, kam bude výsledný oříznutý soubor uložen.

Pozn.: Můžete zpracovat i několik souborů najednou, a to tak, že před zobrazením tohoto dialogu otevřete okno s náhledy.

Pozn.: Bezztrátové oříznutí JPG funguje jen tehdy, jsou-li počáteční souřadnice (X a Y) nastaveny ve velikostech bloků JPG. Velikosti bloků mohou být 8 × 8, 16 × 8, 8 × 16 nebo 16 × 16 pixelů, v závislosti na kompresy daného JPG souboru. Jestliže je možnost Zarovnat X/Y souřadnice zaškrtnuta, celý označený obdélník pro vyříznutí se posune k nejbližšímu bloku, v opačném případě se posune jen souřadnice X nebo souřadnice Y doleva nebo nad aktuální blok.

Např. označený obdélník pro vyříznutí je nastaven na: X = 43, Y = 32, šířka = 100 a výška = 100; velikost JPG bloku je 16 × 16 pixelů.

Jestliže je možnost Zarovnat X/Y zaškrtnuta, bude souřadnice X přesunuta na 48 (nejbližší blok bude napravo) a výsledný obrázek bude 100 × 100 pixelů.

Jestliže je možnost Zarovnat X/Y nezaškrtnuta, souřadnice X bude přesunuta na 32 (vždy vlevo od začátku aktuálního bloku) a výsledný obrázek bude 111 × 100 pixelů (111 = (43 - 32) + 100).

Pro oříznutí obrázku klikněte na tlačítko Spustit nebo Zrušit pro ukončení.


Zachytávání / Snímek obrazovky

Z nabídky Možnosti zvolte Zachytávání / Snímek obrazovky. Tento dialog vám umožňuje zachytávat části vaší obrazovky.

zachycená část:

Přepínačem můžete volit, co budete zachytávat. Na výběr jsou možnosti: Celá oblast plochy – všechny monitory, Oblast plochy – aktuální monitor (monitor se zobrazeným ukazatelem myši!), Okno na popředí a Okno na popředí – klientská oblast (okno bez titulku a stavového řádku), Vlastní oblast zachytávání/obdélník (oblast, kterou si zvolíte myší po stisku tlačítka Spustit nebo klávesovou zkratkou CTRL + Print), Objekt (jako tlačítko, okno zvolené myší nebo pevný obdélník na obrazovce).

Pozn.: Jestliže použijete vlastní oblast zachytávání/obdélník nebo Objekt zachytávání, nespustí se žádný časovač.

Pozn.: Jestliže použijete zachytávání objektu, bude objekt pod ukazatelem myši označen obdélníkovým rámečkem. Pro jeho zachycení stiskněte levé tlačítko myši, pro ukončení stiskněte ESC. Zachytávání můžete znovu spustit definovanou klávesovou zkratkou. Pro přenesení ne zcela viditelného okna z pozadí na popředí stiskněte pravé tlačítko myši.

Pozn.: Jestliže použijete zachytávání objektu, možnost Auto-Scroll nemusí správně fungovat se všemi objekty/okny, jako jsou např. okna webového prohlížeče, Acrobat Readeru, Wordu atd. Ale s mnoha standardními systémovými okny/objekty by neměl být problém.

Metoda zachytávání:

K zachytávání můžete použít vámi nadefinovanou klávesovou zkratku nebo použít automatické zachytávání. Pro automatické zachytávání si můžete nastavit časovač. Hodnota bude počet sekund (může být také desetinné číslo), prohlížeč bude "zachytávat" obrazovku nebo okno. Klávesová zkratka bude fungovat do restartu IrfanView.

Možnosti zachytávání:

Chcete-li v otisku obrazovky vidět i ukazatel myši, zaškrtněte možnost Zahrnout kurzor myši. Možnost Auto-Scroll může být použita u mnoha objektů/oken, ale ne u všech.

Časovač můžete použít jen pro určitý počet otisků a zastavit jej po jejich dokončení. Možnost Zobrazit odpočítávání časovače zobrazí textovou informaci o zbývajícím čase (posledních 10 sekund) v titulku hlavního okna.

Možnost ukládání:

Můžete zobrazit každý zachycený obrázek v hlavním okně IrfanView, zkopírovat jej do schránky, vytisknout ho nebo jej můžete uložit na disk.

Při ukládání zachycených obrázků do souboru můžete zvolit:

• Název souboru obrázků. Můžete zvolit název souboru, který může být přepsán (!), nebo použít kombinace časového razítka. Výchozí je: capture_###_$U(%d%m%Y_%H%M%S). Toto vytvoří název souboru s časovým razítkem, obsahujícím zachycený odpočet časovače a systémový čas, např. "capture_001_29112005_123620".

(%d = den, %m = měsíc, %r = rok, %H = hodina, %M = minuta, %S = sekunda)

Možné parametry pro název souboru:

# = číslo aktuálního snímku, číslo #s je počet číslic

$W, $H, $B, $p a $U

Pozn.: Jestli v názvu souboru používáte sekundy (%S) a nastavíte časovač desetinné číslo jako x.y, kde je y <> 0, dostanete hodnotu i v milisekundách. Toto funguje pomocí klávesové zkratky a metody časovače.

• Cílová složka pro obrázky. Zadejte cestu ke složce nebo použijte tlačítko Procházet.

• Volba Uložit jako vám umožní zvolit formát ukládaného snímku. Klikněte na šipku a zvolte jeden z formátů pro změnu z výchozího JPG . Tlačítko Možnosti zobrazí další dialog se speciálními možnostmi pro různé typy souborů. (Info: PNG je velmi dobrý formát pro ukládání snímků.)

Klikněte na tlačítko Spustit pro zahájení zachytávání nebo Zrušit pro ukončení.

Po spuštění je okno IrfanView minimalizováno. Pro zachytávání snímků aktivního okna nebo plochy použijte definovanou klávesovou zkratku (jestliže je nastavena). Zkratkou můžete udělat několik snímků.

Pozn.: Zvolením nabídky Možnosti a pak Zachytávání / Snímek obrazovky zastavíte jakýkoliv časovač.


Hotfolder (prohlížení složky)

V nabídce Možnosti zvolte Hotfolder. Zobrazí se dialog s různými možnostmi.

Můžete zvolit, kterou složku chcete prohlížet. Všechny nově přidané obrázky/soubory v této složce budou zobrazeny v okně IrfanView.

Okno můžete vymazat zvolením možnosti Smazat okno/obrazovku za > 0.

Po kliknutí na tlačítko Spustit bude hlavní okno programu minimalizováno a v titulku se zobrazí "Sledovaná složka".

Program čeká na nové soubory ve sledované složce.

Pro zastavení sledování stačí zavřít IrfanView nebo otevřít Hotfolder dialog ještě jednou (a zvolit Zrušit).


Spustit OCR

Pozn.: OCR je k dispozici pouze jako doplněk. Stáhněte si jej a nainstalujte z:

http://www.irfanview.info/plugins/kadmos/

Pozn.: Tato možnost může být použita na menší (označenou) část obrázku i na obrázek celý.

Z nabídky Možnosti zvolte Spustit OCR. Zobrazí se okno umožňující použití funkce OCR (optického rozpoznávání textu) pro rozpoznávání textu z obrázku a jeho zkopírování do schránky nebo uložení do souboru.


Řazení seznamu souborů

Z nabídky Možnosti zvolte Řazení seznamu souborů. Zobrazí se podnabídka s možnostmi Podle názvu, Podle názvu (přirozené řazení), Podle data, Podle velikosti a Podle přípony. Všechny tyto možnosti jsou k dispozici vzestupně (výchozí) i sestupně. Poslední možnost je pak Bez řazení. Zvolte jednu z možností.

Možnost Podle názvu se od možnosti Podle názvu (přirozené řazení) liší interpretací čísel u názvů souborů. U možnosti Podle názvu je soubor File10.jpg zařazen před soubor File1.jpg. U možnosti Podle názvu (přirozené řazení) je řazení File1.jpg před File10.jpg.

Když aktivujete některou z možností používajících mezerník pro krok vpřed a Backspace pro krok zpět v seznamu souborů, jako např. Režim na celou obrazovku nebo Náhled, budete se pohybovat dle zvoleného řazení.

Tip: V okně náhledů jsou k dispozici i další možnosti řazení jako Řadit podle šířky/výšky obrázku nebo Ruční řazení s použitím funkce táhni a pusť atd.


Nastavit jako tapetu

Z nabídky Možnosti zvolte Nastavit jako tapetu. Zobrazí se podnabídka s možnostmi Na střed, Vyplnit, Jako dlaždice, Roztáhnout a Předchozí tapeta. Vyberte jednu z možností pro nastavení aktuálního obrázku jako pozadí vaší Windows plochy.

Na střed: Zobrazí se jako jeden obrázek ve středu obrazovky.

Vyplnit: Zobrazí se jako jeden obrázek ve středu obrazovky; vyplní celou obrazovku střední částí obrázku.

Jako dlaždice: Zobrazí se jako několik obrázků zabírajících celou obrazovku. (Ikony plochy jsou na tapetě.)

Roztáhnout: Zobrazí se jako jeden obrázek ve středu obrazovky, ale obrázek je zvětšen přes celou obrazovku (neproporcionálně).

Roztáhnout – proporcionálně: Zobrazí se jako jeden obrázek ve středu obrazovky, ale je zvětšen podle poměru stran.

Předchozí tapeta obnoví obrázek, který byl touto operací nahrazen.

IrfanView uloží soubor PNG (BMP na starších Windows) s názvem IrfanView_Wallpaper.png do vaší složky s nastavením (Documents and settings\User\Application data\IrfanView\) a nastaví jej jako tapetu.


Minimalizovat

Z nabídky Možnosti zvolte Minimalizovat pro minimalizaci prohlížeče na úlohovou lištu Windows.

Kliknutím na tlačítko IrfanView na úlohové liště jej opět obnovíte.

Druhou možností minimalizace je použití tlačítka Minimalizovat v pravém horním rohu okna prohlížeče. Tlačítko vypadá jako znak podtržení ( _ ).


Vždy navrchu

Z nabídky Možnosti zvolte Vždy navrchu.

IrfanView bude vždy viditelný na obrazovce, i když otevřete jiný program. Toto lze zrušit opětovným kliknutím na možnost Vždy navrchu.

Pozn.: Tato volba bude aktivní i po restartu programu.


Stavový řádek

Stavový řádek zobrazuje některé informace o načteném obrázku ve spodní části hlavního okna. Tyto informace jsou popsány v dialogu Obrázek->Informace.

Stavový řádek zapnete v nabídce Zobrazení klepnutím na možnost Zobrazit/skrýt stavový řádek. Vypnete jej opět v nabídce Zobrazení zvolením možnosti Zobrazit/skrýt stavový řádek.

Můžete nastavit text zobrazovaný v poli vpravo.

Jestliže je obrázek označen (zkratka: X), bude zobrazeno "(X)" na konci pole vpravo.


Titulek

Titulek zobrazuje některé informace o načteném obrázku v horní části hlavního okna.

Jedná se o následující informace:

· Název aktuálně otevřeného souboru (včetně úplné cesty, nebo jen název souboru)
· Souřadnice pixelů, barevná hodnota a index palety – při kliknutí do obrázku
· Souřadnice obdélníku pro výběr, rozměry a poměr stran – je-li obdélník výběru viditelný
· Rozměry obrázku v režimu přiblížení – je-li aktivní

Titulek zobrazíte zvolením položky Zobrazit/skrýt titulek v nabídce Zobrazení. Opětovným zvolením nabídky Zobrazení a Zobrazit/skrýt titulek jej skryjete.


Počet souborů ve složce

Na panelu nástrojů je zobrazeno, kolik obrázků je v aktuální složce a který z nich je aktuálně zvolen. "1/5" znamená, že je vybrán první z pěti obrázků ve složce.

Pro vytvoření vlastního indexu ve složce zadejte do pole číslo. Prohlížeč otevře konkrétní obrázek.

U vícestránkových obrázků se zobrazí umístění na stránce a počet stránek. "1/5" znamená stránka jedna z pěti.

Pro přechod do editačního pole použijte myš nebo klávesovou zkratku SHIFT+T.

Změňte text a stiskněte Enter pro provedení akce. Možnosti jsou:

· X nebo X/Y = načíst soubor číslo X z aktuální složky
· Strana X nebo strana X/Y = načíst stranu číslo X, jedná-li se o multistránkový soubor
· Text/parametr: filtrovat soubory z aktuální složky dle zadaných parametrů

Příklady:

*.jpg = filter/get JPGs only
cat*.jpg = filter/get all JPGs starting with "cat"
cat* = filter/get all files starting with "cat"

Po použití příkazu stiskněte F5 nebo U (update = obnovit) pro načtení výchozích hodnot / původního seznamu souborů ve složce.


Celá obrazovka

V nabídce Zobrazení zvolte Na celou obrazovku. Obrázek se zobrazí vycentrován na černém pozadí, vyplňujícím celou obrazovku. Pohybovat se mezi obrázky v aktuální složce můžete použitím klávesy mezerník nebo pravého tlačítka myši o obrázek dopředu a klávesou Backspace nebo levým tlačítkem myši o obrázek dozadu.

Pro zrušení režimu celé obrazovky stiskněte klávesu Enter nebo klávesu ESC. Režim zrušíte rovněž kliknutím levým tlačítkem myši do levého či pravého horního rohu obrazovky.

Režimy zobrazení můžete rovněž dočasně měnit klávesami 1, 2, 3, 4, 5 a 6.

Pro všechny možnosti režimu celé obrazovky zvolte menu Možnosti, poté Vlastnosti a nakonec Na celou obrazovku / Prezentace.


Možnosti zobrazení

Pozn.: Vždy je aktivní jen jedna z možností. Pamatujte na to v případě, že změníte možnost zobrazení a chcete ji vrátit zpět např. kvůli "problémům"!

Přizpůsobit okno obrázku

Velikost okna bude přizpůsobena velikosti obrázku. Tuto možnost použijte, chcete-li mít zobrazení 1:1, bez přiblížení.

Přizpůsobit obrázky oknu

Obrázek bude přizpůsoben velikosti okna.

Přizpůsobit oknu pouze velké obrázky

Tuto možnost zvolte, chcete-li zmenšit velké obrázky tak, aby byly v okně viditelné celé. Obrázky menší, než je velikost okna, se nezmění.

Přizpůsobit obrázky šířce/výšce okna

Obrázek bude přizpůsoben šířce/výšce okna.

Přizpůsobit kratší stranu obrázku oknu

Obrázek bude přizpůsoben velikosti okna podle jeho kratší strany, delší strana bude zvětšena proporcionálně.

Přizpůsobit obrázky ploše

Obrázek bude proporcionálně zvětšen podle velikosti pracovní plochy.

Přizpůsobit ploše pouze velké obrázky (tato možnost je nastavena jako výchozí)

Tuto možnost zvolte, chcete-li zmenšit velké obrázky tak, aby byly na ploše viditelné celé. Obrázky menší, než je velikost plochy, se nezmění.

Přizpůsobit obrázky šířce plochy

Obrázek/okno bude přizpůsoben šířce pracovní plochy.

Přizpůsobit obrázky výšce plochy

Obrázek/okno bude přizpůsoben výšce pracovní plochy.

Přizpůsobit kratší stranu obrázku ploše

Obrázek bude přizpůsoben velikosti okna podle jeho kratší strany, delší strana bude zvětšena proporcionálně.

Nic nepřizpůsobovat

Při načtení nového obrázku se velikost ani pozice okna nezmění.

Pro přizpůsobení použít "převzorkování"

Tato možnost zlepší kvalitu přizpůsobených obrázků (při přizpůsobení oknu nebo ploše).

Pro přiblížení použít "převzorkování"

Tato možnost zlepší kvalitu přiblížených obrázků.

Po "převzorkování" doostřit

Funkce převzorkování obrázek obvykle trochu rozmaže. Tato možnost obrázek opět doostří.

Vycentrovat obrázek v okně

Obrázek může být zobrazen na středu okna, nebo v levém horním rohu.


Další/předchozí soubor ve složce/seznamu

Z nabídky Zobrazení zvolte Další soubor ve složce/seznamu (nebo použijte tlačítko Další soubor na panelu nástrojů). Prohlížeč zobrazí následující podporovaný soubor.

Pro přechod na další soubor můžete rovněž použít klávesu mezerník. Pokud obrázek nemá svislý posuvník na pravém okraji nebo jste povolili danou možnost v nabídce Procházení/Úpravy, můžete pro přechod na další soubor ve složce nebo seznamu rovněž použít klávesu Page Down nebo otočit kolečkem myši dolů.

----

Z nabídky Zobrazení zvolte Předchozí soubor ve složce/seznamu (nebo použijte tlačítko Předchozí soubor na panelu nástrojů). Prohlížeč zobrazí předchozí podporovaný soubor.

Pro přechod na předchozí soubor můžete rovněž použít klávesu Backspace. Jestliže obrázek nemá svislý posuvník na pravém okraji nebo jste povolili danou možnost v nabídce Procházení/Úpravy, můžete pro přechod na předchozí soubor ve složce rovněž použít klávesu Page Up nebo otočit kolečkem myši nahoru.

Pozn.: Soubory jsou seřazeny tak, jak je nastaveno v nabídce Možnosti->Zacházení se soubory.


První/poslední/náhodný soubor ve složce

V nabídce Zobrazení zvolte První soubor ve složce/seznamu. Prohlížeč zobrazí první podporovaný soubor v aktuální složce.

Z nabídky Zobrazení zvolte Poslední soubor ve složce/seznamu. Prohlížeč zobrazí poslední podporovaný soubor v aktuální složce.

Z nabídky Zobrazení zvolte Náhodný soubor ve složce/seznamu. Prohlížeč zobrazí náhodný podporovaný soubor v aktuální složce.

Pozn.: Soubory jsou ve složce seřazeny tak, jak je zvoleno v nabídce Možnosti->Řazení seznamu souborů.


Obnovit

Z nabídky Zobrazení zvolte Obnovit. Obrázek na obrazovce se aktualizuje.

Složka se rovněž aktualizuje a počítadlo se vytvoří znovu.

Jestliže máte označen výběr v obrázku, obnovení jej odstraní.


Spustit/zastavit automatické zobrazování

Z nabídky Zobrazení zvolte Spustit/zastavit automatické zobrazování.

Automaticky se spustí prezentace obrázků z aktuální složky se zadanou automatickou hodnotou časovače prezentace.

Dalším klepnutím na tuto položku nabídky automatické zobrazování zastavíte.


Přiblížení/oddálení

Z nabídky Zobrazení zvolte Přiblížit, nebo Oddálit (nebo použijte tlačítka přiblížení na panelu nástrojů).

Přiblížit zvětší velikost obrázku. Dalším klepnutím zvětšíte ještě víc.

Oddálit zmenší velikost obrázku. Dalším klepnutím zmenšíte ještě víc.

Krok přiblížení můžete nastavit v nabídce Možnosti->Vlastnosti/nastavení->Zobrazení. Výchozí krok je 10% navýšení předchozí hodnoty.

Pozn.: Přiblížení se týká pouze zobrazení na obrazovce, nikoliv samotného obrázku! Jestliže chcete změnit velikost obrázku, podívejte se do nabídky Obrázek->Změna velikosti / Převzorkování.


Zamknout přiblížení

Zvolte položku nabídky Zobrazit Zamknout přiblížení.

Je-li zaškrtnuta, aktuální úroveň přiblížení bude uložena a bude použita pro všechny nově načtené obrázky.

Tato možnost je aktivní pouze v aktuální relaci programu.

Pro deaktivaci tuto možnost zvolte znovu nebo použijte klávesovou zkratku SHIFT + L.


Původní velikost

Z nabídky Zobrazení zvolte Původní velikost.

Odstraní přiblížení/oddálení a obnoví původní velikost obrázku .


Zachovat pozici posunu

Zvolte položku nabídky Zobrazit Zachovat pozici posunu.

Je-li zaškrtnuta, aktuální pozice posunu nebude obnovena a obrázky budou načítány (jsou-li viditelné posuvníky).

Tato možnost bude aktivní pouze v aktuální relaci programu.

Opětovným použitím této volby ji deaktivujete.


Zobrazit HEX view

Z nabídky Zobrazení zvolte Zobrazit HEX view.

Tato možnost vám umožní zobrazit hexadecimální zobrazení zvoleného obrázku.

Uvidíte všechny byty otevřeného souboru v HEX a ASCII režimu.

Tato možnost je pro pokročilé uživatele.


Vícestránkové obrázky

Z nabídky Možnosti zvolte Vícestránkové obrázky. Zobrazí se podnabídka s několika možnostmi.

K dispozici jsou tyto možnosti:

Pozn.: Následující nabídky jsou aktivní jen, máte-li načtený obrázek s mnoha stránkami (DCX/TIF/ICO/JPM/PDF soubory).

Následující stránka

Zvolte položku Následující stránka (nebo klikněte na tlačítko Následující stránka na panelu nástrojů). Prohlížeč zobrazí následující stránku.

Předchozí stránka

Zvolte položku Předchozí stránka (nebo klikněte na tlačítko Předchozí stránka na panelu nástrojů). Prohlížeč zobrazí předchozí stránku.

První stránka

Zvolte položku První stránka. Prohlížeč zobrazí první stránku obrázku.

Poslední stránka

Zvolte možnost Poslední stránka. Prohlížeč zobrazí poslední stránku obrázku.

Otevřít stránku číslo ...

Zvolte tuto možnost a zobrazí se dialog, do kterého můžete zadat číslo stránky, kterou si přejete zobrazit.

Zobrazit náhledy stránek...

Zvolte tuto možnost a zobrazí se dialog s náhledy stránek. Poklepáním nebo klávesou mezerník načtete stránku do hlavního okna.

Klávesou TAB přejdete do hlavního okna. Dialog náhledů používá nastavení náhledů z okna náhledů.

Zobrazovat náhledy stránek automaticky

Zvolte tuto možnost pro automatické zobrazování dialogu s náhledy stránek při načtení vícestránkového obrázku. Kliknutím na tuto položku znovu funkci vypnete.

Spustit animaci

Zvolte tuto možnost, zadejte časový interval mezi stránkami a animace se spustí.

Zastavit animaci

Zvolte tuto možnost pro ukončení animace.


Nápověda IrfanView

V nabídce Nápověda zvolte Nápověda IrfanView. Zobrazí se tento soubor (který právě čtete).

První verzi této nápovědy napsal Steve Clark, změny po verzi IrfanView 3.02 pak Irfan.

Verzi 3.97 aktualizoval Michael Ofner.

Moc moc děkuji Stevovi a Michaelovi!


Nainstalované doplňky

Z nabídky Nápověda zvolte Nainstalované doplňky.

Zobrazí se dialog se všemi řádně nainstalovanými doplňky v IrfanView.

Po přečtení informací stiskněte tlačítko OK.


Poděkování

Zvolte nabídku Nápověda, položku Poděkování.

Zobrazí se dialogové okno s mým poděkováním všem uživatelům programu IrfanView.

Okno poděkování zavřete tlačítkem OK.


Registrace

Z nabídky Nápověda zvolte Registrace. Tento dialog vám umožní zadat jméno a registrační kód.

Ačkoliv je IrfanView zdarma pro nekomerční účely, jeho registrací pomůžete autorovi s vývojem jednoho z nejlepších prohlížečů.

Po registraci stiskněte tlačítko OK.


Zkontrolovat aktualizace

Zobrazí domovskou stránku programu IrfanView ve vašem webovém prohlížeči. Budou zde k dispozici informace o aktuální verzi programu spolu s informacemi o verzi aktuálně nainstalované ve vašem systému.


Informace o používání

Z nabídky Nápověda zvolte Informace o používání. Zobrazí se dialog s vysvětlením, kdo smí používat IrfanView zdarma a kam zaslat registrační poplatek.

Rovněž vysvětluje, kam zasílat hlášení o chybách a další zprávy autorovi. Řekne vám, kde nalézt webovou stránku IrfanView.

Dialog ukončíte stiskem tlačítka OK.


O programu IrfanView

Zvolte položku nabídky O programu na Panelu nástrojů).

Dialog obsahuje aktuální číslo verze IrfanView, e-mailovou adresu autora a fotografii jeho nádherného rodného města (už proto stojí za pohled).

Až si tyto informace prohlédnete, klikněte na tlačítko "Click".


Aktualizace a kontakt

Aktuální verzi IrfanView si můžete stáhnout z internetu na:

http://www.irfanview.com

http://www.irfanview.net

http://www.irfanview.info

Autor programu, Irfan Skiljan, e-mail:

irfanview@gmx.net

Uživatelé komerční verze: Prosím, kontaktujte mě e-mailem pro aktuální ceny a slevy.

Pokud si přejete program zaregistrovat nebo jej podpořit (jen 12 amerických dolarů nebo 10 euro), pošlete částku v hotovosti na adresu:

Irfan Skiljan

Postfach 48

2700 Wiener Neustadt

Austria, Europe

nebo přes PayPal (https://www.paypal.com) na e-mailovou adresu: irfanview@gmx.net

případně pomocí kreditní karty na: http://www.irfanview.com, odkaz "Support IrfanView".

Moc vám děkuji!


Slovníček pojmů

 Nahoru

A

ACR

AIF

ANI

AU

AVI

B

BMP

C

CAM

capture

check-box

clipboard

CLP

CPT

CUR

D

DAT

DCM

DCX

dialog

DIB

DJVU

DLL

drag

E

EMF

EPS

EXE

extension

F

fill color

filter

Filter Factory

FLC

FLI

FPX

G

G3

GIF

grayscale

greyscale

I

ICL

ICO

IFF

IMA

image

IMG

interlaced

J

JP2

JPEG

JPEG2000

JPG

K

KDC

L

landscape

LBM

LDF

LWF

M

Mac PICT

maximize

MED

MID

minimize

MOV

MP3

MPEG

MPG

O

option button

outline

P

PBM

PCD

PCX

PGM

Photo CD

pixel

PNG

portrait

PPM

progressive

PSD

PSP

Q

QTIF

R

RAS

RealAudio

RGB

RLE

RMI

S

SFF

SFW

SGI

slider control

SND

sub-menu

SUN

SWF

T

tabs

task bar

TGA

thumbnail

TIF

TIFF

transparent color

W

WAV

WBMP

WMF

X

XBM

XPM


Licence

 Nahoru Následující

Vlastníkem českého překladu nápovědy a prostředí programu IrfanView je společnost © Adaptech s.r.o., 2020. Všechna práva vyhrazena.

Je dovoleno českou lokalizaci používat v původní nezměněné podobě výhradně programem IrfanView. Bez předchozího písemného souhlasu společnosti Adaptech s.r.o. není dovoleno jakoukoli část české lokalizace upravovat, měnit, šířit, reprodukovat nebo interpretovat v jakékoli jiné podobě nebo formě.